<?php
namespace App\Controllers;
use CodeIgniter\Controller;
use App\Models\LoginModel;
use App\Libraries\Hash;
 class Admin extends  Controller
 {
    public function __construct() {
        $session = session();
        helper(['My','form', 'url']);
     }

 	public function index(){ 
        if(session()->has('loggedTrue')&&session()->has('user_type')==1){
            return redirect()->to('/dash');
        }else{
 	        $data['setting']=setting();
            return view('auth/login',$data);
        }
    }
    public function Permission(){
        $setting=setting();
        $session = session();
        $db = \Config\Database::connect();
        $data = [];
        $rules = [
            'email_address'=>[
                'rules'=>'required|valid_email|is_not_unique[msm_user_info.email_address]',
                'errors'=>[
                    'required'=>getLan('required'),
                    'valid_email'=>getLan('valid_email'),
                    'is_not_unique'=>getLan('is_not_unique')
                ]
            ],
            'password'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
        ];
        if($this->request->getMethod() == "post"){
            if($this->validate($rules)){
                $email_address =$this->request->getPost('email_address'); 
                $password =$this->request->getPost('password'); 
                $LoginModel = new LoginModel();
                $uinfo=$db->query("SELECT * FROM msm_user_info 
                    WHERE email_address='$email_address'  AND user_type=1 ")->getRow();
                // echo "$password,$uinfo->password"; exit();
                if(is_null($uinfo)){
                  $session->setFlashdata('success',getLan('email_password_is_not_valid'));
                  return redirect()->to('/login')->withInput();
                }
                $checkpass=Hash::check($password,$uinfo->password);
                $session = session();
                if(!$checkpass){
                    $session->setFlashdata('success',getLan('email_password_is_not_valid'));
                    return redirect()->to('/login')->withInput();
               }else{
                session()->set('userid',$uinfo->id);
                session()->set('loggedTrue',true);
                session()->set('first_name',$uinfo->first_name);
                session()->set('last_name',$uinfo->last_name);
                session()->set('email_address',$uinfo->email_address);
                session()->set('country_name',$uinfo->country_name);
                session()->set('phone_no',$uinfo->phone_no);
                session()->set('user_type',$uinfo->user_type);
                session()->set('language',$uinfo->language);
                session()->set('collapse',$uinfo->collapse);
                session()->set('pt',$uinfo->password_text);
                session()->set('photo',$uinfo->photo);
                session()->set('will_login',$uinfo->will_login);
                session()->set('updates',$uinfo->updates);
                session()->set('deletes',$uinfo->deletes);
                session()->set('color',$uinfo->color);
                session()->set('company_name',$uinfo->company_name);
                return redirect()->to('/dash');
               }
            }else{
                $data['setting']=setting();
                $data['allerror'] = $this->validator;
                return view('auth/login',$data);
            }
        }
        
    }
    public function forgotpass(){ 
        if(session()->has('loggedTrue')){
            return redirect()->to('/dash');
        }else{
            $data['setting']=setting();
            return view('auth/forgotpass',$data);
        }
    }
    public function logout(){ 
        if(session()->get('loggedTrue')){
            session()->remove('loggedTrue');
            session_destroy();
            return redirect()->to('/login?access=out');
        }
         
    }
 
     public function verifyTime($regtime)
     {
        $current_time = now();
        $reg =  strtotime($regtime);
        $differnce = $current_time - $reg;
        if($differnce < 3600)
        {
            return true;
        }
        else
        {
            return false;
        }
     }
 }