<?php
namespace App\Controllers;
use App\Controllers\BaseController;
use Stripe;
use App\Libraries\Hash;
use App\Models\LoginModel;
class Cart extends BaseController
{
        
    public function showcart(){
        $db = \Config\Database::connect();
        $data['setting']=setting();
        $cart = \Config\Services::cart();
        $data['cartp'] = $cart->contents();       
        return view('admin/sidecart', $data);
    }
    public function download($file=FALSE){
        return $this->response->download('public/design/' . $file, null);
    }
    public function shoppingcart() {   
        $cart = \Config\Services::cart();
        $data['cartp'] = $cart->contents(); 
        //////////////////
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $data['sinfo']=$db->query("SELECT * FROM msm_shipping_address 
                    WHERE user_id='$user_id' AND default_yes='YES' ")->getRow();
        return view('admin/header', $data)
            . view('admin/shopping_cart', $data)
            . view('admin/footer', $data);

    }
    
    //////////////////////////////////
    public function checkout() {  
        $cart = \Config\Services::cart();
        //////////////////////
        $user_id= session()->get('userid');
        $db = \Config\Database::connect();
        $data['setting']=setting();
        $data['cartp'] = $cart->contents(); 
        if(count($data['cartp'])>0){
        $builder = $db->table('msm_invoice_master');
        $cartitem =$cart->contents();
        $invcount = $db->query("SELECT count(id) as counts FROM msm_invoice_master 
             WHERE user_id=$user_id")->getRow('counts');
        $m=0;
        $address='';
        $indata['invoice_number']=date('Ymd').str_pad($invcount + 1, 6, '0', STR_PAD_LEFT);
        $indata['order_number']='AUF'.date('Ymd').str_pad($invcount + 1, 4, '0', STR_PAD_LEFT);
        $indata['invoice_date']=date('Y-m-d');
        $indata['currency']='EUR';
        $indata['payment_method']=NULL;
        $indata['shipping_cost']=array_sum(array_column($cartitem, 'deliverycost'));
        $indata['subtotal']=array_sum(array_column($cartitem, 'saleprice'));
        $indata['vat_amount']=($indata['subtotal']+$indata['shipping_cost'])*20/100;
        $indata['grand_total_amount']=array_sum(array_column($cartitem, 'price'))+$indata['vat_amount'];
        $indata['total_discount']=0;
        $indata['payment_status']='due';
        //$indata['shipping_id']=$sinfo->id;
        $indata['shipping_address']=$address;
        $indata['user_id']=$user_id;
        $indata['created_at']=date('Y-m-d');
        $builder->insert($indata);
        $inv_id=$db->insertID();  
        $totalamount=0;
        $totaldeliverycost=0;
        $subtotal=0;
        foreach ($cartitem as $prow) {
            $totalamount=$totalamount+$prow['price'];
            $totaldeliverycost=$totaldeliverycost+$prow['deliverycost'];
            $subtotal=$subtotal+$prow['saleprice'];
            $pdata['invoice_number']=$indata['invoice_number'];
            $pdata['inv_id']=$inv_id;
            $pdata['pname']=$prow['pname'];
            $pdata['sku']=$prow['sku'];
            $pdata['size']=$prow['size'];
            $pdata['printtype']=$prow['printtype'];
            $pdata['customsize']=$prow['customsize'];
            $pdata['material']=$prow['material'];
            $pdata['finish']=$prow['finish'];
            $pdata['copies']=$prow['copies'];
            $pdata['clean_cut']=$prow['clean_cut'];
            $pdata['urgency']=$prow['urgency'];
            $pdata['method']=$prow['method'];
            $pdata['printingmethod']=$prow['printingmethod'];
            $pdata['designs']=$prow['designs'];
            $pdata['other_des']=$prow['other_des'];
            $pdata['variants']=$prow['variants'];
            $pdata['deliveryPromise']=$prow['deliveryPromise'];
            $pdata['delivery_date']=$prow['delivery_date'];
            $pdata['deliverycost']=$prow['deliverycost'];
            $pdata['discount']=$prow['discount'];
            $pdata['saleprice']=$prow['saleprice'];
            $pdata['totalcost']=$prow['price'];
            $pdata['upload_design']=NULL;
            $pdata['file_type']=NULL;
            $pdata['cart_date']=date('Y-m-d');
            $pdata['user_id']=$user_id;
            $pdata['created_at']=date('Y-m-d');
            $db->table('msm_invoice_details')->insert($pdata);
         }
        $inv_id=endecry($inv_id,'encrypt');
        $cart->destroy();
        return redirect()->to("/paynow/$inv_id");

       }else{
        session()->setFlashdata('warning',getLan('cart_is_empty'));
        return redirect()->to( '/shopcart' ); 

       }
    }
    public function Paydue($inv_id=FALSE) {   
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $data['binfo']=$db->query("SELECT * FROM msm_billing_address 
                    WHERE user_id='$user_id' ORDER BY id DESC")->getRow();
        $data['sinfo']=$db->query("SELECT * FROM msm_shipping_address 
                    WHERE user_id='$user_id' ORDER BY id DESC ")->getRow();
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id AND user_id=$user_id")->getResult();
        $data['info'] = $db->query("SELECT i.* FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        //print_r($data['binfo']); exit;
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        return view('fontend/header', $data)
            . view('fontend/checkout', $data)
           . view('fontend/footer', $data);
    }
     public function onlinePaymnet() {   
        //$inv_id=endecry($inv_id,'decrypt');
        $inv_id=$this->request->getPost('invid');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $builder = $db->table('msm_billing_address');
        $builder->set('first_name', $this->request->getPost('first_name'));
        $builder->set('last_name', $this->request->getPost('last_name'));
        $builder->set('phone_no', $this->request->getPost('phone_no'));
        $builder->set('email_address', $this->request->getPost('email_address'));
        $builder->set('company_name', $this->request->getPost('company_name'));
        $builder->set('street_no', $this->request->getPost('street_no'));
        $builder->set('zip_code', $this->request->getPost('zip_code'));
        $builder->set('city', $this->request->getPost('city'));
        $builder->set('vat_no', $this->request->getPost('vat_no'));
        $builder->set('created_at', date('Y-m-d H:i:s'));
        $builder->set('user_id', $user_id);
        $builder->insert();
        $builder = $db->table('msm_shipping_address');
        $builder->set('first_name', $this->request->getPost('sfirst_name'));
        $builder->set('last_name', $this->request->getPost('slast_name'));
        $builder->set('phone_no', $this->request->getPost('sphone_no'));
        $builder->set('email_address', $this->request->getPost('semail_address'));
        $builder->set('company_name', $this->request->getPost('scompany_name'));
        $builder->set('street_no', $this->request->getPost('sstreet_no'));
        $builder->set('zip_code', $this->request->getPost('szip_code'));
        $builder->set('city', $this->request->getPost('scity'));
        $builder->set('vat_no', $this->request->getPost('svat_no'));
        $builder->set('created_at', date('Y-m-d H:i:s'));
        $builder->set('user_id', $user_id);
        $builder->insert();
        //////////////////////////////////////////////////////////////////
        $billing_address='';
        $billing_address=$billing_address.$this->request->getPost('first_name');
        $billing_address=$billing_address.' '.$this->request->getPost('last_name');
        $billing_address=$billing_address.' <br>'.$this->request->getPost('phone_no');
        $billing_address=$billing_address.' <br> '.$this->request->getPost('email_address');
        $billing_address=$billing_address.' <br>'.$this->request->getPost('company_name');
        $billing_address=$billing_address.' <br>'.$this->request->getPost('street_no');
        $billing_address=$billing_address.' <br>'.$this->request->getPost('zip_code');
        $billing_address=$billing_address.', '.$this->request->getPost('city');
        $billing_address=$billing_address.' <br>'.$this->request->getPost('vat_no');
        $shipping_address='';
        $shipping_address=$shipping_address.$this->request->getPost('sfirst_name');
        $shipping_address=$shipping_address.' '.$this->request->getPost('slast_name');
        $shipping_address=$shipping_address.' <br>'.$this->request->getPost('sphone_no');
        $shipping_address=$shipping_address.' <br> '.$this->request->getPost('semail_address');
        $shipping_address=$shipping_address.' <br>'.$this->request->getPost('scompany_name');
        $shipping_address=$shipping_address.' <br>'.$this->request->getPost('sstreet_no');
        $shipping_address=$shipping_address.' <br>'.$this->request->getPost('szip_code');
        $shipping_address=$shipping_address.', '.$this->request->getPost('scity');
        $shipping_address=$shipping_address.'  <br>'.$this->request->getPost('svat_no');
        


        $builder = $db->table('msm_invoice_master');
        $builder->set('billing_id', $this->request->getPost('billing_id'));
        $builder->set('billing_address', $billing_address);
        $builder->set('shipping_id', $this->request->getPost('shipping_id'));
        $builder->set('shipping_address', $shipping_address);
        $builder->where('user_id', $user_id);
        $builder->where('id', $inv_id);
        $builder->update();
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id AND user_id=$user_id")->getResult();
        /////////////////////////
        $info = $db->query("SELECT i.* FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        $date=date('Y-m-d');
        $coupon_code=$info->coupon_code;
        $checkcoupon = $db->query("SELECT * FROM msm_coupons 
            WHERE coupon_code='$coupon_code' 
            AND expired_date>='$date' ")->getRow();
        if(!$checkcoupon){
            $vat_amount=$info->subtotal*20/100;
            $grand_total_amount=$info->subtotal+$vat_amount+$info->shipping_cost;
            ////////////////////
            $builder = $db->table('msm_invoice_master');
            $builder->set('coupon_code', NULL);
            $builder->set('coupon_amount', 0);
            $builder->set('expired_date', NULL);
            $builder->set('discount_amount',0);
            $builder->set('vat_amount', $vat_amount);
            $builder->set('grand_total_amount', $grand_total_amount);
            $builder->where('id', $inv_id);
            $builder->update();
        }
        ////////////////////
        $data['info'] = $db->query("SELECT i.* FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['pay']= 'YES';
        return view('fontend/header', $data)
            . view('fontend/placeorder', $data)
           . view('fontend/footer', $data);
    }
    public function deleteitem($id){
        $id=endecry($id,'decrypt'); 
        $id=$this->request->getPost('id');
        $db = \Config\Database::connect();
        $builder = $db->table('msm_cart_info');
        $builder->where('id', $id);
        $builder->delete();     
        echo 'OK';
    }
    public function counpon() { 
        $inv_id=$this->request->getPost('invid');
        $coupon_code=$this->request->getPost('coupon_code');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $date=date('Y-m-d');
        $checkcoupon = $db->query("SELECT * FROM msm_coupons 
            WHERE coupon_code='$coupon_code' 
            AND expired_date>='$date' ")->getRow();

        if($checkcoupon){
            $info= $db->query("SELECT i.* FROM msm_invoice_master i 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
            if($checkcoupon->type=='percentage'){
                $discount_amount=($info->subtotal+$info->shipping_cost)*$checkcoupon->amount/100;
            }else{
                $discount_amount=$checkcoupon->amount;
            }
            ///////////////////////////////////////
            $rest_subtotal=($info->subtotal+$info->shipping_cost)-$discount_amount;
            if($rest_subtotal!=0){
               $vat_amount=$rest_subtotal*20/100;
               $grand_total_amount=$info->subtotal+$vat_amount+$info->shipping_cost; 
            }else{
                $vat_amount=0;
                $grand_total_amount=$info->subtotal+$vat_amount+$info->shipping_cost; 
            }
            //////////////////////////
            $builder = $db->table('msm_invoice_master');
            $builder->set('coupon_code', $this->request->getPost('coupon_code'));
            $builder->set('coupon_amount', $checkcoupon->amount);
            $builder->set('expired_date', $checkcoupon->expired_date);
            $builder->set('discount_amount', $discount_amount);
            $builder->set('vat_amount', $vat_amount);
            $builder->set('grand_total_amount', $grand_total_amount);
            $builder->where('id', $inv_id);
            $builder->update();
            $session = session();
            $session->setFlashdata('success',getLan('coupon_apply_successfully'));
            $inv_id=endecry($inv_id,'encrypt');
            return redirect()->to("/paynow/$inv_id");
        }else{
            $session = session();
            $session->setFlashdata('warning',getLan('this_coupon_in_invalid'));
            $inv_id=endecry($inv_id,'encrypt');
            return redirect()->to("/paynow/$inv_id");
        }
    
    }

}
