<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use App\Models\LoginModel;
class Invoice extends BaseController
{
   

    public function lists()
    {   
        $user_id= session()->get('userid');
		$db = \Config\Database::connect();
        $data['setting']=setting();
        $data['lists'] = $db->query("SELECT * FROM msm_invoice_master 
            WHERE user_id=$user_id ")->getResult(); 
    	return view('admin/header', $data)
            . view('admin/invoicelists', $data)
            . view('admin/footer', $data);

    }

    public function Uploadfile($inv_id=FALSE){   
        $inv_id=endecry($inv_id,'decrypt');     
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $LoginModel = new LoginModel();
        $data['setting']=setting();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['info'] = $db->query("SELECT u.*, i.* 
            FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            LEFT JOIN msm_user_info u ON(i.user_id=u.id)
            WHERE i.id=$inv_id")->getRow();
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id")->getResult();
        return view('fontend/header', $data)
            . view('fontend/invoiceview', $data)
            . view('fontend/footer', $data);

    }
     public function upload()
    {  
        helper(['form', 'url']);
         
        $database = \Config\Database::connect();
        $builder = $database->table('users');
        $validateImage = $this->validate([
            'file' => [
                'uploaded[file]',
                'max_size[file, 4096]',
            ],
        ]);
    
        $response = [
            'success' => false,
            'data' => '',
            'msg' => "Image could not upload"
        ];
        if ($validateImage) {
            $imageFile = $this->request->getFile('file');
            $imageFile->move('uploads');
            $data = [
                'img_name' => $imageFile->getClientName(),
                'file'  => $imageFile->getClientMimeType()
            ];
            $save = $builder->insert($data);
            $response = [
                'success' => true,
                'data' => $save,
                'msg' => "Image successfully uploaded"
            ];
        }
        return $this->response->setJSON($response);
    }
    function fupload() { 
       // print_r($this->request->getFile('inp-add-2'));
        //echo $this->request->getFile('inp-add-2'); exit();
        $pid = endecry($this->request->getPost('pid'),'decrypt'); 
        $invid=$this->request->getPost('invid');
        $inv_id = endecry($this->request->getPost('invid'),'decrypt'); 
        $db = \Config\Database::connect();
        $builder = $db->table('msm_invoice_details');

        $avatar = $this->request->getFile("upload_design_$pid");
        if($avatar!=''){
            $avatar->move('public/design');
            $fname=$avatar->getName(); 
            $type=$avatar->getClientMimeType();
            $builder->set('upload_design', "$fname");
            $types=explode('.', $fname);
            $builder->set('file_type', $types[1]);
        }else{
            $builder->set('file_type', "");
        }
        $builder->where('id', $pid);
        //$builder->where('inv_id', $invid);
        $builder->update();
        $session = session();
        $session->setFlashdata('success',getLan('upload_successfully'));
        return redirect()->to("/upload/$invid");
    }
    function bupload() { 
        $pid = endecry($this->request->getPost('pid'),'decrypt'); 
        $invid=$this->request->getPost('invid');
        $inv_id = endecry($this->request->getPost('invid'),'decrypt'); 
        $db = \Config\Database::connect();
        $builder = $db->table('msm_invoice_details');
        $avatar = $this->request->getFile("backend_design_$pid");
        if($avatar!=''){
            $avatar->move('public/design');
            $fname=$avatar->getName(); 
            $type=$avatar->getClientMimeType();
            $builder->set('backend_design', "$fname");

            $types=explode('.', $fname);
            $builder->set('file_type', $types[1]);
        }else{
            $builder->set('file_type', "");
        }
        $builder->where('id', $pid);
        //$builder->where('inv_id', $invid);
        $builder->update();
        $session = session();
        $session->setFlashdata('success',getLan('upload_successfully'));
        return redirect()->to("/upload/$invid");
    }
    public function pdfdownload($inv_id=FALSE){
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
  
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id")->getResult();
        $data['info'] = $db->query("SELECT u.*, i.* 
            FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            LEFT JOIN msm_user_info u ON(i.user_id=u.id)
            WHERE i.id=$inv_id")->getRow();
        
        $pdfname=getLan('invoice').'-'.$data['info']->invoice_number.'.pdf';
         $mpdf = new \Mpdf\Mpdf(['mode' => 'utf-8', 'format' => 'A4', 'margin_left' => 25, 'margin_right' => 25, 'margin_top' => 40, 'margin_bottom' => 40]);
        $mpdf->autoScriptToLang = true;
        $mpdf->autoLangToFont = true;
        $mpdf->pagenumPrefix = getLan('page ');
        $mpdf->pagenumSuffix = ' ';
        $mpdf->nbpgPrefix = getLan(' of ');
        $mpdf->nbpgSuffix = ' ';
        $html = view('admin/pdfinvoice',$data);  
        $header =view('admin/pdfheader',$data);   
        $footer =view('admin/pdffooter',$data); 
        $this->response->setHeader('Content-Type', 'application/pdf');
        $mpdf->SetHTMLHeader($header);
        $mpdf->SetHTMLFooter($footer);
        $mpdf->WriteHTML($html);
        $mpdf->Output($pdfname,'D');

    }
    
}
