<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use App\Models\LoginModel;
use App\Models\Product;
class ProductDetails extends Controller
{
     public function __construct() {
        $session = session();
        helper(['My','form', 'url']);
     }
      public function mcategory($cat=FALSE){ 
        $request = service('request');
        $db = \Config\Database::connect();
        $searchData = $request->getGet(); // OR $this->request->getGet();
        if($cat!=FALSE){
            $cat=endecry($cat,'decrypt');
        }
        $search = "";
        if (isset($searchData) && isset($searchData['search_by_name'])) {
            $search = $searchData['search_by_name'];
        }
        
        $pmodel = new Product();
        if ($search == ''&&$cat==FALSE) {
           $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->paginate(24);
        }elseif($search == ''&&$cat!=FALSE){
            $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.master_id', $cat)
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->paginate(24);
        }elseif ($search != ''&&$cat==FALSE) {
            //echo $searchData['search_by_name']; exit;
           $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->paginate(24);
                //echo  $db->getLastQuery(); exit;
         }else {
            $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.master_id', $cat)
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->paginate(24);
        }
        $data = [
            'plists' => $paginateData,
            'pager' => $pmodel->pager,
            'search' => $search
        ];
        //$query = $db->getLastQuery();
        //echo (string) $query; exit();
        if($cat!=FALSE){
            $data['info']=$db->query("SELECT *,master_category_name as name FROM msm_master_category 
                    WHERE id='$cat' ")->getRow();
        }
        $data['main']='YES';
        $data['setting']=setting();
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['mcatid']=$cat;
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");

        return view('fontend/header', $data)
            . view("fontend/products", $data)
            . view('fontend/footer', $data);

    }
    public function category($cat=FALSE){ 
        $request = service('request');
        $db = \Config\Database::connect();
        $searchData = $request->getGet(); // OR $this->request->getGet();
        if($cat!=FALSE){
           $cat=endecry($cat,'decrypt');
        }
        $search = "";

        if (isset($searchData) && isset($searchData['search_by_name'])) {
            $search = $searchData['search_by_name'];
        }
        
        $pmodel = new Product();
        if ($search == ''&&$cat==FALSE) {
           $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->paginate(24);
        }elseif($search == ''&&$cat!=FALSE){
            $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.category_id', $cat)
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->paginate(24);
        }elseif ($search != ''&&$cat==FALSE) {
            //echo $searchData['search_by_name']; exit;
           $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->WHERE('msm_product_image.titlePlural', $search)
                ->ORLIKE('msm_product_image.sku', $search)    
                ->paginate(24);
                //echo  $db->getLastQuery(); exit;
         }else {
            $paginateData = $pmodel->select('*')
                ->WHERE('msm_product_image.category_id', $cat)
                ->WHERE('msm_product_image.active_de', 'ACTIVE')
                ->WHERE('msm_product_image.titlePlural', $search)
                ->ORLIKE('msm_product_image.sku', $search)    
                ->paginate(24);
        }
        $data = [
            'plists' => $paginateData,
            'pager' => $pmodel->pager,
            'search' => $search
        ];
        if($cat!=FALSE){
           $data['info']=$db->query("SELECT *,category_name as name FROM msm_category_info 
                    WHERE id='$cat' ")->getRow();
        }
        //$query = $db->getLastQuery();
        //echo (string) $query; exit();
    	$data['setting']=setting();
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['mcatid']=$cat;
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
    	return view('fontend/header', $data)
            . view("fontend/products", $data)
            . view('fontend/footer', $data);
    }
    ///////////////////////////////////
    public function sku($skupar=FALSE){  
        $cart = \Config\Services::cart();
        $db = \Config\Database::connect();
        $data['cartcount']=$cart->totalItems(); 
        $sinfo=setting();
    	require_once('vendor/autoload.php');
    	$client = new \GuzzleHttp\Client();
		$response = $client->request('GET', 'https://api.print.com/products/'.$skupar, [
		  'headers' => [
		    'Accept' => 'application/json',
            'Accept-Language' => 'de-DE',
		    'authorization' => $sinfo->api_token
		  ],
		]);
		$data['pdetails']= json_decode($response->getBody(), true);
        $config = $client->request('GET', 'https://api.print.com/presets/'.$skupar, [
          'headers' => [
            'Accept' => 'application/json',
             'Accept-Language' => 'de-DE',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $data['config']= json_decode($config->getBody(), true);
        $data['present']=$data['config']['items']['0']['configuration'];
        $LoginModel = new LoginModel();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
    	$data['setting']=$sinfo;
        if($skupar=='flyers') $dropdown="flyers"; 
       // elseif($skupar=='pms-transferlogo') $dropdown="transferlogo"; 
        elseif($skupar=='polo-budget-2'||$skupar=='polo-budget-1'
            ||$skupar=='polo-basic-2'||$skupar=='polo-basic-1'||$skupar=='polo-premium-2'
            ||$skupar=='t-shirt-premium-2'||$skupar=='t-shirt-budget-1'
            ||$skupar=='t-shirt-budget-2'||$skupar=='t-shirt-budget-3'
            ||$skupar=='t-shirt-basic-1'||$skupar=='t-shirt-basic-2'||$skupar=='t-shirt-basic-3'
            ||$skupar=='hoodie-basic-1'||$skupar=='hoodie-basic-2'
            ||$skupar=='hoodie-budget-1'||$skupar=='hoodie-budget-2'
            ||$skupar=='hoodie-premium-1'||$skupar=='hoodie-premium-2'
            ||$skupar=='sweater-budget-1'||$skupar=='sweater-budget-2'
            ||$skupar=='sweater-budget-1'||$skupar=='sweater-budget-2'
            ||$skupar=='sweater-basic-1'||$skupar=='sweater-basic-2'
            ||$skupar=='sweater-premium-1'||$skupar=='sweater-premium-2'
            ||$skupar=='t-shirt-premium-1') $dropdown="shirt"; 
        else $dropdown="dropdown";

        $data['info']=$db->query("SELECT * FROM msm_product_image 
                    WHERE sku='$skupar' ")->getRow();
    	return view('fontend/header', $data)
            . view("fontend/$dropdown", $data)
            . view('fontend/footer', $data);

    }
    
}
