<?php
namespace App\Controllers;
class Shirt extends BaseController
{
    public function price(){
    	//var_dump($_POST); exit();
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        $option=' ';
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
     
        if($this->request->getPost('copies')!='')
        $option.='"copies": "'.$this->request->getPost('copies').'",';
        if($this->request->getPost('size')!='')
        $option.='"size": "'.$this->request->getPost('size').'",';
        if($this->request->getPost('brand_name')!='')
        $option.='"brand_name": "'.$this->request->getPost('brand_name').'",';
        if($this->request->getPost('textile_sizes')!='')
        $option.='"textile_sizes": "'.$this->request->getPost('textile_sizes').'",';
        if($this->request->getPost('printingmethod')!='')
        $option.='"printingmethod": "'.$this->request->getPost('printingmethod').'",';
        if($this->request->getPost('material')!='')
        $option.='"material": "'.$this->request->getPost('material').'",';
        if($this->request->getPost('color_textile')!='')
        $option.='"color_textile": "'.$this->request->getPost('color_textile').'",';
        if($this->request->getPost('individually_sealed')=='yes')
        $option.='"individually_sealed": "'.$this->request->getPost('individually_sealed').'",';
        ///////////////////////////////
        if($this->request->getPost('posfront')=='YES')
            $option.='"positions_front": "'.$this->request->getPost('positions_front').'",';
        if($this->request->getPost('posback')=='YES')
            $option.='"positions_back": "'.$this->request->getPost('positions_back').'",';
        if($this->request->getPost('poschest')=='YES')
            $option.='"positions_chest": "'.$this->request->getPost('positions_chest').'",';
        if($this->request->getPost('poschest_right')=='YES')
            $option.='"positions_chest_right": "'.$this->request->getPost('positions_chest_right').'",';
        if($this->request->getPost('possleeve_left')=='YES')
            $option.='"positions_sleeve_left": "'.$this->request->getPost('positions_sleeve_left').'",';
        if($this->request->getPost('possleeve_right')=='YES')
            $option.='"positions_sleeve_right": "'.$this->request->getPost('positions_sleeve_right').'",';
        if($this->request->getPost('printtype')!='')
            $option.='"quality_level": "'.$this->request->getPost('quality_level').'",';
        if($this->request->getPost('printtype')!='')
            $option.='"printtype": "'.$this->request->getPost('printtype').'",';
        ////////////////////////
        if($this->request->getPost('size')!='')
            $option.='"size": "'.$this->request->getPost('size').'",';
        $delivery_date=$this->request->getPost('delivery_date');
        if($delivery_date!=''){
            $del_array=explode('|', $delivery_date);
            $delivery_date=$del_array[0];
            $urgency=$del_array[1];
            $dcost=$del_array[2];
            $method=$del_array[3];
        }else{
            $del_array=explode('|', $delivery_date);
            $delivery_date='';
            $urgency='';
            $dcost=0;
            $method='';
        }
    $dcost=$dcost+($dcost*3)/100;
    $option.='"urgency": "'.$urgency.'"';
    $color_textile2=$this->request->getPost('color_textile2');
    $textile_sizes2=$this->request->getPost('textile_sizes2');
    $copies2=$this->request->getPost('copies2');
    $variants='';
    $m=0;
    foreach ($color_textile2 as  $value) {
        if($m==0){
        $variants.='{
                "color_textile": "'.$value.'",
                "textile_sizes": "'.$textile_sizes2[$m].'",
                "copies": '.$copies2[$m].'
              }';
          }else{
            $variants.=',{
                "color_textile": "'.$value.'",
                "textile_sizes": "'.$textile_sizes2[$m].'",
                "copies": '.$copies2[$m].'
              }';
          }
    $m++;
    }
    //echo "$variants"; exit();
    $sku=$this->request->getPost('sku');
    $deliveryPromise=0;
    $copies=$this->request->getPost('copies');
    $designs=$this->request->getPost('designs');
    $maxDesigns=$this->request->getPost('maxDesigns');
    /////////////////////////////////////    
    $todaydate=date('Y-m-d');
    $nameOfDay = date('D', strtotime($todaydate));
    if($nameOfDay=='Sat'){
        $todaydate=date('Y-m-d', strtotime($todaydate. ' + 2 days'));
    }elseif($nameOfDay=='Sun'){
        $todaydate=date('Y-m-d', strtotime($todaydate. ' + 1 days'));
    }
    /////////////////////////////////////
    $submissionDate=$todaydate.'T16:00:00.000Z';
    $delivery_date=$delivery_date.'T17:00:00.000Z';
    //echo "$deliveryPromise"; exit;
    try {
        $response = $client->request('POST', 'https://api.print.com/products/'.$sku.'/price', [
           'body' => '{
            "sku":"'.$sku.'",
            "maxDesigns": 1,
            "shipments":[
            {
                "deliveryDate":"'.$delivery_date.'",
                "method":"'.$method.'",
                "copies":'.$copies.'
            }
           ],
           "options":{
              '.$option.'
           },
           "variants":['.$variants.'],
           "warnings": [],
           "deliveryPromise":'.$deliveryPromise.'
          }',
          'headers' => [
            'Accept' => 'application/json',
            'Content-Type' => 'application/json',
            'authorization' => $sinfo->api_token
          ],
        ]);   
        $result = json_decode($response->getBody(), true); 
        ///echo "<pre>";  print_r($result); exit;
        $i=1;
        foreach ($result as $value) {
          if($i==1){
            $saleprice=round($value['salesPrice'],2); 
            $deliverycost=$dcost;
          }
          $i++;
        }
        $saleprice=$saleprice+round($saleprice*40/100)+$dcost;
        $vatamount=$saleprice*20/100;
        $totalcost=round($saleprice,2);
        $grossamount=round(($saleprice+$vatamount),2);
        $deliverycost=0;
        $check='YES';
      }catch(\Exception $e) {
           if ($e->hasResponse()) {
            $deliverycost=0;
            $saleprice=0;
            $totalcost=0;
            $vatamount=0;
            $check='NO'; 
            $grossamount=0;
            session()->setFlashdata('warning',getLan('something_went_wrong'));
          }
      } 

    $data=array('check'=>$check,
        'saleprice'=>$saleprice,
        'totalcost'=>$totalcost,
        'grossamount'=>onlyamountFormat($grossamount),
        'netamount'=>onlyamountFormat($saleprice),
        'deliverycost'=>$deliverycost);
		echo  json_encode($data);
    }
    ///////////////////////////////////////////
    public function ship(){
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        $option=' ';
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        if($this->request->getPost('copies')!='')
        $option.='"copies": "'.$this->request->getPost('copies').'",';
        if($this->request->getPost('size')!='')
        $option.='"size": "'.$this->request->getPost('size').'",';
        if($this->request->getPost('brand_name')!='')
        $option.='"brand_name": "'.$this->request->getPost('brand_name').'",';
        if($this->request->getPost('textile_sizes')!='')
        $option.='"textile_sizes": "'.$this->request->getPost('textile_sizes').'",';
        if($this->request->getPost('printingmethod')!='')
        $option.='"printingmethod": "'.$this->request->getPost('printingmethod').'",';
        if($this->request->getPost('material')!='')
        $option.='"material": "'.$this->request->getPost('material').'",';
        if($this->request->getPost('color_textile')!='')
        $option.='"color_textile": "'.$this->request->getPost('color_textile').'",';
        $option.='"urgency" : "standard",';
        if($this->request->getPost('individually_sealed')=='yes')
        $option.='"individually_sealed": "'.$this->request->getPost('individually_sealed').'",';
        ///////////////////////////////
        if($this->request->getPost('posfront')=='YES')
            $option.='"positions_front": "'.$this->request->getPost('positions_front').'",';
        if($this->request->getPost('posback')=='YES')
            $option.='"positions_back": "'.$this->request->getPost('positions_back').'",';
        if($this->request->getPost('poschest')=='YES')
            $option.='"positions_chest": "'.$this->request->getPost('positions_chest').'",';
        if($this->request->getPost('poschest_right')=='YES')
            $option.='"positions_chest_right": "'.$this->request->getPost('positions_chest_right').'",';
        if($this->request->getPost('possleeve_left')=='YES')
            $option.='"positions_sleeve_left": "'.$this->request->getPost('positions_sleeve_left').'",';
        if($this->request->getPost('possleeve_right')=='YES')
            $option.='"positions_sleeve_right": "'.$this->request->getPost('positions_sleeve_right').'",';
        if($this->request->getPost('printtype')!='')
            $option.='"quality_level": "'.$this->request->getPost('quality_level').'",';
        if($this->request->getPost('printtype')!='')
            $option.='"printtype": "'.$this->request->getPost('printtype').'",';
        if($this->request->getPost('size')!='')
            $option.='"size": "'.$this->request->getPost('size').'"';
        ////////////////////////
        //$option.='"size" : "-"';
       // echo "$option"; exit();
        $deliveryPromise=0;
        $copies=$this->request->getPost('copies');
        $country='NL';
        $method='DPD_B2C';
        $html='';
        $free='NO';
       // try {
        $response = $client->request('POST', 'https://api.print.com/products/'.$sku.'/shipping-possibilities', [
           'body' =>'{ 
            "item":{
                "sku":"'.$sku.'",
                "shipments":[{
                "copies":'.$copies.'
                }],
                "options":{
                    '.$option.'
                    },
                "deliveryPromise":'.$deliveryPromise.'
                },
                "address":{
                    "lastName":"Özcan",
                    "country":"'.$country.'",
                    "city":"Linz",
                    "companyName":"Constant Print",
                    "postcode":"4020",
                    "telephone":"436649161042",
                    "fullstreet":"Breitwiesergutstraße 50",
                    "firstName":"Baris",
                    "email":"office@constant-ads.com"
                },
                "numberOfDays":10
            }
            }',
          'headers' => [
            'Accept' => 'application/json',
            'Content-Type' => 'application/json',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $result = json_decode($response->getBody(), true);
        $free='YES';
    // }catch(\Exception $e) {
    //   session()->setFlashdata('warning',getLan('something_went_wrong'));
    //   $html='NO';
    //   $result['results']=array();
    // }
    //////////////////////
    $checked=1;
    $checktime=1;
    $standard=1;
    $urgent=1;
    $dcost=1;
    $quick=1;
     foreach ($result['results'] as  $row1) {
        foreach ($row1['possibilities'] as $row2) {
            $free='NO';
            $check='';
            $row2['urgency'];
            if($row2['price']['cost']>$dcost&&$row2['urgency']=='standard'){ 
                $check='checked="checked"';
                $checktime=2;
                $dcost=$row2['price']['cost'];
            }
            $delidate=date('Y-m-d',strtotime($row1['deliveryDate']." + 4 days"));
            $nameOfDay = date('D', strtotime($delidate));
            if($nameOfDay=="Sat") $delidate=date('Y-m-d',strtotime($delidate." + 2 days"));
            if($nameOfDay=="Sun") $delidate=date('Y-m-d',strtotime($delidate." + 1 days"));

            $datename=getLan(date("D",strtotime($delidate))).strtoupper(date(" d ",strtotime($delidate))).getLan(date("M",strtotime($delidate))); 
            $cost=$row2['price']['cost']+$row2['price']['urgency'];
            $cost=$cost+($cost*3)/100;
            if($row2['urgency']=='standard'&&$standard<=4){
                if($row2['method']!='DDM_PREMIUM'&&$row2['method']!='DHG_EPI'){
                $standard++;
                $html.='<div class="col-lg-3 col-md-4 col-sm-12 ddate">
                       <input type="radio"  onclick="myclick()" class="radio hiddenclass" name="delivery_date" id="'.$checked.'"
                         '.$check.' value="'.$delidate.'|standard|'.$cost.'|'.$row2['method'].'">

                        <div class="form-group allarea">
                         <label class="radiotext" for="'.$checked.'"  style="width:100%">
                          <span class="deliverytype">'.getLan('standard').'</span>
                           <br>
                            <span class="possiblydate">&nbsp;'.$row2['method'].'</span>
                          
                            <span style="font-size: 20px;font-weight: 600" class="delieverDate '.$checked.'">'.$datename.'</span>
                        </label>    
                       </div>
                    </div>';
                    $checked++;
                }
            }
        }
  
     }
     //echo count($result);
     $from_date=date('Y-m-d');
     $date=date('Y-m-d', strtotime($from_date. ' + 20 days'));
     $check='checked="checked"';
         if($free=='YES'&&count($result)==1) {
          $html.='<div class="col-lg-3 col-md-4 col-sm-12 ddate">
           <input type="radio"  onclick="myclick()" class="radio hiddenclass" name="delivery_date" id="'.$checked.'"
             '.$check.' value="'.$date.'|standard|0|UPS_STANDARD">
            <div class="form-group allarea">
             <label class="radiotext" for="8888">
              <span class="deliverytype">'.getLan('standard').'</span>
               <br>
                <span style="font-size: 20px;font-weight: 600" class="delieverDate 8888">'.$date.'</span>
                <br>
                <span class="possiblydate">&nbsp;'.getLan('free').'</span>
                <div class="d-flex justify-content-between">
                    <span class="product-name"><strong>&nbsp;</strong></span>
                    <span class="product-price"><strong>&nbsp;</strong></span>
                </div>
                <div class="d-flex">
                    <span class="product-name" style="width:200px"><strong>'.getLan('Delivery_costs').' </strong></span>
                    <span class="product-price" style="text-align:right;width:40%"><strong> € '.onlyamountFormat(0).'</strong>
                </span>
                </div>
            </label>    
           </div>
        </div>';
    }
     echo $html;
    }
    //////////////////////////////////


    public function cartIn(){
        $cart = \Config\Services::cart();
        //////////////////////
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'en-US',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        $delivery_date=$this->request->getPost('delivery_date');
        $del_array=explode('|', $delivery_date);
        $delivery_date=$del_array[0];
        $urgency=$del_array[1];
        $dcost=$del_array[2];
        $method=$del_array[3];

        if($this->request->getPost('customdeliverydate')!='')
        $delivery_date=$this->request->getPost('customdeliverydate');
        $other_des='';
        $variants='';
        $addcart=array();
        $addcart['size']=NULL;
        $addcart['printtype']=NULL;
        $addcart['material']=NULL;
        $addcart['finish']=NULL;
        $addcart['copies']=NULL;
        $addcart['clean_cut']=NULL;
        $addcart['urgency']=NULL;
        $addcart['method']=NULL;
        $addcart['printingmethod']=NULL;
        $addcart['designs']=NULL;
        $addcart['variants']=NULL;
        $addcart['printtype']=NULL;
        $addcart['customsize']=NULL;
        $addcart['id']=rand();
        $addcart['qty']=1;
        $addcart['price']=$this->request->getPost('totalcost');
        $addcart['name']=remove_accents($this->request->getPost('pname')); 
        //////////////////////////
        $addcart['sku']=$this->request->getPost('sku');
        $addcart['deliveryPromise']=0;
        $addcart['delivery_date']=$delivery_date;
        $addcart['deliverycost']=$this->request->getPost('deliverycost');
        $addcart['discount']=$this->request->getPost('discount');
        $addcart['saleprice']=$this->request->getPost('saleprice');
        $addcart['method']=$method;
        $addcart['urgency']=$urgency;
        $addcart['created_at']=date('Y-m-d');
        if($this->request->getPost('designs')!=''){
            $designs=$this->request->getPost('designs');
            $addcart['designs']=$this->request->getPost('designs');
        }
        $addcart['copies']=$this->request->getPost('copies');
        

        foreach ($pdetails['properties'] as $row) {
            $var=$this->request->getPost($row['slug']);
            foreach ($row['options'] as  $value) {
                   if($value['slug']==$var){
                    if($row['slug']=='size'){
                      $addcart['size']=$value["name"]; 
                    }elseif($row['slug']=='material'){
                        $addcart['material']=$value["name"];
                    }elseif($row['slug']=='copies'){
                        $addcart['copies']=$value["slug"];
                    }elseif($row['slug']=='printingmethod'){
                        $addcart['printingmethod']=$value["name"];
                    }else{
                         if(isset($value["name"]))
                         $other_des.=$row['title'].' : '.$value["name"].',<br>';
                         else 
                         $other_des.=$row['title'].' : '.$value["slug"].',<br>';
                    }
                }
            }
        }
        
       
        $addcart['other_des']=$other_des;
        $addcart['user_id']=session()->get('userid');
        //$cart->product_name_rules = '[:print:]';
        $cart->insert($addcart);
        $data=array('check'=>'YES','cartcount'=>$cart->totalItems());
        echo json_encode($data); 
    }

}
