<?php
namespace App\Controllers;
class Pricecon extends BaseController
{
    public function index()
    {
        return view('app');
    }
    public function price(){
    	//var_dump($_POST); exit();
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        $option=' ';
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();

        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'en-US',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        foreach ($pdetails['properties'] as $row) {
            if($row['slug']=='size'){
                if($this->request->getPost($row['slug'])=='custom'){
                    if($this->request->getPost('height')!=''){
                        $val=$this->request->getPost('height');
                        $option.='"height": "'.$val.'",';
                    }
                    if($this->request->getPost('width')!=''){
                        $val=$this->request->getPost('width');
                        $option.='"width": "'.$val.'",';
                    }
                }
                if($this->request->getPost($row['slug'])!=''){
                    $val=$this->request->getPost($row['slug']);
                    $option.='"'.$row['slug'].'": "'.$val.'",';
                }
            }elseif($row['slug']!='urgency'&&$row['slug']!='delivery'&&$row['slug']!='copies'&&$row['slug']!='designs'&&$row['slug']!='summary_image'){
                if($this->request->getPost($row['slug'])!=''&&$this->request->getPost($row['slug'])!='none'&&$this->request->getPost($row['slug'])!='geen'){
                   $val=$this->request->getPost($row['slug']);
                   $option.='"'.$row['slug'].'": "'.$val.'",';
                }
           }
        }
        
        $delivery_date=$this->request->getPost('delivery_date');
        $del_array=explode('|', $delivery_date);
        $delivery_date=$del_array[0];
        $urgency=$del_array[1];
        $dcost=$del_array[2];
        $method=$del_array[3];
        $option.='"urgency": "'.$urgency.'",';
     

        if($this->request->getPost('designs')!=''){
            $designs=$this->request->getPost('designs');
            $option.='"numberOfDesigns": "'.$designs.'",';
        }
        if($this->request->getPost('copies')!=''){
            $copies=$this->request->getPost('copies');
            $option.='"copies": "'.$copies.'"';
        }


    $sku=$this->request->getPost('sku');
    $deliveryPromise=0;
    $copies=$this->request->getPost('copies');
    $designs=$this->request->getPost('designs');
    $maxDesigns=$this->request->getPost('maxDesigns');
    //echo "$option"; exit();
    
    $todaydate=date('Y-m-d');
    $nameOfDay = date('D', strtotime($todaydate));
    if($nameOfDay=='Sat'){
        $todaydate=date('Y-m-d', strtotime($todaydate. ' + 2 days'));
    }elseif($nameOfDay=='Sun'){
        $todaydate=date('Y-m-d', strtotime($todaydate. ' + 1 days'));
    }
    $submissionDate=$todaydate.'T16:00:00.000Z';
    $delivery_date=$delivery_date.'T17:00:00.000Z';
    
    try {
     $response = $client->request('POST', 'https://api.print.com/products/'.$sku.'/price', [
           'body' => '{
            "sku":"'.$sku.'",
            "shipments":[
            {
                "deliveryDate":"'.$delivery_date.'",
                "method":"'.$method.'",
                "copies":'.$copies.'
            }
           ],
           "options":{
              '.$option.'
           },
           "deliveryPromise":'.$deliveryPromise.'
          }',
          'headers' => [
            'Accept' => 'application/json',
            'Content-Type' => 'application/json',
            'authorization' => $sinfo->api_token
          ],
        ]);   
        $result = json_decode($response->getBody(), true); 
        $i=1;
        foreach ($result as $value) {
          if($i==1){
            $saleprice=number_format($value['salesPrice'],2); 
            $deliverycost=number_format($value['deliveryPromisePrice'],2);
          }
          $i++;
        }
        $saleprice=$saleprice;
        $totalcost=number_format(($saleprice+$dcost),2);
        $check='YES';
      }
      catch(\Exception $e) {
           if ($e->hasResponse()) {
            $deliverycost=0;
            $saleprice=0;
            $totalcost=0;
            $check='NO'; 
          }
      } 

    $data=array('check'=>$check,'saleprice'=>$saleprice,'totalcost'=>$totalcost,'deliverycost'=>$deliverycost);
		echo  json_encode($data);
    }
    ///////////////////////////////////////////

    public function ship(){
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        $option=' ';
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'en-US',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        foreach ($pdetails['properties'] as $row) {
            if($row['slug']=='size'){
                if($this->request->getPost($row['slug'])=='custom'){
                    if($this->request->getPost('height')!=''){
                        $val=$this->request->getPost('height');
                        $option.='"height": "'.$val.'",';
                    }
                    if($this->request->getPost('width')!=''){
                        $val=$this->request->getPost('width');
                        $option.='"width": "'.$val.'",';
                    }
                }
                if($this->request->getPost($row['slug'])!=''){
                    $val=$this->request->getPost($row['slug']);
                    $option.='"'.$row['slug'].'": "'.$val.'",';
                }
            }elseif($row['slug']!='urgency'&&$row['slug']!='delivery'&&$row['slug']!='copies'&&$row['slug']!='designs'&&$row['slug']!='summary_image'){
                if($this->request->getPost($row['slug'])!=''&&$this->request->getPost($row['slug'])!='none'&&$this->request->getPost($row['slug'])!='geen'){
                   $val=$this->request->getPost($row['slug']);
                   $option.='"'.$row['slug'].'": "'.$val.'",';
                }
           }
        }
        $option.='"urgency": "standard",';
        if($this->request->getPost('copies')!=''){
            $copies=$this->request->getPost('copies');
            $option.='"copies": "'.$copies.'"';
        }
        
        $deliveryPromise=0;
        $copies=$this->request->getPost('copies');
        $method='DHP_EUROPLUS';
        $response = $client->request('POST', 'https://api.print.com/products/'.$sku.'/shipping-possibilities', [
           'body' =>'{ 
            "item":{
                "sku":"'.$sku.'",
                "shipments":[{
                "method":"DHP_EUROPLUS",
                "copies":'.$copies.'
                }],
                "options":{
                    '.$option.'
                    },
                "deliveryPromise":'.$deliveryPromise.'
                },
                "address":{
                    "lastName":"Özcan",
                    "country":"AT",
                    "city":"Linz",
                    "companyName":"Constant Print",
                    "postcode":"4020",
                    "telephone":"436649161042",
                    "fullstreet":"Breitwiesergutstraße 50",
                    "firstName":"Baris",
                    "email":"office@constant-ads.com"
                },
                "numberOfDays":10
            }
        }',
          'headers' => [
            'Accept' => 'application/json',
            'Content-Type' => 'application/json',
            'authorization' => $sinfo->api_token
          ],
        ]);
    $html='';
    $result = json_decode($response->getBody(), true);
    $checked=1;
    $checktime=1;
    $standard=1;
    $urgent=1;
     foreach ($result['results'] as  $row1) {
        $quick=1;
        foreach ($row1['possibilities'] as $row2) {
            $check='';
            $row2['urgency'];
            //if($row2['method']=='DHP_EUROPLUS'||$row2['method']=='UPS_STANDARD'){
            if($row2['urgency']=='standard'&&$checktime==1){ 
                $check='checked="checked"';
                $checktime=2;
            }
            $cost=$row2['price']['cost']+$row2['price']['urgency'];
            if($row2['urgency']=='standard'&&$standard<=4){
                $standard++;
                $html.='<li class="col-sm-3">
                        <label>
                        <input type="radio"  onclick="myclick()" class="option-input radio" name="delivery_date" id="Standard"
                         '.$check.' value="'.$row1['deliveryDate'].'|standard|'.$cost.'|'.$row2['method'].'">
                         <span class="radiotext">
                          <span class="deliverytype">'.getLan('standard').'</span>
                           <br>
                            <span style="font-size: 20px;font-weight: 600" class="delieverDate" >'.$row1['deliveryDate'].'</span>
                            <br>
                            <span class="cmsShorttext" >'.getLan('Possibly').'</span>
                            <span class="possiblydate">&nbsp;'.substr($row2['latestDeliveryDates']['0'],0,10).'</span>
                            <br>
                            <span class="possiblydate">&nbsp;'.$row2['method'].'</span>
                            <div class="d-flex justify-content-between">
                                <span class="product-name"><strong>'.getLan('Delivery_costs').'</strong></span>
                                <span class="product-price"><strong>€ '.$row2['price']['cost'].'</strong></span>
                            </div>
                        </span>    
                       </label>
                    </li>';
            }elseif($row2['urgency']=='urgent'&&$standard<=3){
                $urgent++;
                $html.='<li class="col-sm-3">
                        <label>
                        <input type="radio"  onclick="myclick()" class="option-input radio" name="delivery_date" id="Standard"
                         '.$check.' value="'.$row1['deliveryDate'].'|urgent|'.$cost.'|'.$row2['method'].'">
                         <span class="radiotext">
                          <span class="deliverytype">'.getLan('urgent').'</span>
                           <br>
                            <span style="font-size: 20px;font-weight: 600" class="delieverDate" >'.$row1['deliveryDate'].'</span>
                            <br>
                            <span class="cmsShorttext" >'.getLan('Possibly').'</span>
                            <span class="possiblydate">&nbsp;'.substr($row2['latestDeliveryDates']['0'],0,10).'</span>
                            <br>
                            <span class="possiblydate">&nbsp;'.$row2['method'].'</span>
                            <div class="d-flex justify-content-between">
                                <span class="product-name"><strong>'.getLan('urgency_costs').'</strong></span>
                                <span class="product-price"><strong>€ '.$row2['price']['urgency'].'</strong></span>
                            </div>
                            <div class="d-flex justify-content-between">
                                <span class="product-name"><strong>'.getLan('Delivery_costs').'</strong></span>
                                <span class="product-price"><strong>€ '.$row2['price']['cost'].'</strong></span>
                            </div>
                        </span>    
                       </label>
                    </li>';
            }elseif($row2['urgency']=='quick'&&$quick<=3){
                $quick++;
                $html.='<li class="col-sm-3">
                        <label>
                        <input type="radio"  onclick="myclick()" class="option-input radio" name="delivery_date" id="Standard"
                         '.$check.' value="'.$row1['deliveryDate'].'|quick|'.$cost.'|'.$row2['method'].'">
                         <span class="radiotext">
                          <span class="deliverytype">'.getLan('pretty_quick').'</span>
                           <br>
                            <span style="font-size: 20px;font-weight: 600" class="delieverDate" >'.$row1['deliveryDate'].'</span>
                            <br>
                            <span class="cmsShorttext" >'.getLan('Possibly').'</span>
                            <span class="possiblydate">&nbsp;'.substr($row2['latestDeliveryDates']['0'],0,10).'</span>
                            <br>
                            <span class="possiblydate">&nbsp;'.$row2['method'].'</span>
                            <div class="d-flex justify-content-between">
                                <span class="product-name"><strong>'.getLan('urgency_costs').'</strong></span>
                                <span class="product-price"><strong>€ '.$row2['price']['urgency'].'</strong></span>
                            </div>
                            <div class="d-flex justify-content-between">
                                <span class="product-name"><strong>'.getLan('Delivery_costs').'</strong></span>
                                <span class="product-price"><strong>€ '.$row2['price']['cost'].'</strong></span>
                            </div>
                        </span>    
                       </label>
                    </li>';
            }
            $checked++;
           
        }
     }
     echo $html;
    }
    //////////////////////////////////



    public function cartIn(){
        //var_dump($_POST); exit();
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'en-US',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        $other_des='';
        $addcart=array();
        $addcart['sku']=$this->request->getPost('sku');
        $addcart['deliveryPromise']=$this->request->getPost('deliveryPromise');
        $addcart['delivery_date']=$this->request->getPost('delivery_date');
        $addcart['deliverycost']=$this->request->getPost('deliverycost');
        $addcart['discount']=$this->request->getPost('discount');
        $addcart['saleprice']=$this->request->getPost('saleprice');
        $addcart['totalcost']=$this->request->getPost('totalcost');
        $addcart['pname']=$this->request->getPost('pname');
        if($this->request->getPost('designs')!=''){
            $designs=$this->request->getPost('designs');
            $addcart['designs']=$this->request->getPost('designs');
        }

        foreach ($pdetails['properties'] as $row) {
           $var=$this->request->getPost($row['slug']);
            foreach ($row['options'] as  $value) {
                   if($value['slug']==$var){
                    if($row['slug']=='size'){
                        $addcart['size']=$value["name"];

                    }elseif($row['slug']=='material'){
                        $addcart['material']=$value["name"];

                    }elseif($row['slug']=='finish'){
                        $addcart['finish']=$value["name"];

                    }elseif($row['slug']=='copies'){
                        $addcart['copies']=$value["slug"];

                    }elseif($row['slug']=='clean_cut'){
                        $addcart['clean_cut']=$value["name"];

                    }elseif($row['slug']=='urgency'){
                        $addcart['urgency']=$value["name"];

                    }elseif($row['slug']=='printingmethod'){
                        $addcart['printingmethod']=$value["name"];

                    }else{
                         if(isset($value["name"]))
                         $other_des.=$row['title'].' : '.$value["name"].',<br>';
                         else 
                         $other_des.=$row['title'].' : '.$value["slug"].',<br>';
                    }
                    
                   }
            }
        }
        $addcart['other_des']=$other_des;

        $addcart['user_id']=session()->get('userid');
        $db = \Config\Database::connect();
        $response = $db->table('msm_cart_info')->insert($addcart);
        // print_r($addcart); exit();
        $data=array('check'=>'YES');
        echo json_encode($data); 

   
    }


}
