    <!-- BEGIN: Content-->
<link href="<?=base_url()?>/public/select2/select2.min.css" rel="stylesheet" />
<script src="<?=base_url()?>/public/select2/select2.min.js"></script>		
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">
            	<?=getLan('product_image'); ?></h3>
            
          </div>
       
        </div>
        <div class="content-body"><!-- Table row borders end-->
<section id="basic-form-layouts">
	<div class="row justify-content-md-center">
		<div class="col-md-6">
			<div class="card">
				<div class="card-header">
					<h4 class="card-title" id="basic-layout-card-center">
						<?=$info->titlePlural?></h4>
					<a class="heading-elements-toggle">
						<i class="la la-ellipsis-v font-medium-3"></i></a>
					<div class="heading-elements">
					 
					</div>
				</div>
				<div class="card-content collapse show">
					<div class="card-body">
						<?= form_open_multipart('uploadImage') ?>
							<div class="form-body">
								<div class="form-group row">
									<label class="col-md-3 label-control" for="projectinput5">
										<?=getLan('category') ?></label>
									<div class="col-md-9 mx-auto">
		                            	 <select class="select2my" name="category_id" style="width: 100%">
											<?php foreach ($clists as  $value) { ?>
											    <option value="<?php echo $value->id; ?>" 
										    	<?php if($value->id==$info->category_id) echo 'selected="selected"'; ?>>
										    	 <?php echo getLan($value->category_name); ?></option>
											<?php }
											 ?>
										</select>
		                            </div>
	                            </div>
								<div class="form-group row">
									 <input type="hidden" name="sku" value="<?=$info->sku ?>">
									 <label class="col-md-3 label-control" for="projectinput5">
									 	<?=getLan('font_image') ?></label>
									<div class="col-md-9 mx-auto">
			                          <div class="custom-file">
			                              <input type="file" name="image_url" class="custom-file-input" id="inputGroupFile02" accept="image/*">
			                              <label class="custom-file-label" for="inputGroupFile02" aria-describedby="inputGroupFile02"><?=getLan('select_image') ?></label>
			                          </div>
			                          <?php if(isset($errors)) foreach ($errors as $error): ?>
									    <li><?= esc($error) ?></li>
									<?php endforeach ?>
								</div>
		                      </div>
		                      <div class="form-group row">
									 <label class="col-md-3 label-control" for="projectinput5">
									 	<?=getLan('backend_image') ?></label>
									<div class="col-md-9 mx-auto">
			                          <div class="custom-file">
			                              <input type="file" multiple name="backend_image[]" class="custom-file-input" id="backend_image"  accept="image/*">
			                              <label class="custom-file-label" for="backend_image" aria-describedby="inputGroupFile02"><?=getLan('select_image') ?></label>
			                          </div>
			                          <?php if(isset($errors)) foreach ($errors as $error): ?>
									    <li><?= esc($error) ?></li>
									<?php endforeach ?>
								</div>
		                      </div>
		                      <div class="form-group row">
									<label class="col-md-3 label-control" for="best_selling">
										<?=getLan('best_selling') ?>
									</label>
									<div class="col-md-9 mx-auto">
		                            	 <select class="select2my" name="best_selling" style="width: 100%">
										    <option value="2" 
									    	<?php if(2==$info->best_selling) echo 'selected="selected"'; ?>>
									    	<?=getLan('NO') ?></option>
									    	<option value="1" 
									    	<?php if(1==$info->best_selling) echo 'selected="selected"'; ?>>
									    	<?=getLan('YES') ?></option>
										</select>
		                            </div>
	                            </div>
	                            <div class="form-group row">
									<label class="col-md-3 label-control" for="active">
										<?=getLan('status') ?>
									</label>
									<div class="col-md-9 mx-auto">
		                            	 <select class="select2my" name="active_de" style="width: 100%">
										    <option value="ACTIVE" 
									    	<?php if('ACTIVE'==$info->active_de) echo 'selected="selected"'; ?>>
									    	<?=getLan('active') ?></option>
									    	<option value="DEACTIVE" 
									    	<?php if('DEACTIVE'==$info->active_de) echo 'selected="selected"'; ?>>
									    	<?=getLan('deactive') ?></option>
										</select>
		                            </div>
	                            </div>
	                            <div class="form-group row">
	                                <label class="col-md-3 label-control" for="copy_limit">
	                                    <?=getLan('copy_limit') ?></label>
	                                <div class="col-md-9 mx-auto">
	                                    <input type="text" id="copy_limit" class="form-control" placeholder="<?=getLan('copy_limit') ?>" name="copy_limit" value="<?php if(isset($info)) echo $info->copy_limit; elseif(isset($errors)) echo $errors->getError('copy_limit'); ?>" >
	                                </div>
	                            </div>
	                            <div class="form-group row">
	                                <label class="col-md-3 label-control" for="copies">
	                                    <?=getLan('copies') ?></label>
	                                <div class="col-md-9 mx-auto">
	                                    <textarea type="text" rows="8" id="copies" class="form-control" placeholder="<?=getLan('copies') ?>" name="copies"><?php if(isset($info)) echo $info->copies; elseif(isset($errors)) echo $errors->getError('copies'); ?></textarea>
	                                </div>
	                            </div>
							</div>

							<div class="form-actions center">
								<button type="submit" class="btn btn-primary">
									<i class="la la-check-square-o"></i> 
									<?=getLan('upload') ?>
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>





        </div>
      </div>
    </div>
    <!-- END: Content-->

 <script src="<?=base_url()?>/public/app-assets/js/scripts/forms/custom-file-input.min.js"></script>
 <script>
 	$(document).ready(function() {
	    $('.select2my').select2();
	});
 </script>