    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-12 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">
            	<?=getLan('master_category'); ?></h3>
          </div>
        </div>
        <div class="content-body"><!-- Table row borders end-->
		<section id="basic-form-layouts">
			<div class="row justify-content-md-center">
				<div class="col-md-8">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title" id="basic-layout-card-center"> </h4>
							<a class="heading-elements-toggle">
                                <i class="la la-ellipsis-v font-medium-3"></i></a>
							<div class="heading-elements">
							</div>
						</div>
						<div class="card-content collapse show">
							<div class="card-body">
								<?= form_open_multipart('savemcat') ?>
									<div class="form-body">
			                            <div class="form-group row">
			                            	<input type="hidden" name="id" value="<?=$id?>">
											<label class="col-md-3 label-control" for="projectinput5">
                                                <?=getLan('category') ?></label>
											<div class="col-md-9 mx-auto">
				                            	<input type="text" id="master_category_name" class="form-control" placeholder="<?=getLan('category') ?>" name="master_category_name" value="<?php if(isset($info)) echo $info->master_category_name; elseif(isset($errors)) echo $errors->getError('email_address'); ?>" >
				                            </div>
			                            </div>
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="projectinput5">
                                                <?=getLan('description') ?></label>
                                            <div class="col-md-9 mx-auto">
                                                <textarea id="projectinput9" rows="5" class="form-control" name="description" placeholder="<?=getLan('description') ?>"><?php if(isset($info)) echo $info->description; elseif(isset($errors)) echo $errors->getError('description'); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="form-group row">
											<label class="col-md-3 label-control" for="icon_img"><?=getLan('icon_image') ?></label>
											<div class="col-md-9 mx-auto">
											  <div class="custom-file">
											     <input type="file" name="icon_img" class="custom-file-input" id="icon_img" accept="image/*">
											     <label class="custom-file-label" for="icon_img" aria-describedby="icon_img"><?=getLan('please_select_image') ?></label>
											  </div>
											 
											 <label ><?=getLan('icon_width_height_size') ?></label>
											</div>
										</div>
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="top_banner"><?=getLan('top_banner') ?></label>
                                            <div class="col-md-9 mx-auto">
                                              <div class="custom-file">
                                                 <input type="file" name="top_banner" class="custom-file-input" id="top_banner" accept="image/*">
                                                 <label class="custom-file-label" for="top_banner" aria-describedby="top_banner"><?=getLan('please_select_image') ?></label>
                                            </div>
                                            <label ><?=getLan('top_banner_width_height_size') ?></label>
                                            </div>
                                        </div>
							        </div>
									<div class="form-actions center">
										<button type="submit" class="btn btn-primary">
											<i class="la la-check-square-o"></i> <?=getLan('save') ?>
										</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>

        </div>
      </div>
    </div>
    <!-- END: Content-->
 <script>
  	$(document).ready(function() {
    "use strict";
 	let input = document.getElementById('icon_img');
    input.addEventListener("change", function() {
        let file  = this.files[0];
        let img = new Image();
        //call on load
        img.onload = function() {
            URL.revokeObjectURL(this.src);
            //calculate image size
            let size = Math.round(Number(file.size)/1024);
            //get width
            let width = Number(this.width);
            //get height
            let height = Number(this.height);
            if(width==130 && height==130){
                if(Number(size)>1000){
                    $("#icon_img").val('');
                    swal({
                        title: '<?=getLan('alert') ?>',
                        text: '<?=getLan('icon_size_does_not_match') ?>',
                        confirmButtonText:'<?=getLan('ok') ?>',
                    });
                }
            }else{
                $("#icon_img").val('');
                swal({
                    title: '<?=getLan('alert') ?>',
                    text: '<?=getLan('icon_width_height_check') ?>',
                    confirmButtonText:'<?=getLan('ok') ?>',
                });
            }
        }

        let objectURL = URL.createObjectURL(file);
        img.src = objectURL;
    });
    /////////////////////////
   


 });
 </script>
 <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>