 <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
        </div>
            <div class="content-body"><!-- eCommerce statistic -->
              <div class="row">
                  <div class="col-xl-3 col-lg-6 col-12">
                      <div class="card pull-up">
                          <div class="card-content">
                              <div class="card-body">
                                  <div class="media d-flex">
                                      <div class="media-body text-left">
                                          <h3 class="info"><?=count($plists) ?></h3>
                                          <h6><?=getlan('total_product') ?></h6>
                                      </div>
                                      <div>
                                          <i class="lab la-product-hunt info font-large-2 float-right"></i>
                                      </div>
                                  </div>
                                  <div class="progress progress-sm mt-1 mb-0 box-shadow-2">
                                      <div class="progress-bar bg-gradient-x-info" role="progressbar" style="width: 80%" aria-valuenow="<?=count($plists) ?>" aria-valuemin="0" aria-valuemax="100"></div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <div class="col-xl-3 col-lg-6 col-12">
                      <div class="card pull-up">
                          <div class="card-content">
                              <div class="card-body">
                                  <div class="media d-flex">
                                      <div class="media-body text-left">
                                          <h3 class="warning">
                                            <?=amountFormat(array_sum(array_column($inlists,'grand_total_amount'))); ?></h3>
                                          <h6><?=getlan('total_purchase_amount') ?></h6>
                                      </div>
                                      <div>
                                          <i class="las la-money-bill-wave warning font-large-2 float-right"></i>
                                      </div>
                                  </div>
                                  <div class="progress progress-sm mt-1 mb-0 box-shadow-2">
                                      <div class="progress-bar bg-gradient-x-warning" role="progressbar" style="width: 65%" aria-valuenow="<?=amountFormat(array_sum(array_column($inlists,'grand_total_amount'))); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <div class="col-xl-3 col-lg-6 col-12">
                      <div class="card pull-up">
                          <div class="card-content">
                              <div class="card-body">
                                  <div class="media d-flex">
                                      <div class="media-body text-left">
                                          <h3 class="warning">
                                            <?=amountFormat(array_sum(array_column($duelists,'grand_total_amount'))); ?></h3>
                                          <h6><?=getlan('due_amount') ?></h6>
                                      </div>
                                      <div>
                                          <i class="las la-money-bill-wave warning font-large-2 float-right"></i>
                                      </div>
                                  </div>
                                  <div class="progress progress-sm mt-1 mb-0 box-shadow-2">
                                      <div class="progress-bar bg-gradient-x-warning" role="progressbar" style="width: 65%" aria-valuenow="<?=amountFormat(array_sum(array_column($duelists,'grand_total_amount'))); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <?php if(session()->get('user_type')==1) { ?>
                  <div class="col-xl-3 col-lg-6 col-12">
                      
                      <div class="card pull-up">
                          <div class="card-content">
                              <div class="card-body">
                                  <div class="media d-flex">
                                      <div class="media-body text-left">
                                          <h3 class="success"><?=count($clists) ?></h3>
                                          <h6><?=getlan('total_customer') ?></h6>
                                      </div>
                                      <div>
                                          <i class="icon-user-follow success font-large-2 float-right"></i>
                                      </div>
                                  </div>
                                  <div class="progress progress-sm mt-1 mb-0 box-shadow-2">
                                      <div class="progress-bar bg-gradient-x-success" role="progressbar" style="width: 75%" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                <?php } ?>
                  
              </div>
              <!--/ eCommerce statistic -->

          <!-- Products sell and New Orders -->
          

          <!--/ Products sell and New Orders -->

        <!-- Recent Transactions -->
        <div class="row">
            <div id="recent-transactions" class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title"><?=getlan('recent_transactions') ?> </h4>
                        <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                        <div class="heading-elements">
                            <ul class="list-inline mb-0">
                                <li><a class="btn btn-sm btn-danger box-shadow-2 round btn-min-width pull-right" href="#" target="_blank"><?=getLan('invoice_summary') ?></a></li>
                            </ul>
                        </div>
                    </div>            
                    <div class="card-content">                
                        <div class="table-responsive">
                            <table id="recent-orders" class="table table-hover table-xl mb-0">
                                <thead>
                                    <tr>
                                        <th class="border-top-0"><?php echo getLan('status'); ?></th>
                                        <th class="border-top-0"><?php echo getLan('invoice_number'); ?>#</th>
                                        <th class="border-top-0"><?php echo getLan('customer'); ?></th>
                                        <th class="border-top-0"><?php echo getLan('products'); ?></th>
                                        <th class="border-top-0"><?php echo getLan('amount'); ?></th>
                                    </tr>
                                </thead>
                                <tbody>
                                  <?php foreach ($inlists as $value) {
                                   ?>
                                    <tr>
                                        <td class="text-truncate">
                                          <?php if($value->payment_status=='due')
                                          echo '<i class="la la-dot-circle-o danger font-medium-1 mr-1"></i>'; 
                                          else echo '<i class="la la-dot-circle-o success font-medium-1 mr-1"></i>'; ?>
                                          <?=getLan($value->payment_status) ?></td>
                                        <td class="text-truncate">
                                          <a href="<?=base_url("pdfload"); ?>/<?=endecry($value->id,'encrypt'); ?>"><?=$value->invoice_number ?></a></td>
                                        <td class="text-truncate">
                                            <span class="avatar avatar-xs">
                                                <img class="box-shadow-2" src="<?=base_url()?>/public/image/<?=$value->photo ?>" alt="avatar">
                                            </span>
                                            <span><?=$value->first_name ?> <?=$value->last_name ?></span>
                                        </td>
                                        <td class="text-truncate p-1">
                                            <ul class="list-unstyled users-list m-0">
                                              <?php $itemlist=getInvoiceItem($value->id); 
                                                foreach ($itemlist as   $irow) {
                                                  
                                               ?>
                                                <li data-toggle="tooltip" data-popup="tooltip-custom" data-original-title="<?=$irow->pname ?>" class="avatar avatar-sm pull-up">
                                                    <img class="media-object rounded-circle no-border-top-radius no-border-bottom-radius" src="<?=img($irow->sku) ?>" alt="<?=$irow->pname ?>">
                                                </li>
                                              <?php } ?>
                                                 
                                               <!--  <li class="avatar avatar-sm">                                            
                                                    <span class="badge badge-info">+1 more</span>
                                                </li> -->
                                            </ul>
                                        </td>
                                        <td class="text-truncate"><?=amountFormat($value->grand_total_amount) ?></td>
                                    </tr>
                                  <?php } ?>
                                    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--/ Recent Transactions -->

            <!--Recent Orders & Monthly Sales -->
            <div class="row match-height">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body sales-growth-chart">
                                <div id="monthly-sales" class="height-250"></div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <div class="chart-title mb-1 text-center">
                                <h6>Total monthly Sales.</h6>
                            </div>
                            <div class="chart-stats text-center">
                                <a href="#" class="btn btn-sm btn-danger box-shadow-2 mr-1">Statistics <i class="ft-bar-chart"></i></a> <span class="text-muted">for the last year.</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--/Recent Orders & Monthly Sales -->
        </div>
      </div>
  </div>
    <!-- END: Content-->