<!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-6 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block"><?php echo getLan('Shopping_Cart'); ?></h3>
          </div>
        </div>
        <div class="content-body"><div class="shopping-cart">
	<ul class="nav nav-tabs nav-justified">
		<li class="nav-item">
			<a class="nav-link active" id="shopping-cart" data-toggle="tab" aria-controls="shop-cart-tab" href="#shop-cart-tab" aria-expanded="true"><?php echo getLan('Shopping_Cart'); ?></a>
		</li>
		
	</ul>
	<div class="tab-content pt-1"> 
		<div role="tabpanel" class="tab-pane active" id="shop-cart-tab" aria-expanded="true" aria-labelledby="shopping-cart">
			<div class="card">
				<div class="card-content">
					<div class="card-body">
						<div class="table-responsive">
							<table class="table table-borderless mb-0">
								<thead>
									<tr>
										<th style="width: 15%"><?php echo getLan('files'); ?></th>
										<th style="width: 50%"><?php echo getLan('details'); ?></th>
										<th style="width: 20%"><?php echo getLan('copies'); ?></th>
										<th style="width: 10%"><?php echo getLan('amount'); ?></th>
										<th style="width: 5%"><?php echo getLan('actions'); ?></th>
									</tr>
								</thead>
								<tbody>
								<?php 
								  $m=0;
							      $totalamount=0;
							      $totaldeliverycost=0;
							      $subtotal=0;
							      foreach ($cartp as $prow) {
							         $totalamount=$totalamount+$prow->totalcost;
							         $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
							         $subtotal=$subtotal+$prow->saleprice;
							         $m++;
							      ?>
									<tr style="border-bottom: 1px solid #000">
										<td>
											<div class="col-lg-12 col-md-12" style="text-align: center;">
											<div class="product-img d-flex align-items-center"  style="text-align: center;">
												<?php if($prow->upload_design!=''){ 
                                                  $data=explode(".",$prow->upload_design);
                                                  $type=$data[1];
                                                  if($type=='pdf'){ 
												 ?>
												 <a style="width: 100%" class="btn btn-info" href="<?=base_url('download'); ?>/<?= $prow->upload_design; ?>"><?php echo getLan('download'); ?></a>
												<?php }else{  ?>
												<img class="img-fluid" src="<?=base_url(); ?>/public/design/<?=$prow->upload_design; ?>">
											   <?php } ?>
											<?php }else{  ?>
												<span style="font-size: 15px;text-align: center;"> <?=getLan('add_file(s)'); ?> </span>
											<?php } ?>
											</div>
										</div>
										<div class="col-lg-12 col-md-12">
										<form method="post" action="<?=base_url('pfile')?>" enctype="multipart/form-data">
											<input type="hidden" id="pid" name="pid" value="<?php echo endecry($prow->id,'encrypt'); ?>">
											<div class="upload-btn-wrapper ">
											  <button class="btn file--upload" style="width: 100%">
											  	<?=getLan('choose_file'); ?></button>
											  <input type="file" class="browse" name="upload_design_<?=$prow->id ?>" accept="image/x-png,image/gif,image/jpeg,application/pdf,application/psd,application/docx">
											</div>
											<button style="width: 100%" type="submit" name="submit" class="btn btn-info but_upload" value="<?=$prow->id ?>"><?php echo getLan('upload'); ?></button>
										</form>
										</div>

										</td>
										<td>
											<div class="product-title"><?=$prow->pname ?></div>
											<div class="product-color"><strong><?=getLan('Properties'); ?> : </strong> 
												<br>
												<?php if($prow->size!='') echo "$prow->size "; ?>
                                                <?php if($prow->material!='') echo "<br> $prow->material "; ?>
                                                <?php if($prow->other_des!='') echo "<br> $prow->other_des "; ?>
											</div>
										</td>
										<td>
											<?=onlyamountFormat($prow->copies) ?> <?=getLan('copies') ?> 
										</td>
										<td>
											<div class="total-price"><?=amountFormat($prow->totalcost) ?></div>
										</td>
										<td>
											<div class="product-action">
											<a href="<?=base_url('ditem')?>/<?php echo endecry($prow->id,'encrypt'); ?>">
													<i class="fas fa-trash"></i></a>
											</div>
										</td>
									</tr>
								<?php } ?>
									
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
			<form method="post" action="<?=base_url('checkout')?>" enctype="multipart/form-data">
			<div class="row match-height">
				<div class="col-lg-6 col-md-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title"><?=getLan('shipping_address'); ?></h4>
						</div>
						<div class="card-content">
							<div class="col-md-12 mb-1">
								<?php 
								if($sinfo->company_name!='') echo "$sinfo->company_name -"; ?>  <?=$sinfo->first_name ?> <?=$sinfo->last_name ?> <br>
								<?=$sinfo->street_no ?> <br>
								<?=$sinfo->zip_code ?>  <?=$sinfo->city ?> <br>
								<?=$sinfo->email_address ?> <br>
								<?php if($sinfo->vat_no!='') echo "$sinfo->vat_no"; ?> 
							
							</div>
						</div>
					</div>
				</div>
				<div class="col-lg-6 col-md-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title">
								<?php echo getLan('price_details'); ?>
     						</h4>
						</div>
						<div class="card-content">
							<input type="hidden" name="subtotal" value="<?=$subtotal ?>">
							<input type="hidden" name="shipping_cost" value="<?=$totaldeliverycost ?>">
							<input type="hidden" name="grand_total_amount" value="<?=$totalamount ?>">
							<input type="hidden" name="shipping_id" value="<?=$sinfo->id ?>">
							<input type="hidden" name="totalitem" value="<?=$m ?>">
							<input type="hidden" name="shipping_address" value="<?php 
								if($sinfo->company_name!='') echo "$sinfo->company_name -"; ?>  <?=$sinfo->first_name ?> <?=$sinfo->last_name ?> <br>
								<?=$sinfo->street_no ?> <br>
								<?=$sinfo->zip_code ?>  <?=$sinfo->city ?> <br>
								<?=$sinfo->email_address ?> <br>
								<?php if($sinfo->vat_no!='') echo "$sinfo->vat_no"; ?>">
							<div class="card-body">
								<div class="price-detail">
									<?=getLan('subtotal'); ?> <?=$m ?> <?=getLan('products'); ?> 
									<span class="float-right">
									<?=amountFormat($subtotal) ?></span></div>
								<div class="price-detail">
									<?=getLan('shipping_cost'); ?> <span class="float-right">
									<?=amountFormat($totaldeliverycost) ?></span></div>
								<div class="price-detail">
									<?php echo getLan('vat'); ?> <span class="float-right">$ 0</span></div>
								<hr>
								<div class="price-detail">
									<?php echo getLan('grand_total'); ?> <span class="float-right">
								<?=amountFormat($totalamount) ?></span></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-content">
							<div class="card-body">
								<div class="text-right">
									<a href="<?=base_url('products')?>" class="btn btn-info mr-2"><?=getLan('continue_shopping') ?></a>
									<button type="submit" class="btn btn-warning"><?=getLan('checkout') ?></button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			</form>
		</div>
		
	

	</div>
</div>
        </div>
      </div>
    </div>
    <!-- END: Content-->
<style>
.product-img {
min-height: 200px;
}
.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
  cursor: pointer;
}

.btn {
  border-color: hsl(348, 100%, 61%);
  background-color: white;
  padding: 8px 20px;
  border-radius: 8px;
  font-size: 15px;
  font-weight: bold;
  cursor: pointer;
}

.upload-btn-wrapper input[type=file] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  cursor: pointer;
}
.file--upload  {
  color: hsl(204, 86%, 53%);
  border-color: hsl(204, 86%, 53%);
}

.file--upload:hover {
  border-color: hsl(204, 86%, 53%);
  background-color: hsl(204, 86%, 96%);
  cursor: pointer;
}
.align-items-center > span{
	text-align: center;
}
</style>