<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active"><a href="#"><?=getLan('checkout'); ?></a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
        <?php if($info->coupon_code==''){  ?>
        <div class="row mb-9">
            <div class="col-lg-5">
                &nbsp;
            </div>
            <div class="col-lg-5 pl-lg-6">
                <form class="coupon" action="<?=base_url('apply'); ?>" method="post">
                <h5 class="title coupon-title font-weight-bold text-uppercase">
                    <?=getLan('coupon_discount'); ?> </h5>
                <input type="hidden" name="invid" value="<?php if(isset($info)) echo $info->id; ?>">
                 <input type="hidden" name="invno" value="<?php if(isset($info)) echo $info->invoice_number; ?>">
                <input type="text" class="form-control mb-4" placeholder="<?=getLan('enter_coupon_code'); ?>" value="<?=$info->coupon_code; ?>" required name="coupon_code" <?php if($info->coupon_code!='')echo "readonly"; ?> >
                <button class="btn btn-dark btn-outline btn-rounded"><?=getLan('apply_coupon'); ?></button>
            </form>                     
            </div>
        </div>
        <?php } ?>
        <form class="form checkout-form" action="<?=base_url('orderpayment'); ?>" method="post">
            <div class="row mb-9">
                <div class="col-lg-5 pr-lg-4 mb-4">
                  <input type="hidden" name="invid" value="<?php if(isset($info)) echo $info->id; ?>">
                  <input type="hidden" name="invno" value="<?php if(isset($info)) echo $info->invoice_number; ?>">
                    <h3 class="title billing-title text-uppercase ls-10 pt-1 pb-3 mb-0">
                        <?=getLan('billing_address'); ?>
                    </h3>
                    <div class="row gutter-sm">
                        <input type="hidden" name="billing_id" value="<?php if(isset($binfo)) echo $binfo->id; ?>">
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('first_name'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="first_name" id="first_name"
                                    required placeholder="<?=getLan('first_name'); ?>" value="<?php if(isset($binfo)) echo $binfo->first_name; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('last_name'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="last_name" id="last_name"
                                    required placeholder="<?=getLan('last_name'); ?>" value="<?php if(isset($binfo)) echo $binfo->last_name; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('phone_no'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="phone_no" id="phone_no"
                                    required placeholder="<?=getLan('phone_no'); ?>" value="<?php if(isset($binfo)) echo $binfo->phone_no; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('email_address'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="email_address" id="email_address"
                                    required placeholder="<?=getLan('email_address'); ?>" value="<?php if(isset($binfo)) echo $binfo->email_address; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('company_name'); ?> (<?=getLan('optional') ?>) </label>
                                <input type="text" class="form-control form-control-md" name="company_name" id="company_name"
                                     placeholder="<?=getLan('company_name'); ?>" value="<?php if(isset($binfo)) echo $binfo->company_name; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('street_no'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="street_no" id="street_no"
                                    required placeholder="<?=getLan('street_no'); ?>" value="<?php if(isset($binfo)) echo $binfo->street_no; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('zip_code'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="zip_code" id="zip_code"
                                     placeholder="<?=getLan('zip_code'); ?>" value="<?php if(isset($binfo)) echo $binfo->zip_code; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('city'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="city" id="city"
                                    required placeholder="<?=getLan('city'); ?>" value="<?php if(isset($binfo)) echo $binfo->city; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('vat_no'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="vat_no" id="vat_no"
                                     placeholder="<?=getLan('vat_no'); ?>" value="<?php if(isset($binfo)) echo $binfo->vat_no; ?>">
                            </div>
                        </div>
                    </div>
                    <h3 class="title billing-title text-uppercase ls-10 pt-1 pb-3 mb-0">
                        <?=getLan('shipping_address'); ?>
                    </h3>
                    <div class="form-group  pb-2">
                        <input type="checkbox" class="customcheckbox" id="billingsameshiiping"
                            name="billingsameshiiping" onclick="return checkOk();" value="SAME">
                        <label for="billingsameshiiping"><?=getLan('shipping_address_same_as_billing_address'); ?></label>
                    </div>
                    <div class="checkboxcontent">
                        <div class="row gutter-sm">
                        <div class="col-xs-6">
                          <input type="hidden" name="shipping_id" value="<?php if(isset($sinfo)) echo $sinfo->id; ?>">
                            <div class="form-group">
                                <label><?=getLan('first_name'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="sfirst_name" id="sfirst_name"
                                    required placeholder="<?=getLan('first_name'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->first_name; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('last_name'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="slast_name" id="slast_name"
                                    required placeholder="<?=getLan('last_name'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->last_name; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('phone_no'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="sphone_no" id="sphone_no"
                                    required placeholder="<?=getLan('phone_no'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->phone_no; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('email_address'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="semail_address" id="semail_address"
                                    required placeholder="<?=getLan('email_address'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->email_address; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('company_name'); ?> (<?=getLan('optional') ?>) </label>
                                <input type="text" class="form-control form-control-md" name="scompany_name"  id="scompany_name"
                                     placeholder="<?=getLan('company_name'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->company_name; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('street_no'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="sstreet_no" id="sstreet_no"
                                    required placeholder="<?=getLan('street_no'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->street_no; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('zip_code'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="szip_code"  id="szip_code"
                                     placeholder="<?=getLan('zip_code'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->zip_code; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('city'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="scity" id="scity"
                                    required placeholder="<?=getLan('city'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->city; ?>">
                            </div>
                        </div>
                        <div class="col-xs-6">
                            <div class="form-group">
                                <label><?=getLan('vat_no'); ?> </label>
                                <input type="text" class="form-control form-control-md" name="svat_no" id="svat_no"
                                     placeholder="<?=getLan('vat_no'); ?>" value="<?php if(isset($sinfo)) echo $sinfo->vat_no; ?>">
                            </div>
                        </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-7 mb-4 sticky-sidebar-wrapper">
                    <div class="order-summary-wrapper sticky-sidebar">
                        <h3 class="title text-uppercase ls-10">
                          <?=getLan('your_cart') ?> (<?php echo  count($cartp); ?>)</h3>
                        <div class="order-summary">
                            <table class="order-table">
                                 <thead>
                                  <tr>
                                      <th colspan="2">
                                          <b><?=getLan('products') ?></b>
                                      </th>
                                  </tr>
                              </thead>
                                <tbody>
                                    <?php 
                                      $m=0;
                                      $totalamount=0;
                                      $totaldeliverycost=0;
                                      $subtotal=0;
                                      foreach ($cartp as $prow) {
                                         $totalamount=$totalamount+$prow->totalcost;
                                         $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
                                         $subtotal=$subtotal+$prow->saleprice;
                                         $m++;
                                      ?>
                                    <tr class="bb-no">
                                        <td class="product-name">
                                            <?=$prow->pname ?> 
                                            <span    class="product-quantity">
                                            <?php if($prow->copies!='') {  ?>
                                                <b>&nbsp;&nbsp;&nbsp;&nbsp;(
                                             <?=onlyamountFormat($prow->copies) ?> 
                                                <?=getLan('copies') ?> )</b>
                                            <?php } ?>
                                        </span></td>
                                        <td class="product-total"><?=amountFormat($prow->saleprice) ?></td>
                                    </tr>
                                    <?php } ?>
                                     <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('subtotal'); ?></b>
                                        </td>
                                        <td>
                                            <b><?=amountFormat($info->subtotal) ?></b>
                                        </td>
                                    </tr>
                                    
                                     <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('shipping_cost'); ?></b>
                                        </td>
                                        <td>
                                            <b><?=amountFormat($totaldeliverycost) ?></b>
                                        </td>
                                    </tr>
                                    <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('vat'); ?></b>
                                        </td>
                                        <td>
                                            <b><?=amountFormat($info->vat_amount) ?></b>
                                        </td>
                                    </tr>
                                    <?php if($info->discount_amount!=0){  ?>
                                    <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('discount_amount'); ?> (<?=$info->coupon_code ?>)</b>
                                        </td> 
                                        <td>
                                            <b><?=amountFormat($info->discount_amount) ?></b>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                </tbody>
                                <tfoot>
                                   <tr class="order-total">
                                        <th>
                                            <b><?php echo getLan('grand_total'); ?></b>
                                        </th>
                                        <td>
                                            <b><?=amountFormat($info->grand_total_amount-$info->discount_amount) ?></b>
                                        </td>
                                    </tr>
                                </tfoot>
                            </table>

                            <div class="payment-methods" id="payment_method">
                                <h4 class="title font-weight-bold ls-25 pb-0 mb-1">
                                  <?php echo getLan('payment_method'); ?></h4>
                                <div class="accordion payment-accordion" style="border-bottom: 0px solid #eee;">
                                    <div class="card">
                                        <div class="card-header">
                                            <a href="#" class="collapse">
                                              <?php echo getLan('stripe_payment_gateway'); ?></a>
                                        </div>
                                        <!-- <div id="cash-on-delivery" class="card-body expanded">
                                            <p class="mb-0">
                                                <?php echo getLan('pay_securely_by_credir/debit_card_or_directly_bank_and_online_payment'); ?>
                                            </p>
                                        </div> -->
                                    </div>
                                     
                                </div>
                            </div>
                            <div class="form-group place-order pt-6">
                                <button type="submit" class="btn btn-primary btn-block btn-rounded">
                                  <?php echo getLan('place_order'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- End of PageContent -->
<script>
function checkOk() {
    if($("input[name='billingsameshiiping']:checked").val()=='SAME'){
      $('#sfirst_name').val($('#first_name').val());
      $('#slast_name').val($('#last_name').val());
      $('#sphone_no').val($('#phone_no').val());
      $('#semail_address').val($('#email_address').val());
      $('#scompany_name').val($('#company_name').val());
      $('#sstreet_no').val($('#street_no').val());
      $('#scity').val($('#city').val());
      $('#szip_code').val($('#zip_code').val());
      $('#svat_no').val($('#vat_no').val());
    }else{
      $('#sfirst_name').val('');
      $('#slast_name').val('');
      $('#sphone_no').val('');
      $('#semail_address').val('');
      $('#scompany_name').val('');
      $('#sstreet_no').val('');
      $('#scity').val('');
      $('#szip_code').val('');
      $('#vat_no').val('');
    }
}

</script>