<div class="page-header">
    <div class="container">
        <h1 class="page-title mb-0"><?=getLan('my_account') ?></h1>
    </div>
</div>
<!-- End of Page Header -->
 <div class="page-content">
    <div class="container">
        <div class="login-popup">
            <div class="tab tab-nav-boxed tab-nav-center tab-nav-underline">
                <?php  if(session()->getFlashdata('warning')):?>
                    <div class="alert alert-icon alert-warning alert-bg alert-inline show-code-action" role="alert">
                      <?=session()->getFlashdata('warning'); ?>
                    </div>
                <?php endif;?>
                <ul class="nav nav-tabs text-uppercase" role="tablist">
                    <li class="nav-item">
                        <a href="#sign-in" class="nav-link active"><?=getLan('login') ?></a>
                    </li>
                </ul>
                <div class="tab-content">
                    <form class="form-horizontal" action="<?=base_url('getpassword'); ?>" novalidate method="POST">
                      <?= csrf_field() ?>
                    <div class="tab-pane active" id="sign-in">
                        <div class="form-group">
                            <label><?=getLan('email_address') ?> </label>
                            <input type="email" class="form-control" placeholder="<?=getLan('email_address') ?>"  name="email_address" value="<?= set_value('email_address') ?>" required>
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('email_address'); ?></span>
                        </div>
                        <button style="width: 100%" type="submit"  class="btn btn-primary"><?=getLan('submit') ?></button>
                    <br>
                    <p class="text-center"><?=getLan('already_have_an_account') ?></p>
                    <a href="<?= base_url('login'); ?>" class="btn btn-primary">
                        <?=getLan('login') ?></a>
                    </div>
                </form>
                </div>
                
             
            </div>
        </div>
    </div>
</div>