    <!-- Start of Breadcrumb -->
    <nav class="breadcrumb-nav">
        <div class="container">
            <ul class="breadcrumb bb-no">
                <li> </li>
            </ul>
        </div>
    </nav>
    <!-- End of Breadcrumb -->

    <!-- Start of Page Content -->
    <div class="page-content">
        <div class="container">
            <!-- Start of Shop Banner -->
            <?php if(isset($info)){
              $img=base_url().'/public/category/'.$info->top_banner;
              $name=$info->name;
            }else{
               $img='';
               $name=''; 
            }  
            ?>
            <?php if(isset($main)){ ?>
            <div class="shop-default-banner banner d-flex align-items-center mb-5 br-xs"
                style="background-image: url(<?=$img ?>); background-color: #007cc1;">
                <div class="banner-content">
                    <h4 class="banner-subtitle font-weight-bold text-white">
                        <?=$name ?>
                    </h4>
                </div>
            </div>
            <!-- End of Shop Banner -->
        <?php } ?>
    <!-- End of Shop Category -->
    <div class="shop-content row gutter-lg mb-10">
        <!-- Start of Shop Main Content -->
         <nav class="toolbox sticky-toolbox sticky-content fix-top">
            <div class="toolbox-right">
            </div>
        </nav>
        <?php if(count($plists)==0){ ?>
            <div class="col-md-12 mb-4">
                <div class="alert alert-error alert-bg alert-button alert-block show-code-action text-center">
                    <h3 class="alert-title" style="font-size: 20px"> <?=getLan('search_result_not_found')  ?></h3>
                     <h4 class="alert-title"><?=getLan('please_search_another_product')  ?></h4>
                    <a href="<?=base_url() ?>" class="btn btn-error btn-rounded">
                        <?=getLan('ok')  ?></a>
                    <button class="btn btn-link btn-close" aria-label="button">
                        <i class="close-icon"></i>
                    </button>
                </div>
            </div>

        <?php } ?>
        <div class="product-wrapper row cols-md-4 cols-sm-2 cols-2">
            <?php 

            foreach ($plists as  $prow) {
                 ?>
            <div class="product-wrap">
                <div class="product text-center">
                    <figure class="product-media showcase">
                        <a href="<?=base_url('p')?>/<?=$prow['sku'] ?>">
                            <img src="<?=base_url()?>/public/product/<?=$prow['image_url'] ?>" alt="Product" width="300"
                                height="338">
                        </a>
                        <div class="product-action-horizontal">
                           <a href="<?=base_url('p')?>/<?=$prow['sku'] ?>" class="btn-product" title="<?=getLan('quick_view') ?>">
                        <?=getLan('quick_view') ?></a>
                        </div>
                    </figure>
                    <div class="product-details">
                        <h3 class="product-name product-price">
                            <a href="<?=base_url('p')?>/<?=$prow['sku'] ?>"><?=$prow['titlePlural'] ?></a>
                        </h3>
                    </div>
                </div>
            </div>
        <?php } 
             ?>
        </div>
        <div class="toolbox toolbox-pagination justify-content-between">
            <p class="showing-info mb-2 mb-sm-0">
                <!-- Showing<span>1-12 of 60</span>Products -->
            </p>
           <?= $pager->links() ?>
        </div>
        
        <!-- End of Shop Main Content -->
    </div>
    <!-- End of Shop Content -->
</div>
</div>
    <!-- End of Page Content -->
   <style type="text/css"> 
   .pagination a { 
     padding-left: 5px; 
     padding-right: 5px; 
     margin-left: 5px; 
     margin-right: 5px; 
   } 
   .pagination li.active{
     background: deepskyblue;
     color: white;
   }
   .pagination li.active a{
     color: white;
     text-decoration: none;
   }
   .text-white {
      color: #000!important;
    }
   </style>