<div class="page-header">
    <div class="container">
        <h1 class="page-title mb-0"><?=getLan('my_account') ?></h1>
    </div>
</div>
<!-- End of Page Header -->
 <div class="page-content">
    <div class="container">
        <div class="login-popup">
            <div class="tab tab-nav-boxed tab-nav-center tab-nav-underline">
                 <?php
                    if(session()->getFlashdata('success')):?>
                  <div class="alert alert-icon alert-success alert-bg alert-inline show-code-action" role="alert">
                      <?=session()->getFlashdata('success'); ?>
                    </div>
                  <?php endif;?>
                 <?php
                    if(session()->getFlashdata('warning')):?>
                  <div class="alert alert-icon alert-warning alert-bg alert-inline show-code-action" role="alert">
                      <?=session()->getFlashdata('warning'); ?>
                    </div>
                  <?php endif;?>
                <ul class="nav nav-tabs text-uppercase" role="tablist">
                    <li class="nav-item">
                        <a href="#sign-in" class="nav-link active">
                            <?=getLan('your_register_panel'); ?></a>
                    </li>
                </ul>
                <div class="tab-content">
                    <form class="form-horizontal" action="<?=base_url('register'); ?>" novalidate method="POST">
                      <?= csrf_field() ?>
                    <div class="tab-pane active" id="sign-in">
                           <?php
                            if(session()->getFlashdata('success')):?>
                          <div class="alert alert-success mb-2" role="alert">
                              <?= $session->getFlashdata('success'); ?>
                            </div>
                          <?php endif;?>
                        <div class="form-group mb-5">
                            <label><?=getLan('first_name') ?></label>
                            <input type="text" class="form-control" name="first_name" id="first_name" required placeholder="<?=getLan('first_name') ?>">
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('first_name'); ?></span>
                        </div>
                        <div class="form-group mb-5">
                            <label><?=getLan('last_name') ?></label>
                            <input type="text" class="form-control" name="last_name" id="last-name"   placeholder="<?=getLan('last_name') ?>" required>
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('last_name'); ?></span>
                        </div>
                        <div class="form-group mb-5">
                            <label><?=getLan('company_name') ?></label>
                            <input type="text" class="form-control" name="company_name" id="company_name" placeholder="<?=getLan('company_name') ?>">
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('company_name'); ?></span>
                        </div>
                        <div class="form-group">
                            <label><?=getLan('email_address') ?></label>
                            <input type="email" class="form-control" name="email_address" id="email_address" required placeholder="<?=getLan('email_address') ?>">
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('email_address'); ?></span>
                        </div>
                        <div class="form-group mb-5">
                            <label><?=getLan('phone_no') ?></label>
                            <input type="text" class="form-control" name="phone_no" id="phone_no" required placeholder="<?=getLan('phone_no') ?>">
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('phone_no'); ?></span>
                        </div>
                        <div class="form-group mb-5">
                            <label><?=getLan('country_name') ?></label>
                            <select class="custom-select d-block select2my" style="width: 100%" id="country_name" required="" name="country_name">
                              <option value=""><?=getLan('country_name') ?></option>
                              <?php foreach ($clist as   $value) {
                               ?>
                              <option value="<?=$value->country_name ?>"><?=$value->country_name ?></option>
                              <?php } ?>
                            </select>
                            <span class="text-danger"><?php if(isset($allerror)) echo $allerror->getError('country_name'); ?></span>
                        </div>
                         
                        <div class="form-checkbox d-flex align-items-center justify-content-between mb-5">
                            <input type="checkbox" class="custom-checkbox" id="remember" name="remember" required="">
                            <label for="remember" class="font-size-md"><?=getLan('i_agree_to_the') ?> 
                            <a  href="<?=base_url('policy'); ?>" class="text-primary font-size-md"><?=getLan('privacy_policy') ?></a></label>
                        </div>
                        <button type="submit" class="btn btn-primary" style="width: 100%" >
                            <i class="ft-unlock"></i> 
                        <?=getLan('register') ?> </button>
                        <br>
                        <p class="card-subtitle line-on-side text-muted text-center font-small-3 mx-2 my-1">
                            <span><?=getLan('already_have_an_account') ?></span></p>
                        <a href="<?= base_url('login'); ?>" class="btn btn-primary btn-block"><i class="la la-user"></i>
                        <?=getLan('login') ?> </a>
                    </div>
                </form>
                </div>
                  
            </div>
        </div>
    </div>
</div>
<link href="<?=base_url()?>/public/select2/select2.min.css" rel="stylesheet" />
    <script src="<?=base_url()?>/public/select2/select2.min.js"></script>
    <script>
    $(document).ready(function() {
        $('.select2my').select2();
    });
</script>