<?php
namespace App\Controllers;
use CodeIgniter\Controller;
use App\Models\LoginModel;
class Carts extends Controller
{ 
    public function __construct() {
        $session = session();
        helper(['My','form', 'url']);
        $cart = \Config\Services::cart();
    }
    public function cartIn(){
        $cart = \Config\Services::cart();
        //////////////////////
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'en-US',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        $delivery_date=$this->request->getPost('delivery_date');
        $del_array=explode('|', $delivery_date);
        $delivery_date=$del_array[0];
        $urgency=$del_array[1];
        $dcost=$del_array[2];
        $method=$del_array[3];

        if($this->request->getPost('customdeliverydate')!='')
            $delivery_date=$this->request->getPost('customdeliverydate');
        $other_des='';
        $variants='';
        $addcart=array();
        $addcart['size']=NULL;
        $addcart['printtype']=NULL;
        $addcart['material']=NULL;
        $addcart['finish']=NULL;
        $addcart['copies']=NULL;
        $addcart['clean_cut']=NULL;
        $addcart['urgency']=NULL;
        $addcart['method']=NULL;
        $addcart['printingmethod']=NULL;
        $addcart['designs']=NULL;
        $addcart['variants']=NULL;
        $addcart['printtype']=NULL;
        $addcart['customsize']=NULL;
        $addcart['id']=rand();
        $addcart['qty']=1;
        $addcart['price']=$this->request->getPost('totalcost'); //product price+ delivery cost
        $addcart['name']=$this->request->getPost('sku'); 
        $addcart['pname']=$this->request->getPost('pname'); 
        //////////////////////////
        $addcart['sku']=$this->request->getPost('sku');
        $addcart['deliveryPromise']=0;
        $addcart['delivery_date']=$delivery_date;
        $addcart['deliverycost']=$this->request->getPost('deliverycost'); // shipping cost
        $addcart['discount']=$this->request->getPost('discount');
        $addcart['saleprice']=$this->request->getPost('saleprice'); //product price only
        $addcart['method']=$method;
        $addcart['urgency']=$urgency;
        $addcart['created_at']=date('Y-m-d');
        if($this->request->getPost('designs')!=''){
            $designs=$this->request->getPost('designs');
            $addcart['designs']=$this->request->getPost('designs');
        }
        $addcart['copies']=$this->request->getPost('copies');

        foreach ($pdetails['properties'] as $row) {
            $var=$this->request->getPost($row['slug']);
            foreach ($row['options'] as  $value) {
                   if($value['slug']==$var){
                    if($row['slug']=='size'){
                        if(isset($value["name"])) $addcart['size']=$value["name"]; else $addcart['size']=$value['slug'];
                        if($addcart['size']=='custom'){
                            $customsize='';
                            if($this->request->getPost('height')!=''){
                                $val=$this->request->getPost('height');
                                $customsize.='height: '.$val;
                            }
                            if($this->request->getPost('width')!=''){
                                $val=$this->request->getPost('width');
                                $customsize.=' X width: '.$val.' mm';
                            }
                            $addcart['customsize']=$customsize;
                        }
                    }elseif($row['slug']=='material'){
                        $addcart['material']=$value["name"];
                    }elseif($row['slug']=='finish'){
                        $addcart['finish']=$value["name"];
                    }elseif($row['slug']=='copies'){
                        $addcart['copies']=$value["slug"];
                    }elseif($row['slug']=='clean_cut'){
                        $addcart['clean_cut']=$value["name"];
                    }elseif($row['slug']=='printingmethod'){
                        $addcart['printingmethod']=$value["name"];
                    }else{
                         if(isset($value["name"]))
                         $other_des.=$row['title'].' : '.$value["name"].',<br>';
                         else 
                         $other_des.=$row['title'].' : '.$value["slug"].',<br>';
                    }
                }
            }
        }
        $variantsts=$this->request->getPost('variantsts');
        $m=0;
        foreach ($variantsts as  $value) {
            if($m==0){
            $variants.="$value";
              }else{
               $variants.="<br> $value";
              }
        $m++;
        }
        $addcart['variants']=$variants;
        $addcart['other_des']=$other_des;
        $addcart['user_id']=session()->get('userid');
        //$cart->product_name_rules = '[:print:]';
        $cart->insert($addcart);
        $data=array('check'=>'YES','cartcount'=>$cart->totalItems());
        echo json_encode($data); 
    }


    public function showcart(){
        $cart = \Config\Services::cart();
        //////////////////////
        $db = \Config\Database::connect();
        $data['setting']=setting();
        $data['cartp'] = $cart->contents();         
        return view('fontend/sidecart', $data);
    }
     public function cartcount(){
        $cart = \Config\Services::cart();
        $data=array('count'=>$cart->totalItems()); 
        echo json_encode($data);         
    }
    public function download($file=FALSE){
        return $this->response->download('public/design/' . $file, null);
    }
    public function removedata(){
        $itemid=$this->request->getPost('itemid');
        $cart = \Config\Services::cart();
        $cart->remove($itemid);
        echo 'OK';
    }
    public function cartclear(){
        $cart = \Config\Services::cart();
        $cart->destroy();
        return redirect()->to('/shopcart');
    }
    public function shoppingcart() {   
        //////////////////////
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['setting']=setting();
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['cartp'] = $cart->contents();
        return view('fontend/header', $data)
            . view('fontend/viewcart', $data)
            . view('fontend/footer', $data);

    }
    function productfile() { 
        $pid = endecry($this->request->getPost('pid'),'decrypt'); 
        $db = \Config\Database::connect();
        $avatar = $this->request->getFile("upload_design_$pid");
        $avatar->move('public/design');
        $fname=$avatar->getName();
        $type=$avatar->getClientMimeType();
        $builder = $db->table('msm_cart_info');
        $builder->set('upload_design', "$fname");
        $builder->set('file_type', "$type");
        $builder->where('id', $pid);
        $builder->update();
        $session = session();
        $session->setFlashdata('success',getLan('upload_successfully'));
        return redirect()->to('/shopcart');
    }
    //////////////////////////////////
    public function checkout() {   
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $builder = $db->table('msm_invoice_master');
        $cartitem = $db->query("SELECT * FROM msm_cart_info WHERE user_id=$user_id")->getResult();
        $invcount = $db->query("SELECT count(id) as counts FROM msm_invoice_master 
            WHERE user_id=$user_id")->getRow('counts');
        $m=0;
        $indata['invoice_number']=date('Ymd').str_pad($invcount + 1, 6, '0', STR_PAD_LEFT);
        $indata['invoice_date']=date('Y-m-d');
        $indata['currency']='EUR';
        $indata['payment_method']=NULL;
        $indata['subtotal']=$this->request->getPost('subtotal');
        $indata['grand_total_amount']=$this->request->getPost('grand_total_amount');
        $indata['total_discount']=0;
        $indata['shipping_cost']=$this->request->getPost('shipping_cost');
        $indata['payment_status']='due';
        $indata['shipping_id']=$this->request->getPost('shipping_id');
        $indata['shipping_address']=$this->request->getPost('shipping_address');
        $indata['user_id']=$user_id;
        $indata['created_at']=date('Y-m-d');
        $builder->insert($indata);
        $inv_id=$db->insertID();  
        $totalamount=0;
        $totaldeliverycost=0;
        $subtotal=0;
        foreach ($cartitem as $prow) {
            $totalamount=$totalamount+$prow->totalcost;
            $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
            $subtotal=$subtotal+$prow->saleprice;
            $pdata['invoice_number']=$indata['invoice_number'];
            $pdata['inv_id']=$inv_id;
            $pdata['pname']=$prow->pname;
            $pdata['sku']=$prow->sku;
            $pdata['size']=$prow->size;
            $pdata['printtype']=$prow->printtype;
            $pdata['material']=$prow->material;
            $pdata['finish']=$prow->finish;
            $pdata['copies']=$prow->copies;
            $pdata['clean_cut']=$prow->clean_cut;
            $pdata['urgency']=$prow->urgency;
            $pdata['method']=$prow->method;
            $pdata['printingmethod']=$prow->printingmethod;
            $pdata['designs']=$prow->designs;
            $pdata['other_des']=$prow->other_des;
            $pdata['deliveryPromise']=$prow->deliveryPromise;
            $pdata['delivery_date']=$prow->delivery_date;
            $pdata['deliverycost']=$prow->deliverycost;
            $pdata['discount']=$prow->discount;
            $pdata['saleprice']=$prow->saleprice;
            $pdata['totalcost']=$prow->totalcost;
            $pdata['upload_design']=$prow->upload_design;
            $pdata['file_type']=$prow->file_type;
            $pdata['cart_date']=$prow->created_at;
            $pdata['user_id']=$user_id;
            $pdata['created_at']=date('Y-m-d');
            $db->table('msm_invoice_details')->insert($pdata);
         }
        $inv_id=endecry($inv_id,'encrypt');
        return redirect()->to("/paynow/$inv_id");
    }
    public function Paydue($inv_id=FALSE) {   
        $inv_id=endecry($inv_id,'decrypt');
        $LoginModel = new LoginModel();
        $data['setting']=setting();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $user_id= session()->get('userid');
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id AND user_id=$user_id")->getResult();
        $data['info'] = $db->query("SELECT i.* FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        return view('admin/header', $data)
            . view('admin/checkout', $data)
            . view('admin/footer', $data);
    }
    public function deleteitem($id){
        $id=endecry($id,'decrypt'); 
        $id=$this->request->getPost('id');
        $db = \Config\Database::connect();
        $builder = $db->table('msm_cart_info');
        $builder->where('id', $id);
        $builder->delete();     
        echo 'OK';
    }

}
