<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use CodeIgniter\Files\File;
class Company extends BaseController
{
    public function index()
    {   
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        $data['setting']=setting();
        return view('admin/header', $data)
            . view('admin/company', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    function update() { 
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        if($this->request->getFile('mlogo')!=''){
            $validationRule = [
                'mlogo' => [
                    'label' => 'Image File',
                    'rules' => 'uploaded[mlogo]'
                        . '|is_image[mlogo]'
                        . '|mime_in[mlogo,image/jpg,image/jpeg,image/gif,image/png]'
                        . '|max_size[mlogo,10000]'
                        . '|max_dims[mlogo,1500,500]',
                ],
            ];
        }else{
            $validationRule = [
            'company_name'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
        ];
    }
         if (! $this->validate($validationRule)) {
            $data = ['errors' => $this->validator->getErrors()];
            $data['setting']=setting();
            return view('admin/header', $data)
                . view('admin/company', $data)
                . view('admin/footer', $data);
        }else{
            $builder = $db->table('msm_setting_info');
            
            if($this->request->getFile('mlogo')!=''){
                $avatar = $this->request->getFile('mlogo');
                $avatar->move('public/logo');
                $fname=$avatar->getName();
                $builder->set('mlogo', "$fname");
            }
            
            $builder->set('company_name', $this->request->getPost('company_name'));
            $builder->set('support_phone_no', $this->request->getPost('support_phone_no'));
            $builder->set('sales_phone_no', $this->request->getPost('sales_phone_no'));
            $builder->set('support_email_address', $this->request->getPost('support_email_address'));
            $builder->set('sales_email_address', $this->request->getPost('sales_email_address'));
            $builder->set('phone', $this->request->getPost('phone'));
            $builder->set('web', $this->request->getPost('web'));
            $builder->set('date_format', $this->request->getPost('date_format'));
            $builder->set('open_time', $this->request->getPost('open_time'));
            $builder->set('street', $this->request->getPost('street'));
            $builder->set('zip_code', $this->request->getPost('zip_code'));
            $builder->set('city', $this->request->getPost('city'));
            $builder->set('corp_regi_number', $this->request->getPost('corp_regi_number'));
            $builder->set('sale_tax_id', $this->request->getPost('sale_tax_id'));
            $builder->set('bank_name', $this->request->getPost('bank_name'));
            $builder->set('account_no', $this->request->getPost('account_no'));
            $builder->set('rounting_number', $this->request->getPost('rounting_number'));
            $builder->set('swift_code', $this->request->getPost('swift_code'));
            $builder->set('about_us', $this->request->getPost('about_us'));
            $builder->set('policy', $this->request->getPost('policy'));
            $builder->set('term_condition', $this->request->getPost('term_condition'));
            $builder->where('id', 1);
            $builder->update();
            $session = session();
            $session->setFlashdata('success',getLan('upload_successfully'));
            return redirect()->to('/company');
        } 
        }else{
            return redirect('/');
        }
    }
   
   

    
}
