<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use CodeIgniter\Files\File;
class Coupon extends BaseController
{
    public function index(){   
        if(session()->get('user_type')==1){ 
		$db = \Config\Database::connect();
        $data['setting']=setting();
        $data['lists'] = $db->query("SELECT c.* 
            FROM msm_coupons c 
            ORDER BY id ")->getResult(); 
    	return view('admin/header', $data)
            . view('admin/couponlist', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    public function addEdit($id=FALSE){   
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        $data['setting']=setting();
        if($id!=FALSE){
            $id=endecry($id,'decrypt');
            $data['info']=$db->query("SELECT * FROM msm_coupons 
                    WHERE id='$id' ")->getRow();
        }
        $data['id']=$id;
        return view('admin/header', $data)
            . view('admin/addcoupon', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }

    }
    
     function saveCoupon() { 
        if(session()->get('user_type')==1){ 
        $id = $this->request->getPost('id');
        $db = \Config\Database::connect();
        $validationRule = [
            'coupon_code'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
            'amount'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
            'expired_date'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],

        ];
        if (!$this->validate($validationRule)) {
            $data['errors'] = $this->validator;
            $db = \Config\Database::connect();
            $data['setting']=setting();
            $id=$this->request->getPost('id');
            if($id!=''){
            $id=endecry($id,'decrypt');
                $data['info']=$db->query("SELECT * FROM msm_coupons 
                        WHERE id='$id' ")->getRow();
            }
            return view('admin/header', $data)
                . view('admin/addcoupon', $data)
                . view('admin/footer', $data);
        }else{
            $builder = $db->table('msm_coupons');
            if($this->request->getFile('icon_img')!=''){
                $icon_img = $this->request->getFile('icon_img');
                $icon_img->move('public/category');
                $builder->set('icon_img', $icon_img->getName());
            }
            if($this->request->getFile('banner')!=''){
                $banner = $this->request->getFile('banner');
                $banner->move('public/category');
                $builder->set('banner', $banner->getName());
            }
            $builder->set('coupon_code', $this->request->getPost('coupon_code'));
            $builder->set('type', $this->request->getPost('type'));
            $builder->set('amount', $this->request->getPost('amount'));
            $builder->set('expired_date', $this->request->getPost('expired_date'));
            $builder->set('description', $this->request->getPost('description'));
            //////////////////////////////////////////////////
             if($id==''){
                $builder->insert();
             }else{
                $builder->where('id', $id);
                $builder->update();
             }
            $session = session();
            $session->setFlashdata('success',getLan('saved_successfully'));
            return redirect()->to('/Clist');
        } 
        }else{
            return redirect('/');
        }
    }

    
}
