<?php
namespace App\Controllers;
use CodeIgniter\API\ResponseTrait;
use App\Controllers\BaseController;
use Stripe;
use App\Models\LoginModel;
class Create extends BaseController
{
    use ResponseTrait;
    function stripeSession(){
      Stripe\Stripe::setApiKey(getenv('stripe.secret'));
      try {
          // retrieve JSON from POST body
        $jsonStr = file_get_contents('php://input');
        $jsonObj = json_decode($jsonStr);
          // Create a PaymentIntent with amount and currency
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $inv_id=endecry($jsonObj->items[0]->id,'decrypt'); 
        $info = $db->query("SELECT i.* FROM msm_invoice_master i 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        $amount=($info->grand_total_amount-$info->discount_amount)*100;
        $paymentIntent = \Stripe\PaymentIntent::create([
            'amount' =>$amount,
            'currency' => 'eur',
            'automatic_payment_methods' => [
              'enabled' => true,
            ],
        ]);
        header('Content-Type: application/json');
        $output = [
          'clientSecret' => $paymentIntent->client_secret
        ];
        return $this->respond($output);
        //echo json_encode($output, true);
      } catch (Error $e) {
          http_response_code(500);
          echo json_encode(['error' => $e->getMessage()]);
      }
  }   
     
}