<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use CodeIgniter\Files\File;
class Imageup extends BaseController
{
    public function index(){   
        if(session()->get('user_type')==1){ 
		$db = \Config\Database::connect();
        $data['setting']=setting();
        $data['lists'] = $db->query("SELECT p.*, c.category_name 
            FROM msm_product_image p
            LEFT JOIN msm_category_info c ON(p.category_id=c.id)
            ORDER BY sku ASC")->getResult();
    	return view('admin/header', $data)
            . view('admin/imagelists', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }

    }
    public function imageupdate($sku){   
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        $data['setting']=setting();
        $data['clists'] = $db->table('msm_category_info')->get()->getResult();
        $data['info']=$db->query("SELECT * FROM msm_product_image 
                    WHERE sku='$sku' ")->getRow();
        return view('admin/header', $data)
            . view('admin/addimage', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }

    }
    
     function uploadImage() { 
        if(session()->get('user_type')==1){ 
        $sku = $this->request->getPost('sku');
        $db = \Config\Database::connect();

        if($this->request->getFile('image_url')!=''){
            $validationRule = [
                'image_url' => [
                    'label' => 'Image File',
                    'rules' => 'uploaded[image_url]'
                        . '|is_image[image_url]'
                        . '|mime_in[image_url,image/jpg,image/jpeg,image/gif,image/png,image/webp,image/svg,image/svg+xml]'
                        . '|max_size[image_url,100000]'
                        . '|max_dims[image_url,10024,7068]',
                ],
            ];
        }else{
            $validationRule = [
                'category_id'=>[
                    'rules'=>'required',
                    'errors'=>[
                        'required'=>getLan('required')
                    ]
                ],
            ];
        }
        if (! $this->validate($validationRule)) {
            $data = ['errors' => $this->validator->getErrors()];
             $data['setting']=setting();
            $data['info'] = $uinfo=$db->query("SELECT * FROM msm_product_image 
                        WHERE sku='$sku' ")->getRow();
            return view('admin/header', $data)
                . view('admin/addimage', $data)
                . view('admin/footer', $data);
        }else{
            $builder = $db->table('msm_product_image');
            if($this->request->getFile('image_url')!=''){
                $avatar = $this->request->getFile('image_url');
                $avatar->move('public/product');
                $fname=$avatar->getName();
                $builder->set('image_url', "$fname");
            }
            // if($this->request->getFile('backend_image')!=''){
            //     $avatar = $this->request->getFile('backend_image');
            //     $avatar->move('public/product');
            //     $fname=$avatar->getName();
            //     $builder->set('backend_image', "$fname");
            // }
            $filesUploaded = '';
            $i = 0;
            if($this->request->getFileMultiple('backend_image'))
            {
                $files = $this->request->getFileMultiple('backend_image');
                foreach ($files as $file) {
                    if ($file->isValid() && ! $file->hasMoved())
                    {
                        $newName = $file->getRandomName();
                        $file->move('public/product', $newName);
                        if($i==0){
                            $filesUploaded=$file->getName();
                        }else{
                            $filesUploaded=$filesUploaded.';'.$file->getName();
                        }
                        $i++;
                    }
                }
                $builder->set('backend_image', "$filesUploaded");
            }
            
            $builder->set('category_id', $this->request->getPost('category_id'));
            if($this->request->getPost('category_id')!=''){
                $master_id=getMasterCat($this->request->getPost('category_id'));
                $builder->set('master_id', $master_id);
            }
            $builder->set('active_de', $this->request->getPost('active_de'));
            $builder->set('best_selling', $this->request->getPost('best_selling'));
            $builder->set('copy_limit', $this->request->getPost('copy_limit'));
            $builder->set('copies', $this->request->getPost('copies'));
            $builder->where('sku', $sku);
            $builder->update();
            $session = session();
            $session->setFlashdata('success',getLan('upload_successfully'));
            return redirect()->to('/Image');
        } 
        }else{
            return redirect('/');
        }
    }
    public function autoupdate(){   
        if(session()->get('user_type')==1){ 
        $sinfo=setting();
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        $response = $client->request('GET', 'https://api.print.com/products', [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'de-DE',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $db = \Config\Database::connect();
        $plist= json_decode($response->getBody(), true);
        //echo "<pre>"; print_r($plist); exit;
        foreach ($plist as  $value) {
            $sku=$value['sku'];
            $info=$db->table('msm_product_image')->select('id,sku')->where(["sku" => $sku])->get()->getResult();
            //echo count($info); exit();
            if (count($info)==0) {
                $indata['sku']=$value['sku'];
                if(isset($value['titlePlural']))  $indata['titlePlural']=$value['titlePlural'];
                    else $indata['titlePlural']=$value['sku'];
                
                $indata['image_url']='sample.png';
                $db = \Config\Database::connect();
                $response = $db->table('msm_product_image')->insert($indata);
            }else{
                $builder = $db->table('msm_product_image');
                if(isset($value['titlePlural']))  $name=$value['titlePlural'];
                    else $name=$value['sku'];
                $builder->set('titlePlural', $name);
                $builder->where('sku', $sku);
                $builder->update();
            }
        }
        session()->setFlashdata('success',getLan('updated_successfully'));
        return redirect()->to('/Image');
        }else{
            return redirect('/');
        }
    }
   

    
}
