<?php
namespace App\Controllers;
use CodeIgniter\Controller;
use App\Models\LoginModel;
use App\Libraries\Hash;
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
 class Login extends  Controller
 {
    public function __construct() {
        $session = session();
        helper(['My','form', 'url']);
     }

 	public function index(){ 
        if(session()->has('loggedTrue')){
            return redirect()->to('/dashboard');
        }else{
            $LoginModel = new LoginModel();
            $data['setting']=setting();
            $cart = \Config\Services::cart();
            $data['cartcount']=$cart->totalItems();
            $data['clists']=$LoginModel->getAll("msm_category_info");
            $data['mclists']=$LoginModel->getAll("msm_master_category");
            return view('fontend/header',$data).
            view('fontend/login',$data).
            view('fontend/footer',$data);
        }
    }
    public function createAccount(){ 
 	    $db = \Config\Database::connect();
        $LoginModel = new LoginModel();
        $data['setting']=setting();
        $session = session();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['clist'] = $db->table('msm_country_info')->get()->getResult();
        return view('fontend/header',$data).
            view('fontend/register',$data).
            view('fontend/footer',$data);
    }
     public function register(){
        $setting=setting();
        $session = session();
        $db = \Config\Database::connect();
        $data = [];
        $rules = [
            'first_name'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
            'last_name'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
            'email_address'=>[
                'rules'=>'required|valid_email|is_unique[msm_user_info.email_address]',
                'errors'=>[
                    'required'=>getLan('required'),
                    'valid_email'=>getLan('valid_email'),
                    'is_unique'=>getLan('is_unique')
                ]
            ],
            'phone_no'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
            'company_name'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
            'country_name'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
        ];
        ////////////////////////////////////////////
        if($this->request->getMethod() == "post"){
            if($this->validate($rules)){
                $password =substr(str_shuffle('CONTANTADSPRINTCOM'.time()),0,8); 
                $custcount = $db->query("SELECT max(id) as counts FROM msm_user_info")->getRow('counts');
                $customer_no=str_pad($custcount + 1, 5, '0', STR_PAD_LEFT);
            	$values=[
            		'first_name'=>$this->request->getPost('first_name'),
            		'last_name'=>$this->request->getPost('last_name'),
            		'company_name'=>$this->request->getPost('company_name'),
            		'email_address'=>$this->request->getPost('email_address'),
                    'password'=> password_hash($password,PASSWORD_DEFAULT),
                    'password_text'=> $password,
            		'phone_no'=>$this->request->getPost('phone_no'),
            		'country_name'=>$this->request->getPost('country_name'),
                    'customer_no'=>$customer_no,
                    'user_type'=>3
            	];
                $mdata['password']=$password;
                $mdata['setting']=$setting;
                $LoginModel = new LoginModel();
                $uid=$LoginModel->InsertData($values);
                if($uid){
                    $mdata['uid']=$uid;
                    $to = $this->request->getPost('email_address');
                    $subject = getLan('Registration_confirmation');
                    $message = view('fontend/confirm_email',$mdata);
                    $mail = new PHPMailer(true);  
                    try {
                        $mail->SMTPDebug = 0; 
                        $mail->isSMTP();  
                        $mail->isHTML(true); 
                        $mail->Host         = 'constant-print.at'; //smtp.google.com
                        $mail->SMTPAuth     = true;     
                        $mail->Username     = 'masteremail@constant-print.at';  
                        $mail->Password     = 'R]c-d*Zv*YHEDSSA';
                        $mail->SMTPSecure   = 'STARTTLS';  
                        $mail->Port         = 587;  
                        $mail->Subject      = $subject;
                        $mail->Body         = $message;
                        $mail->setFrom("$setting->support_email_address", "$setting->company_name");
                        //$mail->addAttachment("file.txt", "File.txt");    
                        //$mail->addAttachment("images/profile.png"); //Filename is optional 
                        $mail->addAddress($to);  
                        $mail->isHTML(true);      
                        ////////////////////////////////////////////////////
                        if(!$mail->send()) {
                           // echo "Something went wrong. Please try again.";
                        }else {
                           // echo "Email sent successfully.";
                        }
                    } catch (Exception $e) {
                        //echo "Something went wrong. Please try again.";
                    }
                    $session->setFlashdata('success',getLan('account_create_successfully'));
               }
               return redirect('login');
            }else{
                $LoginModel = new LoginModel();
                $data['setting']=setting();
                $cart = \Config\Services::cart();
                $data['cartcount']=$cart->totalItems();
                $data['clists']=$LoginModel->getAll("msm_category_info");
                $data['mclists']=$LoginModel->getAll("msm_master_category");
                $data['clist'] = $db->table('msm_country_info')->get()->getResult();
                $data['allerror'] = $this->validator;
                return view('fontend/header',$data).
                view('fontend/register',$data).
                view('fontend/footer',$data);
            }
        }
    }
    /////////////////////////////////
    public function confirm($id){
        $id=endecry($id,'decrypt');
        $setting=setting();
        $session = session();
        $db = \Config\Database::connect();
        $info = $db->query("SELECT * FROM msm_user_info WHERE id=$id ")->getRow();
        if(!is_null($info)){
            $builder = $db->table('msm_user_info');
            $builder->set('create_status', 2);
            $builder->where('id', $id);
            $builder->update();
            ////////////////////
            if($info->create_status==2){
                $session->setFlashdata('success',getLan('previously_click_on_this_link'));
                return redirect('/');
            }
            $mdata['setting']=$setting;
            
            $to = $info->email_address;
            $mdata['password']=$info->password_text;
            $subject = getLan('Your_Constant_Print_password');
            $message = view('fontend/regi_email',$mdata);
            $mail = new PHPMailer(true);  
            try {
                $mail->SMTPDebug = 1; 
                $mail->isSMTP();  
                $mail->isHTML(true); 
                $mail->Host         = 'constant-print.at'; //smtp.google.com
                $mail->SMTPAuth     = true;     
                $mail->Username     = 'masteremail@constant-print.at';  
                $mail->Password     = 'R]c-d*Zv*YHEDSSA';
                $mail->SMTPSecure   = 'STARTTLS';  
                $mail->Port         = 587;  
                $mail->Subject      = $subject;
                $mail->Body         = $message;
                $mail->setFrom("$setting->support_email_address", "$setting->company_name");
                $mail->addAddress($to);  
                $mail->isHTML(true);      
                ////////////////////////////////////////////////////
                if(!$mail->send()) {
                   // echo "Something went wrong. Please try again.";
                }else {
                   // echo "Email sent successfully.";
                }
                
            } catch (Exception $e) {
                //echo "Something went wrong. Please try again.";
            }
            $session->setFlashdata('success',getLan('password_send_your_email_please_check'));
            return redirect('login');
        }else{
            $session->setFlashdata('success',getLan('sorry_you_click_on_wrong_link'));
            return redirect('/');
        }
    }
 
    public function loginpermission(){
        $setting=setting();
        $db = \Config\Database::connect();
        $data = [];
        $rules = [
            'email_address'=>[
                'rules'=>'required|valid_email|is_not_unique[msm_user_info.email_address]',
                'errors'=>[
                    'required'=>getLan('required'),
                    'valid_email'=>getLan('valid_email'),
                    'is_not_unique'=>getLan('is_not_unique')
                ]
            ],
            'password'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
        ];
        if($this->request->getMethod() == "post"){
            if($this->validate($rules)){
                $email_address =$this->request->getPost('email_address'); 
                $password =$this->request->getPost('password'); 
                $LoginModel = new LoginModel();
                $uinfo=$db->query("SELECT * FROM msm_user_info 
                    WHERE email_address='$email_address' AND user_type=3 ")->getRow();
                if(is_null($uinfo)){
                  $session->setFlashdata('success',getLan('email_password_is_not_valid'));
                  return redirect()->to('/login')->withInput();
                }
                $checkpass=Hash::check($password,$uinfo->password);
                $session = session();
                if(!$checkpass){
                $session->setFlashdata('warning',getLan('email_password_is_not_valid'));
                return redirect()->to('/login')->withInput();
               }else{
                session()->set('userid',$uinfo->id);
                session()->set('loggedTrue',true);
                session()->set('first_name',$uinfo->first_name);
                session()->set('last_name',$uinfo->last_name);
                session()->set('email_address',$uinfo->email_address);
                session()->set('country_name',$uinfo->country_name);
                session()->set('phone_no',$uinfo->phone_no);
                session()->set('pt',$uinfo->password_text);
                session()->set('user_type',$uinfo->user_type);
                session()->set('language',$uinfo->language);
                session()->set('collapse',$uinfo->collapse);
                session()->set('photo',$uinfo->photo);
                session()->set('will_login',$uinfo->will_login);
                session()->set('updates',$uinfo->updates);
                session()->set('deletes',$uinfo->deletes);
                session()->set('color',$uinfo->color);
                session()->set('active_status',$uinfo->active_status);
                session()->set('company_name',$uinfo->company_name);
                return redirect()->to('/dashboard');
               }
            }else{

                $LoginModel = new LoginModel();
                $data['setting']=setting();
                $cart = \Config\Services::cart();
                $data['cartcount']=$cart->totalItems();
                $data['clists']=$LoginModel->getAll("msm_category_info");
                $data['mclists']=$LoginModel->getAll("msm_master_category");
                $session->setFlashdata('warning',getLan('email_password_is_not_valid'));
                return view('fontend/header',$data).
                view('fontend/login',$data).
                view('fontend/footer',$data);
            }
        }
        
    }
    public function forgotpass(){ 
        if(session()->has('loggedTrue')){
            return redirect()->to('/dashboard');
        }else{
            $LoginModel = new LoginModel();
            $data['setting']=setting();
            $cart = \Config\Services::cart();
            $data['cartcount']=$cart->totalItems();
            $data['clists']=$LoginModel->getAll("msm_category_info");
            $data['mclists']=$LoginModel->getAll("msm_master_category");
            return view('fontend/header',$data).
            view('fontend/forgotpassword',$data).
            view('fontend/footer',$data);
        }
    }
    public function getpassword(){
        $setting=setting();
        $session = session();
        $db = \Config\Database::connect();
        $rules = [
            'email_address'=>[
                'rules'=>'required|valid_email',
                'errors'=>[
                    'required'=>getLan('required'),
                    'valid_email'=>getLan('valid_email')
                ]
            ]
        ];
        ////////////////////////////////////////////
        if($this->validate($rules)){
               $email_address = $this->request->getPost('email_address');
               $info = $db->query("SELECT * FROM msm_user_info WHERE email_address='$email_address' ")->getRow();
               if(!is_null($info)){
                $password =substr(str_shuffle('CONTANTADSPRINTCOM'.time()),0,8); 
                $builder = $db->table('msm_user_info');
                $builder->set('password',password_hash($password,PASSWORD_DEFAULT));
                $builder->set('password_text',$password);
                $builder->where('email_address', $email_address);
                $builder->update();
                ///////////////////////
                $mdata['password']=$password;
                $mdata['setting']=$setting;
                $to = $this->request->getPost('email_address');
                $subject = getLan('you_have_sucessfully_reset_password');
                $message = view('fontend/forgotpassword_email',$mdata);
                $mail = new PHPMailer(true);  
                try {
                    $mail->SMTPDebug = 1; 
                    $mail->isSMTP();  
                    $mail->isHTML(true); 
                    $mail->Host         = 'constant-print.at'; //smtp.google.com
                    $mail->SMTPAuth     = true;     
                    $mail->Username     = 'masteremail@constant-print.at';  
                    $mail->Password     = 'R]c-d*Zv*YHEDSSA';
                    $mail->SMTPSecure   = 'STARTTLS';  
                    $mail->Port         = 587;  
                    $mail->Subject      = $subject;
                    $mail->Body         = $message;
                    $mail->setFrom("$setting->support_email_address", "$setting->company_name");
                    //$mail->addAttachment("file.txt", "File.txt");    
                    //$mail->addAttachment("images/profile.png"); //Filename is optional 
                    $mail->addAddress($to);  
                    $mail->isHTML(true);      
                    ////////////////////////////////////////////////////
                    if(!$mail->send()) {
                       // echo "Something went wrong. Please try again.";
                    }else {
                       // echo "Email sent successfully.";
                    }
                } catch (Exception $e) {
                    //echo "Something went wrong. Please try again.";
                }
                $session->setFlashdata('success',getLan('password_reset_successfully_please_check_your_email'));
               return redirect('login');
            }else{
                $session->setFlashdata('warning',getLan('your_email_invalid'));
                return redirect('forgotpass');
            }
        }else{
            $LoginModel = new LoginModel();
            $data['setting']=setting();
            $cart = \Config\Services::cart();
            $data['cartcount']=$cart->totalItems();
            $data['clists']=$LoginModel->getAll("msm_category_info");
            $data['mclists']=$LoginModel->getAll("msm_master_category");
            $session->setFlashdata('warning',getLan('your_email_invalid'));
            return view('fontend/header',$data).
            view('fontend/forgotpassword',$data).
            view('fontend/footer',$data);
        }
    }
    public function logout(){ 
        if(session()->get('loggedTrue')){
            session()->remove('loggedTrue');
            session()->remove('userid');
            session()->remove('first_name');
            session()->remove('user_type');
            session_destroy();
            return redirect()->to('/');
        }
         
    }
    
   
     public function verifyTime($regtime)
     {
        $current_time = now();
        $reg =  strtotime($regtime);
        $differnce = $current_time - $reg;
        if($differnce < 3600)
        {
            return true;
        }
        else
        {
            return false;
        }
     }
 }