<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use CodeIgniter\Files\File;
class Mcategory extends BaseController
{
    public function index(){   
        if(session()->get('user_type')==1){ 
		$db = \Config\Database::connect();
        $data['setting']=setting();
        $data['lists'] = $db->table('msm_master_category')->get()->getResult(); 
    	return view('admin/header', $data)
            . view('admin/Mcategory', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    public function addEdit($id=FALSE){   
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        $data['setting']=setting();
        if($id!=FALSE){
            $id=endecry($id,'decrypt');
            $data['info']=$db->query("SELECT * FROM msm_master_category 
                    WHERE id='$id' ")->getRow();
        }
        $data['id']=$id;
        return view('admin/header', $data)
            . view('admin/addmcat', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    
     function saveMcategory() { 
        if(session()->get('user_type')==1){ 
        $id = $this->request->getPost('id');
        $db = \Config\Database::connect();
        $validationRule = [
            'master_category_name'=>[
                'rules'=>'required',
                'errors'=>[
                    'required'=>getLan('required')
                ]
            ],
        ];

        if (!$this->validate($validationRule)) {
            $data['errors'] = $this->validator;
            $db = \Config\Database::connect();
            $data['setting']=setting();
            $id=$this->request->getPost('id');
            if($id!=''){
            $id=endecry($id,'decrypt');
                $data['info']=$db->query("SELECT * FROM msm_master_category 
                        WHERE id='$id' ")->getRow();
            }
            return view('admin/header', $data)
                . view('admin/addmcat', $data)
                . view('admin/footer', $data);
        }else{
            $builder = $db->table('msm_master_category');
            if($this->request->getFile('icon_img')!=''){
                $icon_img = $this->request->getFile('icon_img');
                $icon_img->move('public/category');
                $builder->set('icon_img', $icon_img->getName());
            }
            if($this->request->getFile('top_banner')!=''){
                $top_banner = $this->request->getFile('top_banner');
                $top_banner->move('public/category');
                $builder->set('top_banner', $top_banner->getName());
            }
            $builder->set('master_category_name', $this->request->getPost('master_category_name'));
            $builder->set('description', $this->request->getPost('description'));
            $slug=strtolower($this->request->getPost('master_category_name'));
            $slug=preg_replace("/[^a-zA-Z0-9_ -]/s", '', $slug);
            $slug=str_replace(" ","-","$slug");
            $builder->set('slug', $slug);
            //////////////////////////////////////////////////
             if($id==''){
                $builder->insert();
             }else{
                $builder->where('id', $id);
                $builder->update();
             }
            $session = session();
            $session->setFlashdata('success',getLan('saved_successfully'));
            return redirect()->to('/Mcat');
        } 
        }else{
            return redirect('/');
        }
    }

    
}
