<?php
namespace App\Controllers;
use App\Models\LoginModel;
class Myaccount extends BaseController
{
    
    public function index($active=FALSE){
        if (!session()->get('userid')) {
            session()->setFlashdata('warning',getLan('you_must_be_logged_in'));
            return redirect()->to('/login');
        }
        if($active==FALSE) $active='dashboard';
    	$user_id= session()->get('userid');
		$db = \Config\Database::connect();
        $LoginModel = new LoginModel();
        $data['active']=$active;
        $data['setting']=setting();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['lists'] = $db->query("SELECT u.*,i.* 
        	FROM msm_invoice_master i, msm_user_info u 
            WHERE i.user_id=u.id AND i.user_id=$user_id 
            ORDER BY i.id DESC")->getResult();
        $data['duelists'] = $db->query("SELECT * FROM msm_invoice_master 
            WHERE user_id=$user_id AND payment_status='due' 
            ORDER BY id DESC ")->getResult();
        $data['uinfo'] = $db->query("SELECT * FROM msm_user_info 
            WHERE  id=$user_id")->getRow();
        $data['binfo'] = $db->query("SELECT * FROM msm_billing_address 
            WHERE user_id=$user_id ")->getRow();
        $data['sinfo'] = $db->query("SELECT * FROM msm_shipping_address 
            WHERE user_id=$user_id ")->getRow();
    	return view('fontend/header', $data)
               . view('fontend/dashboard', $data)
               . view('fontend/footer', $data);

    }
    function addbilling(){
        if (!session()->get('userid')) {
            session()->setFlashdata('warning',getLan('you_must_be_logged_in'));
            return redirect()->to('/login');
        }
        $data=array();
        $db = \Config\Database::connect();
        $LoginModel = new LoginModel();
        $data['setting']=setting();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $user_id= session()->get('userid');
        $data['binfo']=$db->query("SELECT * FROM msm_billing_address 
                    WHERE user_id=$user_id ")->getRow();
        return view('fontend/header', $data)
               . view('fontend/billingFrom', $data)
               . view('fontend/footer', $data);

    }
    
    public function savebilling() {
        if (!session()->get('userid')) {
            session()->setFlashdata('warning',getLan('you_must_be_logged_in'));
            return redirect()->to('/login');
        }
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $id=$this->request->getPost('did');
        $session = session();
        $binfo=$db->query("SELECT * FROM msm_billing_address 
                    WHERE user_id=$user_id ")->getRow();

        if(is_null($binfo)){
            $indata['first_name']=$this->request->getPost('first_name');
            $indata['last_name']=$this->request->getPost('last_name');
            $indata['phone_no']=$this->request->getPost('phone_no');
            $indata['email_address']=$this->request->getPost('email_address');
            $indata['company_name']=$this->request->getPost('company_name');
            $indata['street_no']=$this->request->getPost('street_no');
            $indata['zip_code']=$this->request->getPost('zip_code');
            $indata['city']=$this->request->getPost('city');
            $indata['vat_no']=$this->request->getPost('vat_no');
            $indata['user_id']=$user_id;
            $indata['created_at']=date('Y-m-d');
            $response = $db->table('msm_billing_address')->insert($indata);
            $session->setFlashdata('success',getLan('save_successfully'));
            return redirect()->to('/dashboard/address');
        }else{
            $builder = $db->table('msm_billing_address');
            $builder->set('first_name', $this->request->getPost('first_name'));
            $builder->set('last_name', $this->request->getPost('last_name'));
            $builder->set('phone_no', $this->request->getPost('phone_no'));
            $builder->set('email_address', $this->request->getPost('email_address'));
            $builder->set('company_name', $this->request->getPost('company_name'));
            $builder->set('street_no', $this->request->getPost('street_no'));
            $builder->set('zip_code', $this->request->getPost('zip_code'));
            $builder->set('city', $this->request->getPost('city'));
            $builder->set('vat_no', $this->request->getPost('vat_no'));
            $indata['updated_at']=date('Y-m-d');
            $builder->where('user_id', $user_id);
            $builder->update();
            $session->setFlashdata('success',getLan('updated_successfully'));
            return redirect()->to('/dashboard/address');
        }

    }
    function addshipping($id=FALSE){
        if (!session()->get('userid')) {
            session()->setFlashdata('warning',getLan('you_must_be_logged_in'));
            return redirect()->to('/login');
        }
        $data=array();
        $db = \Config\Database::connect();
        $LoginModel = new LoginModel();
        $data['setting']=setting();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $user_id= session()->get('userid');
        $data['sinfo']=$db->query("SELECT * FROM msm_shipping_address 
                        WHERE user_id=$user_id ")->getRow();
        return view('fontend/header', $data)
               . view('fontend/shippingFrom', $data)
               . view('fontend/footer', $data);
    }
    
    public function saveshipping() {
        if (!session()->get('userid')) {
            session()->setFlashdata('warning',getLan('you_must_be_logged_in'));
            return redirect()->to('/login');
        }
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $id=$this->request->getPost('did');
        $session = session();
        $sinfo=$db->query("SELECT * FROM msm_shipping_address 
                    WHERE user_id=$user_id ")->getRow();

        if(is_null($sinfo)){
            $indata['first_name']=$this->request->getPost('first_name');
            $indata['last_name']=$this->request->getPost('last_name');
            $indata['phone_no']=$this->request->getPost('phone_no');
            $indata['email_address']=$this->request->getPost('email_address');
            $indata['company_name']=$this->request->getPost('company_name');
            $indata['street_no']=$this->request->getPost('street_no');
            $indata['zip_code']=$this->request->getPost('zip_code');
            $indata['city']=$this->request->getPost('city');
            $indata['vat_no']=$this->request->getPost('vat_no');
            $indata['user_id']=$user_id;
            $indata['created_at']=date('Y-m-d');
            $response = $db->table('msm_shipping_address')->insert($indata);
            $session->setFlashdata('success',getLan('save_successfully'));
            return redirect()->to('/dashboard/address');
        }else{
            $builder = $db->table('msm_shipping_address');
            $builder->set('first_name', $this->request->getPost('first_name'));
            $builder->set('last_name', $this->request->getPost('last_name'));
            $builder->set('phone_no', $this->request->getPost('phone_no'));
            $builder->set('email_address', $this->request->getPost('email_address'));
            $builder->set('company_name', $this->request->getPost('company_name'));
            $builder->set('street_no', $this->request->getPost('street_no'));
            $builder->set('zip_code', $this->request->getPost('zip_code'));
            $builder->set('city', $this->request->getPost('city'));
            $builder->set('vat_no', $this->request->getPost('vat_no'));
            $indata['updated_at']=date('Y-m-d');
            $builder->where('user_id', $user_id);
            $builder->update();
            $session->setFlashdata('success',getLan('updated_successfully'));
            return redirect()->to('/dashboard/addresss');
        }

    }

    function profileupdate() {
        if (!session()->get('userid')) {
            session()->setFlashdata('warning',getLan('you_must_be_logged_in'));
            return redirect()->to('/login');
        }
        $user_id= session()->get('userid');
        $session = session();
        $db = \Config\Database::connect();
        if($this->request->getPost('submit')=='piupdate'){
            $validationRule = [
            'image_url' => [
                'label' => 'Image File',
                'rules' => 'uploaded[photo]'
                    . '|is_image[photo]'
                    . '|mime_in[image_url,image/jpg,image/jpeg,image/gif,image/png]'
                    . '|max_size[image_url,100000]'
                    . '|max_dims[image_url,10024,7068]',
                ],
            ];
            $builder = $db->table('msm_user_info');
            if($_FILES['photo']['name']!=""){
                if ($this->validate($validationRule)) {
                    $avatar = $this->request->getFile('photo');
                    $avatar->move('public/image');
                    $fname=$avatar->getName();
                    $builder->set('photo', "$fname");
                }
            }
            $builder->set('first_name', $this->request->getPost('first_name'));
            $builder->set('last_name', $this->request->getPost('last_name'));
            $builder->set('phone_no', $this->request->getPost('phone_no'));
            $builder->where('id', $user_id);
            $builder->update();

            $session->setFlashdata('success',getLan('updated_successfully'));
            return redirect()->to('/dashboard/details');
        }elseif($this->request->getPost('submit')=='login'){
            $builder = $db->table('msm_user_info');
            $builder->set('email_address', $this->request->getPost('email_address'));
            if($this->request->getPost('old_password')!=session()->get('pt')){ 
                $session->setFlashdata('warning',getLan('old_password_does_not_match'));
                return redirect()->to('/dashboard/details');

            }
            if($this->request->getPost('password')!=''){
                $builder->set('password_text', $this->request->getPost('password'));
                $builder->set('password', password_hash($this->request->getPost('password'),PASSWORD_DEFAULT));
            }
            $builder->where('id', $user_id);
            $builder->update();
            $session->setFlashdata('success',getLan('updated_successfully'));
            return redirect()->to('/dashboard/details');

        }
        return redirect()->to('/dashboard/details');
    }
}
