<?php
namespace App\Controllers;
use App\Controllers\BaseController;
use Stripe;
use Adyen;
use App\Models\LoginModel;
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
class PaymentCon extends BaseController
{
 

    public function ProcessPayment(){  
        Stripe\Stripe::setApiKey(getenv('stripe.secret'));
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $inv_id=endecry($this->request->getVar('invid'),'decrypt'); 
        $email=$this->request->getVar('email');
        $token=$this->request->getVar('stripeToken'); 
        $info = $db->query("SELECT i.* FROM msm_invoice_master i 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        $data=Stripe\Charge::create ([
            "amount" => round($info->grand_total_amount),
            "currency" => "eur",
            "source" => $token,
            "description" => "$info->invoice_number"
        ]);
        if($data['status']=='succeeded'){
          $builder = $db->table('msm_invoice_master');
          $builder->set('payment_method', $this->request->getPost('paymentMethod'));
          $builder->set('transaction_id', $data['balance_transaction']);
          
          $builder->set('paid_date', date('Y-m-d'));
          $builder->set('created', $data['created']);
          $builder->set('amount', $data['amount']);
          $builder->set('paid_amount', $data['amount']);
          $builder->set('amount_refunded', $data['amount_refunded']);
          $builder->set('gatewayid', $data['id']);
          if(abs($info->grand_total_amount)==($info->paid_amount+$data['amount'])){
            $builder->set('payment_status', 'paid');
            $builder->set('this_status', '2');
          }else{
            $builder->set('payment_status', 'partial_paid');
          }
          $builder->set('updated_at', date('Y-m-d'));
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('success',getLan('payment_successfully'));
          return redirect()->to("/success/$inv_id");
        }else{
          $builder = $db->table('msm_invoice_master');
          $builder->set('payment_method', $this->request->getPost('paymentMethod'));
          $builder->set('payment_status', 'failed');
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('success',getLan('payment_failed'));
        return redirect()->to("/success/$inv_id");
        }
        
  
    }
    function StripepaymentSuccess(){
      return view('fontend/header', $data)
            . view('fontend/successInvoice', $data)
            . view('fontend/footer', $data);
    }
    public function checkoutcomplete($inv_id=FALSE) {   
        $user_id= session()->get('userid');
        
        $db = \Config\Database::connect();
        $uinfo=$db->query("SELECT * FROM msm_user_info 
                    WHERE id='$user_id' ")->getRow();
        $data['setting']=setting();
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id AND user_id=$user_id")->getResult();
        $data['info'] = $db->query("SELECT i.* FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
       // return view('fontend/orderConfirmEmail', $data);
        if($data['info']->payment_status=='paid'){
          $to = $uinfo->email_address;
          $subject ='Deine Rechnung '.$data['info']->invoice_number;
          $message=view('fontend/orderConfirmEmail', $data);
          $mail = new PHPMailer(true);  
          try {
              $mail->isSMTP();  
              $mail->isHTML(true); 
              $mail->Host         = 'login.maatdrive.com'; //smtp.google.com
              $mail->SMTPAuth     = true;     
              $mail->Username     = 'support@login.maatdrive.com';  
              $mail->Password     = 'SupportMaatdrive1';
              $mail->SMTPSecure   = 'STARTTLS';  
              $mail->Port         = 587;  
              $mail->Subject      = $subject;
              $mail->Body         = $message;
              $mail->setFrom("$setting->support_email_address", "$setting->company_name");
              $mail->addAddress($to);  
              $mail->isHTML(true);      
              ////////////////////////////////////////////////////
              if(!$mail->send()) {
                 // echo "Something went wrong. Please try again.";
              }else {
                  //echo "Email sent successfully.";
              }
              
            } catch (Exception $e) {
                //echo "Something went wrong. Please try again.";
            }
        }
        return view('fontend/header', $data)
            . view('fontend/successInvoice', $data)
            . view('fontend/footer', $data);
    }
    ////////////////////////////////////////
     public function SuccessPayment($status=FALSE,$inv_id=FALSE){  
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $info = $db->query("SELECT i.* FROM msm_invoice_master i 
            WHERE i.id='$inv_id' AND i.user_id=$user_id")->getRow();
      
        if($status=='success'){
          $builder = $db->table('msm_invoice_master');
          $builder->set('payment_method', 'Card');
          //$builder->set('transaction_id', $data['balance_transaction']);
          
          $builder->set('paid_date', date('Y-m-d'));
          $builder->set('amount',$info->grand_total_amount);
          $builder->set('paid_amount', $info->grand_total_amount);
          $builder->set('payment_status', 'paid');
          $builder->set('updated_at', date('Y-m-d'));
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('success',getLan('payment_successfully'));
        }else{
          $builder = $db->table('msm_invoice_master');
          $builder->set('payment_method', 'Card');
          $builder->set('payment_status', 'failed');
          $builder->set('updated_at', date('Y-m-d'));
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('warning',getLan('payment_failed'));
        }
        return redirect()->to("/success/$inv_id");
  
    }

     public function otherPayment(){  
        $invoice_number=$this->request->getVar('orderRef');
        $sessionId=$this->request->getVar('sessionId');
        $redirectResult=$this->request->getVar('redirectResult');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $info = $db->query("SELECT i.* FROM msm_invoice_master i 
            WHERE i.invoice_number='$invoice_number' 
            AND i.user_id=$user_id")->getRow();
        $inv_id=$info->id;
          $builder = $db->table('msm_invoice_master');
          $builder->set('payment_method', 'ideal');
          $builder->set('transaction_id', $sessionId);
          $builder->set('redirectResult', $redirectResult);          
          $builder->set('paid_date', date('Y-m-d'));
          $builder->set('amount',$info->grand_total_amount);
          $builder->set('paid_amount', $info->grand_total_amount);
          $builder->set('payment_status', 'paid');
          $builder->set('updated_at', date('Y-m-d'));
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('success',getLan('payment_successfully'));
        return redirect()->to("/success/$inv_id");
    }
     
    /////////////////////////////////////////////////////
    public function payByAdyen(){  
      echo $this->request->getVar('cardnumber'); exit;
        $client = new \Adyen\Client();
        $client->setXApiKey("YOUR API KEY");
        $client->setEnvironment(\Adyen\Environment::TEST);
        $client->setTimeout(30);
        $service = new \Adyen\Service\Checkout($client);
        $json = '{
              "card": {
                "encryptedCardNumber": "test_4111111111111111",
                "encryptedExpiryMonth": "test_03",
                "encryptedExpiryYear": "test_2030",
                "encryptedSecurityCode": "test_737",
                "holderName": "John Smith"
              },
              "amount": {
                "value": 1500,
                "currency": "EUR"
              },
              "reference": "payment-test",
              "merchantAccount": "YOUR MERCHANT ACCOUNT"
        }';

        $params = json_decode($json, true);

        $result = $service->payments($params);
        print_r($result);
  
    }
     public function sessions(){
      $client = new \Adyen\Client();
      $client->setXApiKey('AQExhmfxKI7NaBNDw0m/n3Q5qf3Va4RDHodLVnF3wmuMk2RjnemXiEKcFw4QpIBOto579xDBXVsNvuR83LVYjEgiTGAH-UQsVCd8us7O9NK1dGNpftIbekf7C/6vF5AYWO+hj+xs=-t>%Wa>&zRV^ym]B2');
      $client->setEnvironment(\Adyen\Environment::TEST);
      $client->setTimeout(30);
      $service = new \Adyen\Service\Checkout($client);
 
      //  $params = array(
      //       "channel" => "Web",
      //       "amount" => array(
      //           "currency" => "EUR",
      //           "value" => 1000 // value is 10€ in minor units
      //       ),
      //       'countryCode' => 'AT',
      //       "merchantAccount" => 'ConstantAdsGmbHECOM',
      //       "reference" => '342342342342', // required
      //       "returnUrl" => "http://localhost/printcom/checkout?342342342342",
      //       );
     
      // $result = $service->sessions($params);
      // echo $result;
      $params = array(
            "channel" => "Web",
            "amount" => array(
                "currency" => "EUR",
                "value" => 1000 // value is 10€ in minor units
            ),
            'countryCode' => 'AT',
            "merchantAccount" => 'ConstantAdsGmbHECOM',
            "reference" => '342342342342', // required
            "returnUrl" => "http://localhost/printcom/checkout?342342342342",
            );

        $ss= $service->sessions($params);
        return json_encode($ss);
   
       
  }
     
}