<?php
namespace App\Controllers;
use App\Controllers\BaseController;
use Stripe;
use Adyen;
use App\Models\LoginModel;
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
class PaymentController extends BaseController
{
 

    public function ProcessPayment($inv_id=FALSE){  
        Stripe\Stripe::setApiKey(getenv('stripe.secret'));
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $inv_id=endecry($inv_id,'decrypt'); 
        $payment_intent=$this->request->getVar('payment_intent');
        $redirect_status=$this->request->getVar('redirect_status'); 
        $payment_intent_client_secret=$this->request->getVar('payment_intent_client_secret'); 
        $info = $db->query("SELECT i.* FROM msm_invoice_master i 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
        if($redirect_status=='succeeded'){
          $builder = $db->table('msm_invoice_master');
          //$builder->set('payment_method', $this->request->getPost('paymentMethod'));
          $builder->set('transaction_id', $payment_intent);
          $builder->set('paid_date', date('Y-m-d'));
          //$builder->set('created', $data['created']);
          $builder->set('amount', $info->grand_total_amount);
          $builder->set('paid_amount', $info->grand_total_amount);
          //$builder->set('amount_refunded', $data['amount_refunded']);
          $builder->set('gatewayid', $payment_intent_client_secret);
          $builder->set('payment_status', 'paid');
          $builder->set('this_status', '2');
          // if(abs($info->grand_total_amount)==($info->paid_amount+$data['amount'])){
          //   $builder->set('payment_status', 'paid');
          //   $builder->set('this_status', '2');
          // }else{
          //   $builder->set('payment_status', 'partial_paid');
          // }
          $builder->set('updated_at', date('Y-m-d'));
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('success',getLan('payment_successfully'));
          $inv_id=endecry($inv_id,'encrypt');
          return redirect()->to("/success/$inv_id");
        }else{
          $builder = $db->table('msm_invoice_master');
          //$builder->set('payment_method', $this->request->getPost('paymentMethod'));
          $builder->set('payment_status', 'failed');
          $builder->where('user_id', $user_id);
          $builder->where('id', $inv_id);
          $builder->update();
          session()->setFlashdata('warning',getLan('payment_failed'));
          $inv_id=endecry($inv_id,'encrypt');
        return redirect()->to("/success/$inv_id");
        }
        
  
    }

    public function checkoutcomplete($inv_id=FALSE) {   
        $user_id= session()->get('userid');
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $uinfo=$db->query("SELECT * FROM msm_user_info 
                    WHERE id='$user_id' ")->getRow();
        $setting=setting();
        $data['setting']=$setting;
        $LoginModel = new LoginModel();
        $cart = \Config\Services::cart();
        $data['cartcount']=$cart->totalItems();
        $data['clists']=$LoginModel->getAll("msm_category_info");
        $data['mclists']=$LoginModel->getAll("msm_master_category");
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id AND user_id=$user_id")->getResult();
        $data['info'] = $db->query("SELECT i.* FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            WHERE i.id=$inv_id AND i.user_id=$user_id")->getRow();
       // return view('fontend/orderConfirmEmail', $data);
        if($data['info']->payment_status=='paid'){
          $to = $uinfo->email_address;
          $subject ='Deine Rechnung '.$data['info']->invoice_number;
          $message=view('fontend/orderConfirmEmail', $data);
          $mail = new PHPMailer(true);  
          try {
              $mail->isSMTP();  
              
              $mail->Host         = 'constant-print.at'; //smtp.google.com
              $mail->SMTPAuth     = true;     
              $mail->Username     = 'masteremail@constant-print.at';  
              $mail->Password     = 'R]c-d*Zv*YHEDSSA';
              $mail->SMTPSecure   = 'STARTTLS';  
              $mail->Port         = 587;  
              $mail->Subject      = $subject;
              $mail->Body         = $message;
              $mail->setFrom("$setting->order_email", "$setting->company_name");
              $mail->addAddress($to);  
              $mail->isHTML(true);      
              ////////////////////////////////////////////////////
              if(!$mail->send()) {
                // echo "Something went wrong. Please try again.";
              }else {
                //echo "Email sent successfully.";
              }
            } catch (Exception $e) {
                //echo "Something went wrong. Please try again.";
            }
            ////////////////////////////
          $subject ='Sie haben eine neue Bestellung '.$data['info']->invoice_number;
          $message=view('fontend/orderNotification', $data);
          $mail = new PHPMailer(true);  
          try {
              $mail->isSMTP();  
              $mail->Host         = 'constant-print.at'; //smtp.google.com
              $mail->SMTPAuth     = true;     
              $mail->Username     = 'masteremail@constant-print.at';  
              $mail->Password     = 'R]c-d*Zv*YHEDSSA';
              $mail->SMTPSecure   = 'STARTTLS';  
              $mail->Port         = 587;  
              $mail->Subject      = $subject;
              $mail->Body         = $message;
              $mail->setFrom("$setting->sales_email_address", "$setting->company_name");
              $mail->addAddress("$setting->order_email");  
              $mail->isHTML(true);      
              ////////////////////////////////////////////////////
              if(!$mail->send()) {
                // echo "Something went wrong. Please try again.";
              }else {
                //echo "Email sent successfully.";
              }
            } catch (Exception $e) {
                //echo "Something went wrong. Please try again.";
            }
        }
        return view('fontend/header', $data)
            . view('fontend/paymentSuccess', $data)
            . view('fontend/footer', $data);
    }
    ////////////////////////////////////////
   
     
    /////////////////////////////////////////////////////

 
     
}