<?php
namespace App\Controllers;
class PriceController extends BaseController
{
   
    public function price(){
    	//var_dump($_POST); exit();
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        $option=' ';
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();

        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'de-DE',
            'authorization' => $sinfo->api_token
          ],
        ]);
        //////////////////////////////////////////////////
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        foreach ($pdetails['properties'] as $row) {
            if($row['slug']=='size'){
                if($this->request->getPost($row['slug'])=='custom'){
                    if($this->request->getPost('height')!=''){
                        $val=$this->request->getPost('height');
                        $option.='"height": "'.$val.'",';
                    }
                    if($this->request->getPost('width')!=''){
                        $val=$this->request->getPost('width');
                        $option.='"width": "'.$val.'",';
                    }
                }
                if($this->request->getPost($row['slug'])!=''){
                    $val=$this->request->getPost($row['slug']);
                    $option.='"'.$row['slug'].'": "'.$val.'",';
                }
            }elseif($row['slug']!='urgency'&&$row['slug']!='delivery'&&$row['slug']!='copies'){
                if($this->request->getPost($row['slug'])!=''&&$this->request->getPost($row['slug'])!='none'&&$this->request->getPost($row['slug'])!='geen'){
                   $val=$this->request->getPost($row['slug']);
                   $option.='"'.$row['slug'].'": "'.$val.'",';
                }
           }
        }
        /////////////////////////////////////////////////
        $delivery_date=$this->request->getPost('delivery_date');
        if($delivery_date!=''){
            $del_array=explode('|', $delivery_date);
            $delivery_date=$del_array[0];
            $urgency=$del_array[1];
            $dcost=$del_array[2];
            $method=$del_array[3];
        }else{
            $del_array=explode('|', $delivery_date);
            $delivery_date='';
            $urgency='';
            $dcost=0;
            $method='';
        }
        $option.='"urgency": "'.$urgency.'",';
        if($this->request->getPost('designs')!=''){
            $designs=$this->request->getPost('designs');
            $option.='"numberOfDesigns": "'.$designs.'",';
        }
        if($this->request->getPost('copies')!=''){
            $copies=$this->request->getPost('copies');
            $option.='"copies": "'.$copies.'"';
        }

    $sku=$this->request->getPost('sku');
    $deliveryPromise=0;
    $copies=$this->request->getPost('copies');
    $designs=$this->request->getPost('designs');
    $maxDesigns=$this->request->getPost('maxDesigns');
    //echo "$option"; exit();
    
    $todaydate=date('Y-m-d');
    $nameOfDay = date('D', strtotime($todaydate));
    if($nameOfDay=='Sat'){
        $todaydate=date('Y-m-d', strtotime($todaydate. ' + 2 days'));
    }elseif($nameOfDay=='Sun'){
        $todaydate=date('Y-m-d', strtotime($todaydate. ' + 1 days'));
    }
    $submissionDate=$todaydate.'T16:00:00.000Z';
    $delivery_date=$delivery_date.'T17:00:00.000Z';
    //echo "$deliveryPromise"; exit;
    try {
     $response = $client->request('POST', 'https://api.print.com/products/'.$sku.'/price', [
           'body' => '{
            "sku":"'.$sku.'",
            "shipments":[
            {
                "deliveryDate":"'.$delivery_date.'",
                "method":"'.$method.'",
                "copies":'.$copies.'
            }
           ],
           "options":{
              '.$option.'
           },
           "variants":[],
           "deliveryPromise":'.$deliveryPromise.'
          }',
          'headers' => [
            'Accept' => 'application/json',
            'Content-Type' => 'application/json',
            'authorization' => $sinfo->api_token
          ],
        ]);   
        $result = json_decode($response->getBody(), true); 
        ///echo "<pre>";  print_r($result); exit;
        $i=1;
        foreach ($result as $value) {
          if($i==1){
            $saleprice=round($value['salesPrice'],2); 
            $deliverycost=$dcost;
          }
          $i++;
        }
        $saleprice=$saleprice+round($saleprice*40/100)+$dcost;
        $vatamount=$saleprice*20/100;
        $totalcost=round($saleprice,2);
        $grossamount=round(($saleprice+$vatamount),2);
        $deliverycost=0;
        $check='YES';
      }catch(\Exception $e) {
           if($e->hasResponse()) {
            $deliverycost=0;
            $saleprice=0;
            $totalcost=0;
            $vatamount=0;
            $grossamount=0;
            $check='NO'; 
            session()->setFlashdata('warning',getLan('something_went_wrong'));
          }
      } 

    $data=array('check'=>$check,
        'saleprice'=>$saleprice,
        'totalcost'=>$totalcost, 
        'grossamount'=>onlyamountFormat($grossamount),
        'netamount'=>onlyamountFormat($saleprice),
        'deliverycost'=>$deliverycost);
		echo json_encode($data);
    }
    ///////////////////////////////////////////

    public function ship(){
        $sinfo=setting();
        $sku=$this->request->getPost('sku');
        $option=' ';
        require_once('vendor/autoload.php');
        $client = new \GuzzleHttp\Client();
        $response = $client->request('GET', 'https://api.print.com/products/'.$sku, [
          'headers' => [
            'Accept' => 'application/json',
            'Accept-Language' => 'en-US',
            'authorization' => $sinfo->api_token
          ],
        ]);
        //////////////////////
        $pdetails= json_decode($response->getBody(), true);
        ////////////////////////////////////////////////////
        foreach ($pdetails['properties'] as $row) {
            if($row['slug']=='size'){
                if($this->request->getPost($row['slug'])=='custom'){
                    if($this->request->getPost('height')!=''){
                        $val=$this->request->getPost('height');
                        $option.='"height": "'.$val.'",';
                    }
                    if($this->request->getPost('width')!=''){
                        $val=$this->request->getPost('width');
                        $option.='"width": "'.$val.'",';
                    }
                }
                if($this->request->getPost($row['slug'])!=''){
                    $val=$this->request->getPost($row['slug']);
                    $option.='"'.$row['slug'].'": "'.$val.'",';
                }
            }elseif($row['slug']!='urgency'&&$row['slug']!='delivery'&&$row['slug']!='copies'&&$row['slug']!='designs'&&($row['slug']!='summary_image'||$sku=='suction-cup-hooks'||$sku=='ceiling-clip')){
                if($this->request->getPost($row['slug'])!=''&&$this->request->getPost($row['slug'])!='none'&&$this->request->getPost($row['slug'])!='geen'){
                   $val=$this->request->getPost($row['slug']);
                   $option.='"'.$row['slug'].'": "'.$val.'",';
                }
           }
        }
        $option.='"urgency": "standard",';
        if($this->request->getPost('copies')!=''){
            $copies=$this->request->getPost('copies');
            $option.='"copies": "'.$copies.'"';
        }
        // print_r($pdetails);
        //echo $option; exit();        
        $deliveryPromise=0;
        $copies=$this->request->getPost('copies');
        $country='NL';
        // if($sku=='apron-premium-1'&&$copies>350) $country='NL';
        // if($sku=='sweater-budget-2'&&$copies>200) $country='NL';
        // if($sku=='all-square-paraplu'&&$copies>50) $country='NL';
        // if($sku=='cricket-original'&&$copies>50) $country='NL';
        // if($sku=='totem-displays'&&$copies>99) $country='NL';
        // if($sku=='aluminum-can-with-chocolate'&&$copies>300) $country='NL';
        // if($sku=='aluminum-can-with-chocolate-large'&&$copies>100) $country='NL';
        // if($sku=='aftersun-mousse'&&$copies>100) $country='NL';
        // if($sku=='stapled-wall-calendar'&&$copies>500) $country='NL';
        // if($copies>20000) $country='NL';
        $method='DPD_B2C';
        $html='';
        $free='NO';
        try {
        $response = $client->request('POST', 'https://api.print.com/products/'.$sku.'/shipping-possibilities', [
           'body' =>'{ 
            "item":{
                "sku":"'.$sku.'",
                "shipments":[{
                "copies":'.$copies.'
                }],
                "options":{
                    '.$option.'
                    },
                "deliveryPromise":'.$deliveryPromise.'
                },
                "address":{
                    "lastName":"Özcan",
                    "country":"'.$country.'",
                    "city":"Linz",
                    "companyName":"Constant Print",
                    "postcode":"4020",
                    "telephone":"436649161042",
                    "fullstreet":"Breitwiesergutstraße 50",
                    "firstName":"Baris",
                    "email":"office@constant-ads.com"
                },
                "numberOfDays":10
            }
            }',
          'headers' => [
            'Accept' => 'application/json',
            'Content-Type' => 'application/json',
            'authorization' => $sinfo->api_token
          ],
        ]);
        $result = json_decode($response->getBody(), true);
        $free='YES';
    }catch(\Exception $e) {
      session()->setFlashdata('warning',getLan('something_went_wrong'));
      $html='NO';
      $result['results']=array();
    }
    //////////////////////
    $checked=1;
    $checktime=1;
    $standard=1;
    $urgent=1;
    $dcost=1;
    $quick=1;
     foreach ($result['results'] as  $row1) {
        foreach ($row1['possibilities'] as $row2) {
            $free='NO';
            $check='';
            $row2['urgency'];
            if($row2['price']['cost']>$dcost&&$row2['urgency']=='standard'){ 
                $check='checked="checked"';
                $checktime=2;
                $dcost=$row2['price']['cost'];
            }
            $delidate=date('Y-m-d',strtotime($row1['deliveryDate']." + 4 days"));
            $nameOfDay = date('D', strtotime($delidate));
            if($nameOfDay=="Sat") $delidate=date('Y-m-d',strtotime($delidate." + 2 days"));
            if($nameOfDay=="Sun") $delidate=date('Y-m-d',strtotime($delidate." + 1 days"));

            $datename=getLan(date("D",strtotime($delidate))).strtoupper(date(" d ",strtotime($delidate))).getLan(date("M",strtotime($delidate)));  

            $cost=$row2['price']['cost']+$row2['price']['urgency'];
            $cost=$cost+($cost*3)/100;
            if($row2['urgency']=='standard'&&$standard<=4){
                if($row2['method']!='DDM_PREMIUM'&&($row2['method']!='DHG_EPI'||$sku=='newspaper'||$sku=='photo-poster')){
                $standard++;
                $html.='<div class="col-lg-3 col-md-4 col-sm-12 ddate">
                       <input type="radio"  onclick="myclick()" class="radio hiddenclass" name="delivery_date" id="'.$checked.'"
                         '.$check.' value="'.$delidate.'|standard|'.$cost.'|'.$row2['method'].'">
                        <div class="form-group allarea">
                         <label class="radiotext" for="'.$checked.'"  style="width:100%">
                          <span class="deliverytype">'.getLan('standard').'</span>
                           <br>
                           <span class="possiblydate">&nbsp;'.$row2['method'].'</span>
                            <span style="font-size: 20px;font-weight: 600" class="delieverDate '.$checked.'">'.$datename.'</span>
                        </label>    
                       </div>
                    </div>';
                    $checked++;
                }
            }
        }
  
     }
    //echo "<pre>";  print_r($result); 
    $from_date=date('Y-m-d');
    $delidate=date('Y-m-d', strtotime($from_date. ' + 20 days'));
    $nameOfDay = date('D', strtotime($delidate));
    if($nameOfDay=="Sat") $delidate=date('Y-m-d',strtotime($delidate." + 2 days"));
    if($nameOfDay=="Sun") $delidate=date('Y-m-d',strtotime($delidate." + 1 days"));
    $datename=getLan(date("D",strtotime($delidate))).strtoupper(date(" d ",strtotime($delidate))).getLan(date("M",strtotime($delidate))); 
     $check='checked="checked"';

         if($free=='YES'&&count($result)==1) {
          $html.='<div class="col-lg-3 col-md-4 col-sm-12 ddate">
           <input type="radio"  onclick="myclick()" class="radio hiddenclass" name="delivery_date" id="'.$checked.'"
             '.$check.' value="'.$delidate.'|standard|0|UPS_STANDARD">
            <div class="form-group allarea">
             <label class="radiotext" for="8888">
              <span class="deliverytype">'.getLan('standard').'</span>
               <br>
                <span style="font-size: 20px;font-weight: 600" class="delieverDate 8888">'.$datename.'</span>
                <br>
                <span class="possiblydate">&nbsp;'.getLan('free').'</span>
                <div class="d-flex justify-content-between">
                    <span class="product-name"><strong>&nbsp;</strong></span>
                    <span class="product-price"><strong>&nbsp;</strong></span>
                </div>
                <div class="d-flex">
                    <span class="product-name" style="width:200px"><strong>'.getLan('Delivery_costs').' </strong></span>
                    <span class="product-price" style="text-align:right;width:40%"><strong> € '.onlyamountFormat(0).'</strong>
                </span>
                </div>
            </label>    
           </div>
        </div>';
    }
     echo $html;
    }
    /////////////////////////////////

}
