<?php

namespace App\Controllers;
use CodeIgniter\Controller;
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
class Receiveinvoice extends BaseController
{
    public function lists()
    {   
        if(session()->get('user_type')==1){ 
        $user_id= session()->get('userid');
		$db = \Config\Database::connect();
        $data['setting']=setting();
        $data['lists'] = $db->query("SELECT u.*, i.* 
            FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            LEFT JOIN msm_user_info u ON(i.user_id=u.id)
            WHERE i.payment_status='paid'  AND i.this_status>=2 
            ORDER BY i.id DESC ")->getResult(); 
    	return view('admin/header', $data)
            . view('admin/rinvoicelist', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    public function viewonly($inv_id=FALSE) {  
        if(session()->get('user_type')==1){  
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id")->getResult();
        $data['info'] = $db->query("SELECT u.*, i.* 
            FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            LEFT JOIN msm_user_info u ON(i.user_id=u.id)
            WHERE i.id=$inv_id")->getRow();
        return view('admin/header', $data)
            . view('admin/viewonly', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    public function pdfdownload($inv_id=FALSE)
    {
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $data['setting']=setting();
       
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id")->getResult();
        $data['info'] = $db->query("SELECT u.*, i.* 
            FROM msm_invoice_master i 
            LEFT JOIN msm_shipping_address s ON(s.id=i.shipping_id) 
            LEFT JOIN msm_user_info u ON(i.user_id=u.id)
            WHERE i.id=$inv_id")->getRow();

        
        $pdfname=getLan('invoice').'-'.$data['info']->invoice_number.'.pdf';
         $mpdf = new \Mpdf\Mpdf(['mode' => 'utf-8', 'format' => 'A4', 'margin_left' => 25, 'margin_right' => 25, 'margin_top' => 40, 'margin_bottom' => 40]);
        $mpdf->autoScriptToLang = true;
        $mpdf->autoLangToFont = true;
        $mpdf->pagenumPrefix = getLan('page ');
        $mpdf->pagenumSuffix = ' ';
        $mpdf->nbpgPrefix = getLan(' of ');
        $mpdf->nbpgSuffix = ' ';
        $html = view('admin/pdfinvoice',$data);  
        $header =view('admin/pdfheader',$data);   
        $footer =view('admin/pdffooter',$data); 
        $this->response->setHeader('Content-Type', 'application/pdf');
        $mpdf->SetHTMLHeader($header);
        $mpdf->SetHTMLFooter($footer);
        $mpdf->WriteHTML($html);
        $mpdf->Output($pdfname,'D');

    }
    function receiveOrder($inv_id=FALSE) { 
        if(session()->get('user_type')==1){ 
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $builder = $db->table('msm_invoice_master');
        $builder->set('this_status', 3);
        $builder->set('received_date', date('Y-m-d H:i:s'));
        $builder->where('id', $inv_id);
        $builder->update();
        $session = session();
        $session->setFlashdata('success',getLan('received_successfully'));
        return redirect()->to('/rinv');
        }else{
            return redirect('/');
        }
    }
    function ready($inv_id=FALSE) {
      if(session()->get('user_type')==1){  
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $builder = $db->table('msm_invoice_master');
        $builder->set('this_status', 4);
        $builder->set('ready_date', date('Y-m-d H:i:s'));
        $builder->where('id', $inv_id);
        $builder->update();
        $data['setting']=setting();
        $setting=$data['setting'];
        ///////////////////////////////////
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id")->getResult();
        $data['info'] = $db->query("SELECT i.*,u.email_address
            FROM msm_invoice_master i 
            LEFT JOIN msm_user_info u ON(u.id=i.user_id) 
            WHERE i.id=$inv_id")->getRow();
          $to = $data['info']->email_address;
          $subject ='Ihr Produkt ist versandbereit '.$data['info']->invoice_number;
          $message=view('fontend/productReadyEmail', $data);
          $mail = new PHPMailer(true);  
          try {
            //$mail->SMTPDebug = 1; 
            $mail->isSMTP();  
            $mail->isHTML(true); 
            $mail->Host         = 'constant-print.at'; //smtp.google.com
            $mail->SMTPAuth     = true;     
            $mail->Username     = 'masteremail@constant-print.at';  
            $mail->Password     = 'R]c-d*Zv*YHEDSSA';
            $mail->SMTPSecure   = 'STARTTLS';  
            $mail->Port         = 587;  
            $mail->Subject      = $subject;
            $mail->Body         = $message;
            $mail->setFrom("$setting->support_email_address", "$setting->company_name");
              $mail->addAddress($to);  
              $mail->isHTML(true);      
              ////////////////////////////////////////////////////
              if(!$mail->send()) {
                 // echo "Something went wrong. Please try again.";
              }else {
                  //echo "Email sent successfully.";
              }
              
            } catch (Exception $e) {
                //echo "Something went wrong. Please try again.";
            }
        $session = session();
        $session->setFlashdata('success','Ihr Produkt ist versandbereit');
        return redirect()->to('/rinv');
        }else{
            return redirect('/');
        }
    }
    function sending($inv_id=FALSE) { 
        if(session()->get('user_type')==1){ 
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $builder = $db->table('msm_invoice_master');
        $builder->set('this_status', 5);
        $builder->set('sending_date', date('Y-m-d H:i:s'));
        $builder->where('id', $inv_id);
        $builder->update();
        $data['setting']=setting();
        $setting=$data['setting'];
        ///////////////////////////////////
        $data['cartp'] = $db->query("SELECT * FROM msm_invoice_details 
            WHERE inv_id=$inv_id")->getResult();
        $data['info'] = $db->query("SELECT i.*,u.email_address
            FROM msm_invoice_master i 
            LEFT JOIN msm_user_info u ON(u.id=i.user_id) 
            WHERE i.id=$inv_id")->getRow();
          $to = $data['info']->email_address;
          $subject ='LIEFERUNG UNTERWEGS '.$data['info']->invoice_number;
          $message=view('fontend/sendEmail', $data);
          $mail = new PHPMailer(true);  
          try {
            //$mail->SMTPDebug = 1; 
            $mail->isSMTP();  
            $mail->isHTML(true); 
            $mail->Host         = 'constant-print.at'; //smtp.google.com
            $mail->SMTPAuth     = true;     
            $mail->Username     = 'masteremail@constant-print.at';  
            $mail->Password     = 'R]c-d*Zv*YHEDSSA';
            $mail->SMTPSecure   = 'STARTTLS';  
            $mail->Port         = 587;  
            $mail->Subject      = $subject;
            $mail->Body         = $message;
            $mail->setFrom("$setting->support_email_address", "$setting->company_name");
              $mail->addAddress($to);  
              $mail->isHTML(true);      
              ////////////////////////////////////////////////////
              if(!$mail->send()) {
                 // echo "Something went wrong. Please try again.";
              }else {
                  //echo "Email sent successfully.";
              }
              
            } catch (Exception $e) {
                //echo "Something went wrong. Please try again.";
            }
        $session = session();
        $session->setFlashdata('success',getLan('product_send_successfully'));
        return redirect()->to('/rinv');
        }else{
            return redirect('/');
        }
    }
    function delivery($inv_id=FALSE) { 
        if(session()->get('user_type')==1){ 
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $builder = $db->table('msm_invoice_master');
        $builder->set('this_status', 6);
        $builder->set('delivery_date', date('Y-m-d H:i:s'));
        $builder->where('id', $inv_id);
        $builder->update();
        $session = session();
        $session->setFlashdata('success',getLan('delivery_successfully'));
        return redirect()->to('/rinv');
        }else{
            return redirect('/');
        }
    }
    function returnorder($inv_id=FALSE) { 
        if(session()->get('user_type')==1){ 
        $inv_id=endecry($inv_id,'decrypt');
        $db = \Config\Database::connect();
        $user_id= session()->get('userid');
        $builder = $db->table('msm_invoice_master');
        $builder->set('this_status', 1);
        $builder->where('id', $inv_id);
        $builder->update();
        $session = session();
        $session->setFlashdata('success',getLan('return_successfully'));
        return redirect()->to('/rinv');
        }else{
            return redirect('/');
        }
    }
    
}
