<?php
namespace App\Controllers;
use CodeIgniter\Controller;
use CodeIgniter\Files\File;
class Slider extends BaseController
{
    public function index()
    {   
        if(session()->get('user_type')==1){ 
		$db = \Config\Database::connect();
        $data['setting']=setting();
        $data['lists'] = $db->query("SELECT * 
            FROM msm_slideshows 
            ORDER BY id ASC")->getResult();
    	return view('admin/header', $data)
            . view('admin/slider', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    public function add(){   
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        $data['setting']=setting();
        return view('admin/header', $data)
            . view('admin/addslider', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    public function edit($id){   
        if(session()->get('user_type')==1){ 
        $db = \Config\Database::connect();
        $data['setting']=setting();
        $data['info']=$db->query("SELECT * FROM msm_slideshows 
                    WHERE id='$id' ")->getRow();
        return view('admin/header', $data)
            . view('admin/addslider', $data)
            . view('admin/footer', $data);
        }else{
            return redirect('/');
        }
    }
    
     function save() { 
        if(session()->get('user_type')==1){ 
        $id = $this->request->getPost('id');
        $db = \Config\Database::connect();
        if($this->request->getFile('image_url')!=''){
            $validationRule = [
                'slider_img' => [
                    'label' => 'Image File',
                    'rules' => 'uploaded[image_url]'
                        . '|is_image[slider_img]'
                        . '|mime_in[slider_img,image/jpg,image/jpeg,image/gif,image/png]'
                        . '|max_size[slider_img,100000]'
                        . '|max_dims[slider_img,10024,7068]',
                ],
            ];
        }else{
            $validationRule = [
                'title'=>[
                    'rules'=>'required',
                    'errors'=>[
                        'required'=>getLan('required')
                    ]
                ],
            ];
        }
        if (! $this->validate($validationRule)) {
            $data = ['errors' => $this->validator->getErrors()];
             $data['setting']=setting();
             if($id!='')
            $data['info'] = $db->query("SELECT * FROM msm_slideshows 
                        WHERE id='$id' ")->getRow();
            return view('admin/header', $data)
                . view('admin/addslider', $data)
                . view('admin/footer', $data);
        }else{
            $builder = $db->table('msm_slideshows');
            if($this->request->getFile('slider_img')!=''){
                $avatar = $this->request->getFile('slider_img');
                $avatar->move('public/slider');
                $fname=$avatar->getName();
                $builder->set('slider_img', "$fname");
            }
            $builder->set('title', $this->request->getPost('title'));
            $builder->set('header_text', $this->request->getPost('header_text'));
            $builder->set('footer_text', $this->request->getPost('footer_text'));
            $builder->set('button_url', $this->request->getPost('button_url'));
            $builder->set('position', $this->request->getPost('position'));
            if($id==''){
                $builder->insert();
             }else{
                $builder->where('id', $id);
                $builder->update();
             }
            $session = session();
            $session->setFlashdata('success',getLan('save_successfully'));
            return redirect()->to('/slider');
        } 
        }else{
            return redirect('/');
        }
    }
  

    
}
