<?php
namespace App\Models;
use CodeIgniter\Model;

class LoginModel extends Model
{
    protected $table='msm_user_info';
    protected $primaryKey='id';
    protected $allowField=['id','user_status','photo','password','password_text','user_type',
    'first_name','last_name','company_name','email_address','phone_no','country_name'];

    public function InsertData($data)
    {
        $db = \Config\Database::connect();
        $response = $db->table('msm_user_info')->insert($data);
        if($response)
        {
            return $db->insertID();
        }else{
            return false;
        }
    }
    public function getAll($table_name)
    {
        $db = \Config\Database::connect();
        $response =$db->query("SELECT * FROM $table_name WHERE status=1")->getResult(); 
        return $response;
       
    }
    public function getMostPopular($table_name)
    {
        $db = \Config\Database::connect();
        $response =$db->query("SELECT * FROM $table_name  
            WHERE most_popular=1  AND status=1
            ORDER BY id 
            LIMIT 0, 15")->getResult(); 
        return $response;
       
    }
    public function getCoupon()    {
        $date=date('Y-m-d');
        $db = \Config\Database::connect();
        $response =$db->query("SELECT * FROM msm_coupons 
            WHERE status=1 AND expired_date>='$date' ")->getResult(); 
        return $response;
       
    }
   

}