<!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-6 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">
            	<?php echo getLan('checkout'); ?></h3>
          </div>
        </div>
        <div class="content-body"><div class="shopping-cart">
	<ul class="nav nav-tabs nav-justified">
		<li class="nav-item">
			<a class="nav-link active" id="shopping-cart" data-toggle="tab" aria-controls="shop-cart-tab" href="#shop-cart-tab" aria-expanded="true">
				<?php echo getLan('checkout'); ?></a>
		</li>
	</ul>
	<div class="tab-content pt-1"> 
		<div class="tab-pane active" id="checkout-tab" aria-expanded="true" role="tablist" aria-labelledby="checkout">
			<div class="row">
				<div class="col-md-6 order-md-2 mb-4">
					<div class="card">
						<div class="card-header mb-3">
							<h4 class="card-title"><?=getLan('your_cart') ?> (<?php echo  count($cartp); ?>)</h4>
						</div>
						<div class="card-content">
							<div id="clientKey" class="hidden"><?php echo getenv('ADYEN_CLIENT_KEY') ?></div>
                            <div id="type" class="hidden"><?php echo getenv('adyentype') ?></div>
							<ul class="list-group mb-3">
								<?php 
								  $m=0;
							      $totalamount=0;
							      $totaldeliverycost=0;
							      $subtotal=0;
							      foreach ($cartp as $prow) {
							         $totalamount=$totalamount+$prow->totalcost;
							         $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
							         $subtotal=$subtotal+$prow->saleprice;
							         $m++;
							      ?>
								<li class="list-group-item d-flex justify-content-between lh-condensed">
									<div>
										<h6 class="my-0"><?=$prow->pname ?>  </h6>
										<small class="text-muted">
											<?php if($prow->copies!='') {  ?> <?=onlyamountFormat($prow->copies) ?> <?=getLan('copies') ?>
											<br> <?php } ?>
											<?php if($prow->size!='') echo "$prow->size "; ?>
											<br>
                                            <?php if($prow->material!='') echo "<br> $prow->material "; ?>
                                            </small>
									</div>
									<span class="text-muted"><?=amountFormat($prow->totalcost) ?></span>
								</li>
							    <?php } ?>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name"><strong><?=getLan('subtotal'); ?></strong></span>
									<span class="product-price"><strong><?=amountFormat($subtotal) ?></strong></span>
								</li>
							
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name"><?=getLan('shipping_cost'); ?></span>
									<span class="product-price"><?=amountFormat($totaldeliverycost) ?></span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name"><?php echo getLan('vat'); ?></span>
									<span class="product-price">$ 0</span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name success"><?php echo getLan('grand_total'); ?></span>
									<span class="product-price"><b><?=amountFormat($totalamount) ?></b></span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name success"><b><?php echo getLan('paid_amount'); ?></b></span>
									<span class="product-price"><b><?=amountFormat($info->paid_amount) ?></b></span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name success"><?php echo getLan('due_amount'); ?></span>
									<span class="product-price"><b><?=amountFormat($info->grand_total_amount-$info->paid_amount) ?></b></span>
								</li>
							</ul>
						</div>
					</div>
				
				</div>
				<div class="col-md-6 order-md-1">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title"><b><?=getLan('shipping_address'); ?></b></h4>
						</div>
						<div class="card-content">
							<div class="card-body">
							<form id='checkout-form' action="<?=base_url('payment'); ?>" method="POST">
								<input type='hidden' name="invid" id="invid" value="<?=endecry($info->id,'encrypt') ?>">
								<div class="row">
									<div class="col-md-12 mb-1">
										<?=$info->shipping_address ?>
									</div>
								</div>
								<h4 class="mb-1"><b><?=getLan('payment'); ?></b> </h4>
								<div class="row stripe">
						        <div class="col-md-12 mb-3">
		                            <div id="dropin-page">
									  <div class="container">
									    <div class="dropin-container">
									        <div id="payment" class="payment"></div>
									    </div>
									  </div>
									</div>
							     </div>
								
							</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
   </div>
</div>
</div>
</div>
</div>
    <!-- END: Content-->
 <script src="https://checkoutshopper-test.adyen.com/checkoutshopper/sdk/5.16.0/adyen.js"></script>    
  <!-- Adyen CSS from TEST environment (change to live for production)-->
<link rel="stylesheet" href="https://checkoutshopper-test.adyen.com/checkoutshopper/sdk/5.16.0/adyen.css">  
<script>
 	var calurl='<?=base_url('sessions')?>';
 	var ref='<?=$info->id?>';
 	const clientKey = document.getElementById("clientKey").innerHTML;
	// Used to finalize a checkout call in case of redirect
	const urlParams = new URLSearchParams(window.location.search);
	const sessionId = urlParams.get('sessionId'); // Unique identifier for the payment session
	const redirectResult = urlParams.get('redirectResult');
	// Typical checkout experience
	async function startCheckout() {
	  // Used in the demo to know which type of checkout was chosen
	  const type = document.getElementById("type").innerHTML;
	  try {
	    //const checkoutSessionResponse = await callServer(calurl);
	    const checkout = await createAdyenCheckout(<?php echo json_encode($sesssiondata); ?>);
	    checkout.create(type).mount(document.getElementById("payment"));
	  } catch (error) {
	    console.error(error);
	    alert("Error occurred. Look at console for details");
	  }
	}
	// Some payment methods use redirects. This is where we finalize the operation
	async function finalizeCheckout() {
	  try {
	    const checkout = await createAdyenCheckout({id: sessionId});
	    checkout.submitDetails({details: {redirectResult}});
	  } catch (error) {
	    console.error(error);
	    alert("Error occurred. Look at console for details");
	  }
	}

	async function createAdyenCheckout(session){
	  return new AdyenCheckout(
	    {
	      clientKey,
	      locale: "en_US",
	      environment: "test",
	      session: session,
	      showPayButton: true,
	      paymentMethodsConfiguration: {
	        ideal: {
	          showImage: true,
	        },
	        card: {
	          hasHolderName: true,
	          holderNameRequired: true,
	          name: "Credit or debit card",
	          amount: {
	            value: <?=(int)$info->grand_total_amount ?>,
	            currency: "EUR",
	          },
	        },
	        paypal: {
	          amount: {
	            value: <?=(int)$info->grand_total_amount ?>,
	            currency: "USD",
	          },
	          environment: "test", // Change this to "live" when you're ready to accept live PayPal payments
	          countryCode: "US", // Only needed for test. This will be automatically retrieved when you are in production.
	        }
	      },
	      onPaymentCompleted: (result, component) => {
	        console.info("onPaymentCompleted");
	        console.info(result, component);
	        handleServerResponse(result, component);
	      },
	      onError: (error, component) => {
	        console.error("onError");
	        console.error(error.name, error.message, error.stack, component);
	        handleServerResponse(error, component);
	      },
	    }
	  );
	}

	// Calls your server endpoints
	async function callServer(url, data) {
	  const res = await fetch(url, {
	    method: "POST",
	    body: data ? JSON.stringify(data) : "",
	    headers: {
	      "Content-Type": "application/json",
	    },
	  });

	  return await res.json();
	}

	function handleServerResponse(res, _component) {
		//alert(res.pspReference)
	    switch (res.resultCode) {
	      case "Authorised":
	        window.location.href = "<?=base_url('result/success')?>/"+ref;
	        break;
	      case "Pending":
	      case "Received":
	        window.location.href = "<?=base_url('result/pending')?>/"+ref;
	        break;
	      case "Refused":
	        window.location.href = "<?=base_url('result/failed')?>/"+ref;
	        break;
	      default:
	        window.location.href = "<?=base_url('result/error')?>/"+ref;
	        break;
	    }
	}

	if (!sessionId) { startCheckout(); } else { finalizeCheckout(); }
 </script>