    <!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-6 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block"><?php echo getLan('invoice_list'); ?></h3>
          </div>
        </div>
        <div class="content-body"><!-- Table row borders end-->
<!-- Border color end-->
<div class="row">
	<div class="col-12">
		<div class="card">
			<div class="card-header">
				<h4 class="card-title"><?php echo getLan('invoice_list'); ?></h4>
         		 
			</div>
			<div class="card-content collapse show">
				<div class="table-responsive">
					<table id="example" class="table table-white-space table-bordered row-grouping display no-wrap  table-middle">
						<thead>
							<tr class="border-bottom-active border-custom-color">
								<th><?php echo getLan('sn'); ?></th>
								<th><?php echo getLan('actions'); ?></th>
								<th><?php echo getLan('invoice_number'); ?></th>
								<th><?php echo getLan('invoice_date'); ?></th>
								<th><?php echo getLan('grand_total_amount'); ?></th>
								<th><?php echo getLan('payment_status'); ?></th>
								<th><?php echo getLan('payment_method'); ?></th>
								<th><?php echo getLan('transaction_id'); ?></th>
								<th><?php echo getLan('order_status'); ?></th>
								
							</tr>
						</thead>
						<tbody>
							<?php $i=1;
							foreach ($lists as $value) {
							?>
							<tr class="border-bottom-success border-custom-color">
								<td><?=$i++; ?></td>
								<td>
									<?php if($value->payment_status!='paid'){  ?>
									<a href="<?=base_url("paynow"); ?>/<?=endecry($value->id,'encrypt'); ?>" class="btn btn-success mr-1 mb-1"><?php echo getLan('paynow'); ?></a>
								   <?php } ?>
								   <?php if($value->this_status!=3){  ?>
									<a href="<?=base_url("upload"); ?>/<?=endecry($value->id,'encrypt'); ?>" class="btn btn-success mr-1 mb-1"><?php echo getLan('upload_file'); ?></a>
								   <?php } ?>
								</td>
								<td><a href="<?=base_url("pdfload"); ?>/<?=endecry($value->id,'encrypt'); ?>" >
									<?=$value->invoice_number; ?></a></td>
								<td><?php echo date("D-d F Y", strtotime($value->invoice_date)); ?></td>
								<td><strong><?=amountFormat($value->grand_total_amount-$value->discount_amount); ?></strong></td>
								<td><span class="btn btn-success">
									<?=getLan($value->payment_status); ?></span></td>
								<td><?=$value->payment_method; ?></td>
								<td><?=$value->transaction_id; ?></td>
								<td>
									<?=orderStatus($value->this_status); ?></td>
								
							</tr>
							<?php } ?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Border color end -->
        </div>
      </div>
    </div>
    <!-- END: Content-->
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>

<script>
	$(document).ready(function () {
	    $('#example').DataTable();
	});
</script>

