<!-- BEGIN: Content-->
    <div class="app-content content">
      <div class="content-overlay"></div>
      <div class="content-wrapper">
        <div class="content-header row">
          <div class="content-header-left col-md-6 col-12 mb-2 breadcrumb-new">
            <h3 class="content-header-title mb-0 d-inline-block">
            	<?php echo getLan('checkout'); ?></h3>
          </div>
        </div>
        <div class="content-body"><div class="shopping-cart">
	<ul class="nav nav-tabs nav-justified">
		<li class="nav-item">
			<a class="nav-link active" id="shopping-cart" data-toggle="tab" aria-controls="shop-cart-tab" href="#shop-cart-tab" aria-expanded="true">
				<?php echo getLan('checkout'); ?></a>
		</li>
		
	</ul>
	<div class="tab-content pt-1"> 
		<div class="tab-pane active" id="checkout-tab" aria-expanded="true" role="tablist" aria-labelledby="checkout">
			<div class="row">
				<div class="col-md-6 order-md-2 mb-4">
					<div class="card">
						<div class="card-header mb-3">
							<h4 class="card-title"><?=getLan('your_cart') ?> (<?php echo  count($cartp); ?>)</h4>
						</div>
						<div class="card-content">
							<ul class="list-group mb-3">
								<?php 
								  $m=0;
							      $totalamount=0;
							      $totaldeliverycost=0;
							      $subtotal=0;
							      foreach ($cartp as $prow) {
							         $totalamount=$totalamount+$prow->totalcost;
							         $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
							         $subtotal=$subtotal+$prow->saleprice;
							         $m++;
							      ?>
								<li class="list-group-item d-flex justify-content-between lh-condensed">
									<div>
										<h6 class="my-0"><?=$prow->pname ?>  </h6>
										<small class="text-muted">
											<?php if($prow->copies!='') {  ?> <?=onlyamountFormat($prow->copies) ?> <?=getLan('copies') ?>
											<br> <?php } ?>
											<?php if($prow->size!='') echo "$prow->size "; ?>
											<br>
                                            <?php if($prow->material!='') echo "<br> $prow->material "; ?>
                                            </small>
									</div>
									<span class="text-muted"><?=amountFormat($prow->totalcost) ?></span>
								</li>
							    <?php } ?>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name"><strong><?=getLan('subtotal'); ?></strong></span>
									<span class="product-price"><strong><?=amountFormat($subtotal) ?></strong></span>
								</li>
							
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name"><?=getLan('shipping_cost'); ?></span>
									<span class="product-price"><?=amountFormat($totaldeliverycost) ?></span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name"><?php echo getLan('vat'); ?></span>
									<span class="product-price">$ 0</span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name success"><?php echo getLan('grand_total'); ?></span>
									<span class="product-price"><b><?=amountFormat($totalamount) ?></b></span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name success"><b><?php echo getLan('paid_amount'); ?></b></span>
									<span class="product-price"><b><?=amountFormat($info->paid_amount) ?></b></span>
								</li>
								<li class="list-group-item d-flex justify-content-between">
									<span class="product-name success"><?php echo getLan('due_amount'); ?></span>
									<span class="product-price"><b><?=amountFormat($info->grand_total_amount-$info->paid_amount) ?></b></span>
								</li>
							</ul>
						</div>
					</div>
				
				</div>
				<div class="col-md-6 order-md-1">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title"><b><?=getLan('shipping_address'); ?></b></h4>
						</div>
						<div class="card-content">
							<div class="card-body">
								<form id='checkout-form' action="<?=base_url('payment'); ?>" method="POST">
									<input type='hidden' name="invid" id="invid" value="<?=endecry($info->id,'encrypt') ?>">
									<div class="row">
										<div class="col-md-12 mb-1">
											<?=$info->shipping_address ?>
										</div>
									</div>
									<h4 class="mb-1"><b><?=getLan('payment'); ?></b> </h4>

									<div class="d-block my-2">
										<div class="custom-control custom-radio">
											<input id="stripe" name="paymentMethod" type="radio" class="custom-control-input paymentMethod" required="" checked value="stripe">
											<label class="custom-control-label" for="stripe">Stripe</label>
										</div>
										<div class="custom-control custom-radio">
											<input id="paypal" name="paymentMethod" type="radio" class="custom-control-input paymentMethod" required=""  value="paypal">
											<label class="custom-control-label" for="paypal">Paypal</label>
										</div>
										
									</div>
									<div class="row paypal">
										<div class="col-md-12 mb-3">
											<label for="cc-name">Name on card</label>
											<input type="text" class="form-control" id="cc-name" placeholder="" required="">
											<small class="text-muted">Full name as displayed on card</small>
											<div class="invalid-feedback">
												Name on card is required
											</div>
										</div>
										 
									</div>
									<div class="row stripe">
										<div class="col-md-12 mb-3">
											<label for="cc-name"><?=getLan('email'); ?></label>
											<input type="text" class="form-control" id="email" placeholder="<?=getLan('email'); ?>" required="" name="email">
									     </div>
									     <div class="col-md-12 mb-3">
				                            <input type='hidden' name='stripeToken' id='stripe-token-id'>
				                            <div id="card-element" class="form-control" ></div>
									     </div>
									 <button id='pay-btn'
                                class="btn btn-success mt-3"
                                type="button"
                                style="margin-top: 20px; width: 100%;padding: 7px;"
                                onclick="createToken()"><?=getLan('process_to_pay') ?> <?=amountFormat($info->grand_total_amount-$info->paid_amount) ?>  
                                 </button> 
								
							</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	

	</div>

   </div>


</div>
        </div>
      </div>
    </div>
    <!-- END: Content-->
 
<script src="https://js.stripe.com/v3/" ></script>
<script>
	var stripe = Stripe("<?php echo getenv('stripe.key') ?>");
    var elements = stripe.elements();
    var cardElement = elements.create('card');
    cardElement.mount('#card-element');
    function createToken() {
        document.getElementById("pay-btn").disabled = true;
        stripe.createToken(cardElement).then(function(result) {
            if(typeof result.error != 'undefined') {
                document.getElementById("pay-btn").disabled = false;
                alert(result.error.message);
            }
            // creating token success
            if(typeof result.token != 'undefined') {
                document.getElementById("stripe-token-id").value = result.token.id;
                document.getElementById('checkout-form').submit();
            }
        });
    }
    ////////////////////////////

	$(document).ready(function() {
		$('.paymentMethod').click(function(){
			var radioValue = $("input[name='paymentMethod']:checked").val();
			if(radioValue=='paypal'){
				$(".stripe").hide();
				$(".paypal").show();
			}else{
				$(".stripe").show();
				$(".paypal").hide();
			}
		});
	});	
</script>
<style>
	.paypal{
		display: none;
	}
	.list-group-item {
	  padding: 10px 20px;
  }
</style>