<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active">
                <a href="#"><?=getLan('payment_gateway'); ?></a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
             <div class="row mb-9">
                <div class="col-lg-5 pr-lg-4 mb-4">
                    <h3 class="title billing-title text-uppercase ls-10 pt-1 pb-3 mb-0">
                        <?=getLan('your_cart') ?> (<?php echo  count($cartp); ?>)
                    </h3>
                    <div class="order-summary">
                    <table class="order-table">
                        <thead>
                            <tr>
                                <th colspan="2">
                                    <b><?=getLan('products') ?></b>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                              $m=0;
                              $totalamount=0;
                              $totaldeliverycost=0;
                              $subtotal=0;
                              foreach ($cartp as $prow) {
                                 $totalamount=$totalamount+$prow->totalcost;
                                 $totaldeliverycost=$totaldeliverycost+$prow->deliverycost;
                                 $subtotal=$subtotal+$prow->saleprice;
                                 $m++;
                              ?>
                            <tr class="bb-no">
                                <td class="product-name"><?=$prow->pname ?> 
                                        <span    class="product-quantity">
                                        <?php if($prow->copies!='') {  ?> <?=onlyamountFormat($prow->copies) ?> 
                                            <?=getLan('copies') ?> <?php } ?>
                                </span></td>
                                <td class="product-total"><?=amountFormat($prow->totalcost) ?></td>
                            </tr>
                            <?php } ?>
                            <tr class="cart-subtotal bb-no">
                                <td>
                                    <b><?=getLan('subtotal'); ?></b>
                                </td>
                                <td>
                                    <b><?=amountFormat($subtotal) ?></b>
                                </td>
                            </tr>
                        </tbody>     
                </table>                          
                </div>
              </div>
                <div class="col-lg-7 mb-4 sticky-sidebar-wrapper">
                    <div class="order-summary-wrapper sticky-sidebar">
                        <h3 class="title text-uppercase ls-10"><?=getLan('payment'); ?></h3>
                        <div class="order-summary">
                            <table class="order-table">
                                <thead>
                                    <tr>
                                        <th colspan="2">
                                            <b><?=getLan('amount_details'); ?></b>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('subtotal'); ?></b>
                                        </td>
                                        <td>
                                            <b><?=amountFormat($subtotal) ?></b>
                                        </td>
                                    </tr>
                                    <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('shipping_cost'); ?></b>
                                        </td>
                                        <td>
                                            <b><?=amountFormat($totaldeliverycost) ?></b>
                                        </td>
                                    </tr>
                                    <tr class="cart-subtotal bb-no">
                                        <td>
                                            <b><?=getLan('vat'); ?></b>
                                        </td>
                                        <td>
                                            <b><?=amountFormat(0) ?></b>
                                        </td>
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr class="order-total">
                                        <th>
                                            <b><?php echo getLan('grand_total'); ?></b>
                                        </th>
                                        <td>
                                            <b><?=amountFormat($totalamount) ?></b>
                                        </td>
                                    </tr>
                                </tfoot>
                            </table>

                            <div class="payment-methods" id="payment_method">
                                <div style="display: none;" id="clientKey" class="hidden"><?php echo getenv('ADYEN_CLIENT_KEY') ?></div>
                                <div style="display: none;" id="type" class="hidden"><?php echo getenv('adyentype') ?></div>
                                <h4 class="title font-weight-bold ls-25 pb-0 mb-1"><?=getLan('payment_method') ?></h4>
                                <div class="accordion payment-accordion">
                                    <div id="dropin-page">
                                      <div class="container">
                                        <div class="dropin-container">
                                            <div id="payment" class="payment"></div>
                                        </div>
                                      </div>
                                    </div>
                                </div>
                            </div>

                           <!--  <div class="form-group place-order pt-6">
                                <button type="submit" class="btn btn-dark btn-block btn-rounded">Place Order</button>
                            </div> -->
                        </div>
                    </div>
                </div>
            </div>
     </div>
</div>
<!-- End of PageContent -->
<script src="https://checkoutshopper-test.adyen.com/checkoutshopper/sdk/5.16.0/adyen.js"></script>    
  <!-- Adyen CSS from TEST environment (change to live for production)-->
<link rel="stylesheet" href="https://checkoutshopper-test.adyen.com/checkoutshopper/sdk/5.16.0/adyen.css">  
<script>
    var calurl='<?=base_url('sessions')?>';
    var ref='<?=$info->id?>';
    const clientKey = document.getElementById("clientKey").innerHTML;
    // Used to finalize a checkout call in case of redirect
    const urlParams = new URLSearchParams(window.location.search);
    const sessionId = urlParams.get('sessionId'); // Unique identifier for the payment session
    const redirectResult = urlParams.get('redirectResult');
    // Typical checkout experience
    async function startCheckout() {
      // Used in the demo to know which type of checkout was chosen
      const type = document.getElementById("type").innerHTML;
      try {
        //const checkoutSessionResponse = await callServer(calurl);
        const checkout = await createAdyenCheckout(<?php echo json_encode($sesssiondata); ?>);
        checkout.create(type).mount(document.getElementById("payment"));
      } catch (error) {
        console.error(error);
        alert("Error occurred. Look at console for details");
      }
    }
    // Some payment methods use redirects. This is where we finalize the operation
    async function finalizeCheckout() {
      try {
        const checkout = await createAdyenCheckout({id: sessionId});
        checkout.submitDetails({details: {redirectResult}});
      } catch (error) {
        console.error(error);
        alert("Error occurred. Look at console for details");
      }
    }

    async function createAdyenCheckout(session){
      return new AdyenCheckout(
        {
          clientKey,
          locale: "en_US",
          environment: "test",
          session: session,
          showPayButton: true,
          paymentMethodsConfiguration: {
            ideal: {
              showImage: true,
            },
            card: {
              hasHolderName: true,
              holderNameRequired: true,
              name: "Credit or debit card",
              amount: {
                value: <?=(int)$info->grand_total_amount ?>,
                currency: "EUR",
              },
            },
            paypal: {
              amount: {
                value: <?=(int)$info->grand_total_amount ?>,
                currency: "USD",
              },
              environment: "test", // Change this to "live" when you're ready to accept live PayPal payments
              countryCode: "US", // Only needed for test. This will be automatically retrieved when you are in production.
            }
          },
          onPaymentCompleted: (result, component) => {
            console.info("onPaymentCompleted");
            console.info(result, component);
            handleServerResponse(result, component);
          },
          onError: (error, component) => {
            console.error("onError");
            console.error(error.name, error.message, error.stack, component);
            handleServerResponse(error, component);
          },
        }
      );
    }

    // Calls your server endpoints
    async function callServer(url, data) {
      const res = await fetch(url, {
        method: "POST",
        body: data ? JSON.stringify(data) : "",
        headers: {
          "Content-Type": "application/json",
        },
      });

      return await res.json();
    }

    function handleServerResponse(res, _component) {
        //alert(res.pspReference)
        switch (res.resultCode) {
          case "Authorised":
            window.location.href = "<?=base_url('result/success')?>/"+ref;
            break;
          case "Pending":
          case "Received":
            window.location.href = "<?=base_url('result/pending')?>/"+ref;
            break;
          case "Refused":
            window.location.href = "<?=base_url('result/failed')?>/"+ref;
            break;
          default:
            window.location.href = "<?=base_url('result/error')?>/"+ref;
            break;
        }
    }

    if (!sessionId) { startCheckout(); } else { finalizeCheckout(); }
 </script>