<!-- Start of Page Header -->
            <div class="page-header">
                <div class="container">
                    <h1 class="page-title mb-0"><?=getLan('my_account') ?></h1>
                </div>
            </div>
            <!-- End of Page Header -->
            <!-- Start of PageContent -->
            <div class="page-content pt-2">
                <div class="container">
                    <?php  if(session()->getFlashdata('success')):?>
                    <div class="row">
                        <div class="col-md-6 mb-4">
                            <div class="alert alert-icon alert-success alert-bg alert-inline show-code-action">
                                <h4 class="alert-title">
                                    <i class="fas fa-check"></i><?=session()->getFlashdata('success'); ?>!</h4> 
                            </div>
                        </div>
                    </div>
                    <?php endif;?>
                    <div class="tab tab-vertical row gutter-lg">
                        <ul class="nav nav-tabs mb-6" role="tablist">
                            <li class="nav-item">
                                <a href="#account-dashboard" class="nav-link <?php if(isset($active)&&$active=='dashboard') echo "active" ?>"><?=getLan('dashboard') ?></a>
                            </li>
                            <li class="nav-item">
                                <a href="#account-orders" class="nav-link <?php if(isset($active)&&$active=='order') echo "active" ?>"><?=getLan('orders') ?></a>
                            </li>
                            <li class="nav-item">
                                <a href="#account-dueorder" class="nav-link <?php if(isset($active)&&$active=='due') echo "active" ?>"><?=getLan('due_orders') ?></a>
                            </li>
                            <li class="nav-item">
                                <a href="#account-addresses" class="nav-link <?php if(isset($active)&&$active=='address') echo "active" ?>"><?=getLan('addresses') ?></a>
                            </li>
                            <li class="nav-item">
                                <a href="#account-details" class="nav-link <?php if(isset($active)&&$active=='details') echo "active" ?>"><?=getLan('account_details') ?></a>
                            </li>
                          <!--   <li class="link-item">
                                <a href="<?=base_url('wishlist')?>"><?=getLan('wishlist') ?></a>
                            </li> -->
                            <li class="link-item">
                                <a href="<?=base_url('logout')?>"><?=getLan('logout') ?></a>
                            </li>
                          
                        </ul>

                        <div class="tab-content mb-6">
                            <div class="tab-pane <?php if(isset($active)&&$active=='dashboard') echo "active" ?> in" id="account-dashboard">
                                <p class="greeting">
                                    <?=getLan('hello') ?>
                                    <span class="text-dark font-weight-bold"><?php echo "$uinfo->first_name $uinfo->last_name"; ?></span>
                                    <a href="<?=base_url('logout') ?>" class="text-primary"><?=getLan('logout') ?></a>
                                </p>

                                <p class="mb-4">
                                    <?php echo getLan('dashboard_text'); ?></a>
                                </p>
                                <div class="row">
                                    <div class="col-lg-4 col-md-6 col-sm-4 col-xs-6 mb-4">
                                        <a href="#account-orders" class="link-to-tab">
                                            <div class="icon-box text-center">
                                                <span class="icon-box-icon icon-orders">
                                                    <i class="w-icon-orders"></i>
                                                </span>
                                                <div class="icon-box-content">
                                                    <p class="text-uppercase mb-0"><?=getLan('orders') ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <div class="col-lg-4 col-md-6 col-sm-4 col-xs-6 mb-4">
                                        <a href="#account-dueorder" class="link-to-tab">
                                            <div class="icon-box text-center">
                                                <span class="icon-box-icon icon-download">
                                                    <i class="w-icon-download"></i>
                                                </span>
                                                <div class="icon-box-content">
                                                    <p class="text-uppercase mb-0"><?=getLan('due_orders') ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <div class="col-lg-4 col-md-6 col-sm-4 col-xs-6 mb-4">
                                        <a href="#account-addresses" class="link-to-tab">
                                            <div class="icon-box text-center">
                                                <span class="icon-box-icon icon-address">
                                                    <i class="w-icon-map-marker"></i>
                                                </span>
                                                <div class="icon-box-content">
                                                    <p class="text-uppercase mb-0"><?=getLan('addresses') ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <div class="col-lg-4 col-md-6 col-sm-4 col-xs-6 mb-4">
                                        <a href="#account-details" class="link-to-tab">
                                            <div class="icon-box text-center">
                                                <span class="icon-box-icon icon-account">
                                                    <i class="w-icon-user"></i>
                                                </span>
                                                <div class="icon-box-content">
                                                    <p class="text-uppercase mb-0"><?=getLan('account_details') ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <!-- <div class="col-lg-4 col-md-6 col-sm-4 col-xs-6 mb-4">
                                        <a href="<?=base_url('wishlist')?>" class="link-to-tab">
                                            <div class="icon-box text-center">
                                                <span class="icon-box-icon icon-wishlist">
                                                    <i class="w-icon-heart"></i>
                                                </span>
                                                <div class="icon-box-content">
                                                    <p class="text-uppercase mb-0"><?=getLan('wishlist') ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div> -->
                                    <div class="col-lg-4 col-md-6 col-sm-4 col-xs-6 mb-4">
                                        <a href="<?=base_url('logout')?>">
                                            <div class="icon-box text-center">
                                                <span class="icon-box-icon icon-logout">
                                                    <i class="w-icon-logout"></i>
                                                </span>
                                                <div class="icon-box-content">
                                                    <p class="text-uppercase mb-0"><?=getLan('logout') ?></p>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane mb-4 <?php if(isset($active)&&$active=='order') echo "active" ?>" id="account-orders">
                                <div class="icon-box icon-box-side icon-box-light">
                                    <span class="icon-box-icon icon-orders">
                                        <i class="w-icon-orders"></i>
                                    </span>
                                    <div class="icon-box-content">
                                        <h4 class="icon-box-title text-capitalize ls-normal mb-0"><?=getLan('orders') ?></h4>
                                    </div>
                                </div>

                                <table class="shop-table account-orders-table mb-6" id="example">
                                    <thead>
                                        <tr>
                                            <th><?=getLan('sn'); ?></th>
                                            <th><?=getLan('actions'); ?></th>
                                            <th><?=getLan('invoice_number'); ?></th>
                                            <th><?=getLan('invoice_date'); ?></th>
                                            <th><?=getLan('order_number'); ?></th>
                                            <th><?=getLan('grand_total_amount'); ?></th>
                                            <th><?=getLan('payment_status'); ?></th>
                                            <th><?=getLan('payment_method'); ?></th>
                                            <th><?=getLan('transaction_id'); ?></th>
                                            <th><?=getLan('order_status'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                       <?php $i=1;
                                        foreach ($lists as $value) {
                                        ?>
                                        <tr class="border-bottom-success border-custom-color">
                                            <td><?=$i++; ?></td>
                                            <td>
                                                <?php if($value->payment_status!='paid'){  ?>
                                                <a href="<?=base_url("paynow"); ?>/<?=endecry($value->id,'encrypt'); ?>" class="btn btn-success mr-1 mb-1"><?=getLan('paynow'); ?></a>
                                               <?php } ?>
                                               <?php if($value->payment_status=='paid'){  ?>
                                                <a href="<?=base_url("upload"); ?>/<?=endecry($value->id,'encrypt'); ?>" class="btn btn-success mr-1 mb-1"><?=getLan('upload_file'); ?></a>
                                               <?php } ?>
                                            </td>
                                            <td><a href="<?=base_url("pdfload"); ?>/<?=endecry($value->id,'encrypt'); ?>" >
                                                <?=$value->invoice_number; ?></a></td>
                                            <td><?php echo date("D-d F Y", strtotime($value->invoice_date)); ?></td>
                                            <td><a href="<?=base_url("pdfload"); ?>/<?=endecry($value->id,'encrypt'); ?>" >
                                                <?=$value->order_number; ?></a></td>
                                            <td><strong><?=amountFormat($value->grand_total_amount-$value->discount_amount); ?></strong></td>
                                            <td><span class="btn btn-success">
                                                <?=getLan($value->payment_status); ?></span></td>
                                            <td><?=$value->payment_method; ?></td>
                                            <td><?=$value->transaction_id; ?></td>
                                            <td>
                                                <?=orderStatus($value->this_status); ?></td>
                                            
                                        </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>

                        
                            </div>

                            <div class="tab-pane <?php if(isset($active)&&$active=='due') echo "active" ?>" id="account-dueorder">
                                <div class="icon-box icon-box-side icon-box-light">
                                    <span class="icon-box-icon icon-downloads mr-2">
                                        <i class="w-icon-download"></i>
                                    </span>
                                    <div class="icon-box-content">
                                        <h4 class="icon-box-title ls-normal"><?=getLan('due_orders'); ?></h4>
                                    </div>
                                </div>
                                <table class="shop-table account-orders-table mb-6" id="example2">
                                    <thead>
                                        <tr>
                                            <th><?=getLan('sn'); ?></th>
                                            <th><?=getLan('actions'); ?></th>
                                            <th><?=getLan('invoice_number'); ?></th>
                                            <th><?=getLan('invoice_date'); ?></th>
                                            <th><?=getLan('invoice_number'); ?></th>
                                            <th><?=getLan('grand_total_amount'); ?></th>
                                            <th><?=getLan('payment_status'); ?></th>
                                            <th><?=getLan('payment_method'); ?></th>
                                            <th><?=getLan('transaction_id'); ?></th>
                                            <th><?=getLan('order_status'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                       <?php $i=1;
                                        foreach ($duelists as $value) {
                                        ?>
                                        <tr class="border-bottom-success border-custom-color">
                                            <td><?=$i++; ?></td>
                                            <td>
                                                <?php if($value->payment_status!='paid'){  ?>
                                                <a href="<?=base_url("paynow"); ?>/<?=endecry($value->id,'encrypt'); ?>" class="btn btn-success mr-1 mb-1"><?=getLan('paynow'); ?></a>
                                               <?php } ?>
                                               <?php if($value->payment_status!='paid'){  ?>
                                                <a href="<?=base_url("upload"); ?>/<?=endecry($value->id,'encrypt'); ?>" class="btn btn-success mr-1 mb-1"><?=getLan('upload_file'); ?></a>
                                               <?php } ?>
                                            </td>
                                            <td><a href="<?=base_url("pdfload"); ?>/<?=endecry($value->id,'encrypt'); ?>" >
                                                <?=$value->invoice_number; ?></a></td>
                                            <td><?php echo date("D-d F Y", strtotime($value->invoice_date)); ?></td>
                                            <td><a href="<?=base_url("pdfload"); ?>/<?=endecry($value->id,'encrypt'); ?>" >
                                                <?=$value->order_number; ?></a></td>
                                            <td><strong><?=amountFormat($value->grand_total_amount-$value->discount_amount); ?></strong></td>
                                            <td><span class="btn btn-success">
                                                <?=getLan($value->payment_status); ?></span></td>
                                            <td><?=$value->payment_method; ?></td>
                                            <td><?=$value->transaction_id; ?></td>
                                            <td>
                                                <?=orderStatus($value->this_status); ?></td>
                                            
                                        </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>

                            <div class="tab-pane <?php if(isset($active)&&$active=='address') echo "active" ?>" id="account-addresses">
                                <div class="icon-box icon-box-side icon-box-light">
                                    <span class="icon-box-icon icon-map-marker">
                                        <i class="w-icon-map-marker"></i>
                                    </span>
                                    <div class="icon-box-content">
                                        <h4 class="icon-box-title mb-0 ls-normal"><?=getLan('addresses'); ?></h4>
                                    </div>
                                </div>
                                <p><?=getLan('the_following_address_default'); ?></p>
                                <div class="row">
                                    <div class="col-sm-6 mb-6">
                                        <div class="ecommerce-address billing-address pr-lg-8">
                                            <h4 class="title title-underline ls-25 font-weight-bold">
                                                <?=getLan('billing_address'); ?></h4>
                                            <address class="mb-4">
                                                <table class="address-table">
                                                    <tbody>
                                                        <tr>
                                                            <th><?=getLan('first_name'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->first_name; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('last_name'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->last_name; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('company_name'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->company_name; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('phone_no'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->phone_no; ?></td>
                                                        </tr>
                                                        
                                                        <tr>
                                                            <th><?=getLan('email_address'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->email_address; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('street_no'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->street_no; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('zip_code'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->zip_code; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('city'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->city; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('vat_no'); ?>:</th>
                                                            <td><?php if(isset($binfo)) echo $binfo->vat_no; ?></td>
                                                        </tr>
                                                        
                                                    </tbody>
                                                </table>
                                            </address>
                                            <a href="<?=base_url('hinb'); ?>"
                                                class="btn btn-link btn-underline btn-icon-right text-primary">
                                                <?=getLan('edit_your_billing_address') ?><i class="w-icon-long-arrow-right"></i></a>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 mb-6">
                                        <div class="ecommerce-address shipping-address pr-lg-8">
                                            <h4 class="title title-underline ls-25 font-weight-bold">
                                                <?=getLan('shipping_address'); ?></h4>
                                            <address class="mb-4">
                                                <table class="address-table">
                                                    <tbody>
                                                       <tr>
                                                            <th><?=getLan('first_name'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->first_name; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('last_name'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->last_name; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('company_name'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->company_name; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('phone_no'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->phone_no; ?></td>
                                                        </tr>
                                                        
                                                        <tr>
                                                            <th><?=getLan('email_address'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->email_address; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('street_no'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->street_no; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('zip_code'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->zip_code; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('city'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->city; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th><?=getLan('vat_no'); ?>:</th>
                                                            <td><?php if(isset($sinfo)) echo $sinfo->vat_no; ?></td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </address>
                                            <a href="<?=base_url('hins'); ?>"
                                                class="btn btn-link btn-underline btn-icon-right text-primary">
                                                <?=getLan('edit_your_shipping_address') ?>
                                                <i class="w-icon-long-arrow-right"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane <?php if(isset($active)&&$active=='details') echo "active" ?>" id="account-details">
                                <div class="icon-box icon-box-side icon-box-light">
                                    <span class="icon-box-icon icon-account mr-2">
                                        <i class="w-icon-user"></i>
                                    </span>
                                    <div class="icon-box-content">
                                        <h4 class="icon-box-title mb-0 ls-normal"><?=getLan('account_details') ?></h4>
                                    </div>
                                </div>
                                <form class="form account-details-form" action="<?=base_url('pupdate'); ?>" method="POST" enctype="multipart/form-data">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="first_name"><?=getLan('first_name') ?></label>
                                                <input type="text" id="first_name" name="first_name"  
                                                    class="form-control form-control-md" value="<?php if(isset($uinfo)) echo $uinfo->first_name; ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="last_name"><?=getLan('last_name') ?></label>
                                                <input type="text" id="last_name" name="last_name" p 
                                                    class="form-control form-control-md" value="<?php if(isset($uinfo)) echo $uinfo->last_name; ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="phone_no"><?=getLan('phone_no') ?></label>
                                                <input type="text" id="phone_no" name="phone_no"  
                                                    class="form-control form-control-md" value="<?php if(isset($uinfo)) echo $uinfo->phone_no; ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="photo"><?=getLan('photo') ?></label>
                                                <div class="custom-file">
                                                  <input type="file" name="photo" class="custom-file-input" id="inputGroupFile02" accept="image/*">
                                              </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <img src="<?=base_url()?>/public/image/<?=$uinfo->photo?>" alt="avatar" style="width: 40px">
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-dark btn-rounded btn-sm mb-4" name="submit" value="piupdate">
                                        <?=getLan('update') ?></button>
                                    </form>

                                <form class="form account-details-form" action="<?=base_url('pupdate'); ?>" method="POST" enctype="multipart/form-data">
                                    <div class="row">
                                        <div class="form-group mb-6 col-md-6">
                                            <label for="email_address"><?=getLan('email_address') ?></label>
                                            <input type="email" id="email_address" name="email_address"
                                                class="form-control form-control-md" value="<?php if(isset($uinfo)) echo $uinfo->email_address; ?>">
                                        </div>
                                    </div>
                                    <h4 class="title title-password ls-25 font-weight-bold"><?=getLan('password_change') ?></h4>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="text-dark" for="old_password"><?=getLan('old_password') ?></label>
                                                <input type="password" class="form-control form-control-md"
                                                    id="old_password" name="old_password">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="text-dark" for="new_password"><?=getLan('new_password') ?></label>
                                                <input type="password" class="form-control form-control-md"
                                                    id="new_password" name="new_password">
                                            </div>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-dark btn-rounded btn-sm mb-4" name="submit" value="login">
                                        <?=getLan('change') ?></button>
                                </form>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            <!-- End of PageContent -->
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>

<script>
    $(document).ready(function () {
        $('#example').DataTable();
        $('#example2').DataTable();
    });
</script>
<style>
    .tab-vertical .nav {
        flex-direction: column;
        flex-wrap: nowrap;
        width: 20%;
    }
    .tab-vertical .tab-content {
        width: 80%;
        border-top: 1px solid #eee;
        padding-left: 2rem;
    }
 .link-item {
  margin-bottom: 0;
  padding: 1.7rem 0 1.6rem;
  font-size: 1.6rem;
  text-transform: none;
  border-bottom: 1px solid #eee;
}
 .nav-link {
  margin-bottom: 0;
  padding: 1.7rem 0 1.6rem;
  font-size: 1.6rem;
  text-transform: none;
  border-bottom: 1px solid #eee;
}
</style>