<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active"><a href="#">
                <?php echo getLan('invoice_no'); ?> : <?=$info->invoice_number; ?>
                </a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
        <div class="row gutter-lg mb-10">
            <?php if(session()->getFlashdata('success')!=''){  ?>
            <div class="col-md-12 mb-4">
                <div class="alert alert-icon alert-success alert-bg alert-inline show-code-action" style="text-align: center;">
                    <h4 class="alert-title" >
                        <i class="w-icon-exclamation-triangle"></i><?=getLan('success') ?>!</h4>
                    <?=getLan(session()->getFlashdata('success')) ?>
                </div>
            </div>
            <?php } ?>
            <div class="col-lg-1 pr-lg-4 mb-6">
            </div>

            <div class="col-lg-10 pr-lg-4 mb-6">
                <table class="shop-table cart-table">
                    <thead>
                        <tr>
                            <th class="product-name" style="width: 50%"><span><?=getLan('files') ?> </span></th>
                            <th class="product-name"><span><?=getLan('products') ?> </span></th>
                            <th class="product-price"><span><?=getLan('price') ?> </span></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                          $totalamount=0;
                          foreach ($cartp as $prow) {
                             $totalamount=$totalamount+$prow->totalcost;
                          ?>
                        <tr>

                            <td class="">
                              <div class="row">
                                <div class="col-lg-6 col-md-6" style="text-align: center;">
                                  <form method="post" action="<?=base_url('pfile')?>" enctype="multipart/form-data">
                                    <input type="hidden" id="pid" name="pid" value="<?php echo endecry($prow->id,'encrypt'); ?>">
                                      <div class="form-group">
                                        <input type="file" name="file" id="file" class="input-file">
                                        <label for="file" class="btn btn-tertiary js-labelFile">
                                          <i class="icon fa fa-check"></i>
                                          <span class="js-fileName"><?=getLan('choose_font_page'); ?></span>
                                        </label>
                                      </div>
                                      <button style="width: 100%" type="submit" name="submit" class="btn btn-primary but_upload" value="<?=$prow->id ?>">
                                        <?php echo getLan('upload_font_page'); ?></button>
                                </form>

                                </div>
                                <div class="col-lg-6 col-md-6" style="text-align: center;">
                                  <div class="product-img align-items-center product-thumbnail"  style="text-align: center;">
                                    <?php if($prow->upload_design!=''){ 
                                      $data=explode(".",$prow->upload_design);
                                      $type=$data[1];
                                      if($type=='png'||$type=='gif'||$type=='jpg'||$type=='jpeg'||$type=='PNG'){ 
                                     ?>
                                     <img class="img-fluid" src="<?=base_url(); ?>/public/design/<?=$prow->upload_design; ?>">
                                     <a style="width: 100%" class="btn btn-info" href="<?=base_url('download'); ?>/<?= $prow->upload_design; ?>"><?php echo getLan('download'); ?></a>
                                    <?php }else{  ?>
                                      <a style="width: 100%" class="btn btn-info" href="<?=base_url('download'); ?>/<?= $prow->upload_design; ?>"><?php echo getLan('download'); ?></a>
                                    
                                   <?php } ?>
                                <?php }else{  ?>
                                    <span style="font-size: 15px;text-align: center;"> <?=getLan('add_file(s)'); ?> </span>
                                <?php } ?>

                                   </div>
                                </div>
                              </div>
                              <br>
                              <div class="row">
                                <div class="col-lg-6 col-md-6" style="text-align: center;">
                                  <form method="post" action="<?=base_url('pfile')?>" enctype="multipart/form-data">
                                    <input type="hidden" id="pid" name="pid" value="<?php echo endecry($prow->id,'encrypt'); ?>">
                                      <div class="form-group">
                                        <input type="file" name="upload_design_<?=$prow->id ?>" id="file" class="input-file">
                                        <label for="file" class="btn btn-tertiary js-labelFile">
                                          <i class="icon fa fa-check"></i>
                                          <span class="js-fileName"><?=getLan('choose_back_page'); ?></span>
                                        </label>
                                      </div>
                                      <button style="width: 100%" type="submit" name="submit" class="btn btn-primary but_upload" value="<?=$prow->id ?>"><?php echo getLan('upload_back_page'); ?></button>
                                </form>

                                </div>
                                <div class="col-lg-6 col-md-6" style="text-align: center;">
                                  <div class="product-img align-items-center product-thumbnail"  style="text-align: center;">
                                    <?php if($prow->upload_design!=''){ 
                                      $data=explode(".",$prow->upload_design);
                                      $type=$data[1];
                                      if($type=='png'||$type=='gif'||$type=='jpg'||$type=='jpeg'||$type=='PNG'){ 
                                     ?>
                                     <img class="img-fluid" src="<?=base_url(); ?>/public/design/<?=$prow->upload_design; ?>">
                                     <a style="width: 100%" class="btn btn-info" href="<?=base_url('download'); ?>/<?= $prow->upload_design; ?>"><?php echo getLan('download'); ?></a>
                                    <?php }else{  ?>
                                      <a style="width: 100%" class="btn btn-info" href="<?=base_url('download'); ?>/<?= $prow->upload_design; ?>"><?php echo getLan('download'); ?></a>
                                    
                                   <?php } ?>
                                <?php }else{  ?>
                                    <span style="font-size: 15px;text-align: center;"> <?=getLan('add_file(s)'); ?> </span>
                                <?php } ?>

                                   </div>
                                </div>
                              </div>



                              

                                
                            <div class="col-lg-12 col-md-12">
                            <form method="post" action="<?=base_url('pfile')?>" enctype="multipart/form-data">
                                <input type="hidden" id="pid" name="pid" value="<?php echo endecry($prow->id,'encrypt'); ?>">
                                <input type="hidden" id="invid" name="invid" value="<?php echo endecry($info->id,'encrypt'); ?>">
                                <div class="upload-btn-wrapper ">
                                  <button class="btn file--upload" style="width: 100%">
                                    <?=getLan('choose_file'); ?></button>
                                  <input type="file" class="browse" name="upload_design_<?=$prow->id ?>" >
                                </div>
                                <button style="width: 100%" type="submit" name="submit" class="btn btn-info but_upload" value="<?=$prow->id ?>"><?php echo getLan('upload'); ?></button>
                            </form>
                            </div>
                            </td>
                            <td class="product-name">
                                    <strong><?php echo $prow->pname; ?></strong>
                                    <div class="product-color"><strong><?=getLan('Properties'); ?> : </strong> 
                                    <br>
                                    <?php if($prow->size!='') echo "$prow->size "; ?>
                                    <?php if($prow->material!='') echo "<br> $prow->material "; ?>
                                </div>
                            </td>
                            <td class="product-price" style="text-align: center;">
                                <?=$prow->copies ?> <?=getLan('copies'); ?>
                                <br>
                                <span class="amount"><?=amountFormat($prow->totalcost) ?></span></td>
                        </tr>
                        <?php } ?>
                          <tfoot>
                           <tr class="order-total">
                                <th>
                                    <b><?php echo getLan('vat'); ?></b>
                                </th>
                                <td>
                                    <b><?=amountFormat($info->vat_amount) ?></b>
                                </td>
                            </tr>
                             <tr class="order-total">
                                <th>
                                    <b><?php echo getLan('grand_total'); ?></b>
                                </th>
                                <td>
                                    <b><?=amountFormat($info->grand_total_amount) ?></b>
                                </td>
                            </tr>
                        </tfoot>
                    
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
            <!-- End of PageContent -->
  <script>
    (function() {
  
  'use strict';

  $('.input-file').each(function() {
    var $input = $(this),
        $label = $input.next('.js-labelFile'),
        labelVal = $label.html();
    
   $input.on('change', function(element) {
      var fileName = '';
      if (element.target.value) fileName = element.target.value.split('\\').pop();
      fileName ? $label.addClass('has-file').find('.js-fileName').html(fileName) : $label.removeClass('has-file').html(labelVal);
   });
  });

})();
  </script>
<style>
.btn-tertiary {
  color: #555;
  padding: 0;
  line-height: 40px;
  width: 100%;
  margin: auto;
  display: block;
  border: 2px solid #555;
}
.btn-tertiary:hover, .btn-tertiary:focus {
  color: #888888;
  border-color: #888888;
}

/* input file style */
.input-file {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}
.input-file + .js-labelFile {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  padding: 0 10px;
  cursor: pointer;
}
.input-file + .js-labelFile .icon:before {
  content: "";
}
.input-file + .js-labelFile.has-file .icon:before {
  content: "";
  color: #5aac7b;
}


.product-img {
min-height: 200px;
}
.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
  cursor: pointer;
}

 

.upload-btn-wrapper input[type=file] {
  font-size: 50px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  cursor: pointer;
}
.file--upload  {
  color: hsl(204, 86%, 53%);
  border-color: hsl(204, 86%, 53%);
}

.file--upload:hover {
  border-color: hsl(204, 86%, 53%);
  background-color: hsl(204, 86%, 96%);
  cursor: pointer;
}
.align-items-center > span{
    text-align: center;
}
</style>