<!-- Start of Breadcrumb -->
<nav class="breadcrumb-nav">
    <div class="container">
        <ul class="breadcrumb shop-breadcrumb bb-no">
            <li class="active"><a href="#">
                <?php echo getLan('invoice_no'); ?> : <?=$info->invoice_number; ?>
                </a></li>
        </ul>
    </div>
</nav>
<!-- End of Breadcrumb -->
<!-- Start of PageContent -->
<div class="page-content">
    <div class="container">
        <div class="row gutter-lg mb-10">
            <?php if(session()->getFlashdata('success')!=''){  ?>
            <div class="col-md-12 mb-4">
                <div class="alert alert-icon alert-success alert-bg alert-inline show-code-action" style="text-align: center;">
                    <h4 class="alert-title" >
                        <i class="w-icon-exclamation-triangle"></i><?=getLan('success') ?>!</h4>
                    <?=getLan(session()->getFlashdata('success')) ?>
                </div>
            </div>
            <?php } ?>
            <div class="col-lg-1 pr-lg-4 mb-6">
            </div>

            <div class="col-lg-10 pr-lg-4 mb-6">
                <table class="shop-table cart-table">
                    <thead>
                        <tr>
                            <th class="product-name" style="width: 55%"><span><?=getLan('files') ?> </span></th>
                            <th class="product-name" style="width: 35%"><span><?=getLan('products') ?> </span></th>
                            <th class="product-price" style="width: 10%"><span><?=getLan('price') ?> </span></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                          $totalamount=0;
                          $class=0;
                          foreach ($cartp as $prow) {
                             $totalamount=$totalamount+$prow->totalcost;
                             $class++;
                          ?>
                        <tr>
                            <td class="">
                              <div class="row">
                                <div class="col-lg-6 col-md-6" style="text-align: center;">
                                  <form enctype="multipart/form-data" action="<?=base_url('fupload')?>" method="POST">
                                    <div class="form-group">
                                        <input type="file" id="fadd-<?=$class ?>"  name="upload_design_<?=$prow->id ?>">
                                    </div>
                                    <input type="hidden" name="invid" value="<?php echo endecry($info->id,'encrypt'); ?>">
                                    <input type="hidden" name="pid" value="<?php echo endecry($prow->id,'encrypt'); ?>">
                                    <button style="width: 100%" type="submit" name="submit" class="btn btn-primary but_upload" value="<?=$prow->id ?>">
                                          <?php echo getLan('upload_font_page'); ?></button>
                                  </form>
                                </div>
                                <div class="col-lg-6 col-md-6" style="text-align: center;">
                                  <form enctype="multipart/form-data" action="<?=base_url('bupload')?>" method="POST">
                                    <div class="form-group">
                                        <input type="file" id="badd-<?=$class ?>"  name="backend_design_<?=$prow->id ?>">
                                    </div>
                                    <input type="hidden" name="invid" value="<?php echo endecry($info->id,'encrypt'); ?>">
                                    <input type="hidden" name="pid" value="<?php echo endecry($prow->id,'encrypt'); ?>">
                                    <button style="width: 100%" type="submit" name="submit" class="btn btn-primary but_upload" value="<?=$prow->id ?>">
                                          <?php echo getLan('upload_back_page'); ?></button>
                                  </form>
                                </div>
                              </div>
                            </td>
                            <td class="product-name" style="vertical-align: top;">
                              <strong><?php echo $prow->pname; ?></strong>
                              <div class="product-color">
                              <?php if($prow->size!='') echo "$prow->size "; ?>
                              <?php if($prow->material!='') echo "<br> $prow->material "; ?>
                              <?php if($prow->printingmethod!='') echo "<br> $prow->printingmethod "; ?>
                              <strong><br>
                                <?=getLan('Properties'); ?> : </strong> 
                              <?php if($prow->other_des!='') echo "<br> $prow->other_des "; ?>
                              <?php if($prow->variants!=''){
                                ?>
                                <b><?=getLan('variants'); ?></b>:
                                <?php echo "<br> $prow->variants "; ?>
                              <?php } ?>
                             </div>
                            </td>
                            <td class="product-price" style="text-align: center;">
                              <?=$prow->copies ?> <?=getLan('copies'); ?>
                              <br>
                              <span class="amount"><?=amountFormat($prow->totalcost) ?></span></td>
                        </tr>
                        <?php } ?>
                          <tfoot>
                           <tr class="order-total">
                                <th>
                                    <b><?php echo getLan('vat'); ?></b>
                                </th>
                                <td>
                                    <b><?=amountFormat($info->vat_amount) ?></b>
                                </td>
                            </tr>
                            <?php if($info->discount_amount!=0){  ?>
                            <tr class="order-total">
                                <th>
                                    <b><?php echo getLan('discount_amount'); ?> (<?php echo $info->coupon_code; ?>)</b>
                                </th>
                                <td>
                                    <b><?=amountFormat($info->discount_amount) ?></b>
                                </td>
                            </tr>
                          <?php } ?>
                             <tr class="order-total">
                                <th>
                                    <b><?php echo getLan('grand_total'); ?></b>
                                </th>
                                <td>
                                    <b><?=amountFormat($info->grand_total_amount-$info->discount_amount) ?></b>
                                </td>
                            </tr>
                        </tfoot>
                    
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
            <!-- End of PageContent -->
  


<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.min.css" crossorigin="anonymous">
<link href="<?=base_url()?>/fontasset/upload/css/fileinput.css" media="all" rel="stylesheet" type="text/css"/>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" crossorigin="anonymous">
<link href="<?=base_url()?>/fontasset/upload/themes/explorer-fa5/theme.css" media="all" rel="stylesheet" type="text/css"/>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
<script src="<?=base_url()?>/fontasset/upload/js/plugins/buffer.min.js" type="text/javascript"></script>
<script src="<?=base_url()?>/fontasset/upload/js/plugins/filetype.min.js" type="text/javascript"></script>
<script src="<?=base_url()?>/fontasset/upload/js/plugins/piexif.js" type="text/javascript"></script>
<script src="<?=base_url()?>/fontasset/upload/js/fileinput.js" type="text/javascript"></script>
<script src="<?=base_url()?>/fontasset/upload/themes/fa5/theme.js" type="text/javascript"></script>
<script src="<?=base_url()?>/fontasset/upload/themes/explorer-fa5/theme.js" type="text/javascript"></script>
    <style>
      .fileinput-upload{
        display: none;
      }
      .kv-file-rotate {
        display: none;
      }
      .input-group {
        height: 31px;
        position: relative;
      }
      .input-group button {
        position: relative;
        width: 90px;
        border-radius: 5%;
        color: #fff;
        border-color: #007cc1;
        background-color: #007cc1;
        top: 0;
     
      }
      .btn-default {
          color: #fff;
          border-color: #007cc1;
          background-color: #007cc1;
        }
      .file-drop-zone {
       border: 0px dashed #aaa; 
       margin: 0px;
      }
      .fileinput-remove{
        overflow: hidden;
        display: none;
      }
      .krajee-default.file-preview-frame {
        margin: 0px;
        padding: 0px;
      }
      .file-zoom-dialog{
        display: none;
      }
      .file-preview {
      padding: 0px;
    }
    .krajee-default.file-preview-frame .kv-file-content {
        height: 150px;
      }
      .btn-outline-secondary {
      color: #FFF;
      border-color: #007bff;;
    }
    </style>
    <script>
   
    $(document).ready(function () {
      <?php $class=0;
      foreach ($cartp as $prow) { 
        $class++; ?>

      $('#fadd-<?=$class ?>').fileinput({
            initialPreviewAsData: true,
            initialPreview: [
            <?php if($prow->upload_design!=''){ ?>
                "<?=base_url(); ?>/public/design/<?=$prow->upload_design; ?>"
              <?php } ?>
            ],
            initialPreviewConfig: [
            
    
            ]
        });
      $('#badd-<?=$class ?>').fileinput({
            initialPreviewAsData: true,
            initialPreview: [
                <?php if($prow->backend_design!=''){ ?>
                "<?=base_url(); ?>/public/design/<?=$prow->backend_design; ?>"
              <?php } ?>
            ],
            initialPreviewConfig: [
               <?php if($prow->backend_design!=''){ ?>
                {caption: "<?=$prow->backend_design; ?>", size: 329892, width: "120px", url: "ssss", key: 1, zoomData: '<?=base_url(); ?>/public/design/<?=$prow->backend_design; ?>', description: '<h5></h5>'}
              <?php } ?>
    
            ]
        });
    <?php } ?>
        
    });
</script>