<div class="container">
        <div class="intro-wrapper mb-4">
            <div class="swiper-container swiper-theme nav-inner swiper-nav-md animation-slider" data-swiper-options="{
                'autoplay': {
                    'delay': 8000,
                    'disableOnInteraction': false
                }
            }">
                <div class="swiper-wrapper row cols-1 gutter-no">
                    <?php foreach ($slider as  $srow) {
                    ?> 
                    <div class="swiper-slide banner banner-fixed intro-slide intro-slide<?=$srow->id?> br-sm" style="background-image: url(<?=base_url()?>/public/slider/<?=$srow->slider_img?>);">
                        <div class="banner-content y-50 <?=$srow->position?>">
                            <h5 class="banner-subtitle text-primary font-weight-normal text-capitalize font-secondary ls-25 slide-animate" 
                                data-animation-options="{'name': 'fadeInDownShorter', 'duration': '.8s'}">
                                <?=$srow->header_text?>
                            </h5>
                            <h3  class="banner-title text-capitalize ls-25 lh-1 slide-animate"
                                data-animation-options="{'name': 'fadeInRightShorter', 'duration': '.5s', 'delay': '.5s'}" style="color:<?=$srow->textcolor?>"><?=$srow->title?></h3>
                            <p class="ls-25 slide-animate" style="color: <?=$srow->textcolor?>" data-animation-options="{
                                'name': 'fadeInLeftShorter', 'duration': '.5s', 'delay': '.5s'
                            }"><?=$srow->footer_text?></p>
                            <a target="_blank" style="color: <?=$srow->textcolor?>" href="<?=$srow->button_url?>"
                                class="btn btn-white btn-outline btn-rounded btn-icon-right slide-animate"
                                data-animation-options="{'name': 'fadeInUpShorter', 'duration': '.5s', 'delay': '.5s'}">
                                <?=getLan('show_now')?><i class="w-icon-long-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                   <?php } ?>
                    <!-- End Of Intro Slide 1 -->
                   
                </div>
                <button class="swiper-button-next"></button>
                <button class="swiper-button-prev"></button>
            </div>
        </div>
        <!-- End of Intro Wrapper -->
        
        <br>
        <hr>
        <!-- End of Iocn Box Wrapper -->
        <h2 class="title text-left pt-1 mb-5 appear-animate"><?=getLan('categories') ?></h2>
    